<?php

if (! function_exists('includeFilesInFolder')) {
    /**
     * Loops through a folder and requires all PHP files
     * Searches sub-directories as well.
     *
     * @param $folder
     */
    function includeFilesInFolder($folder)
    {
        try {
            $rdi = new RecursiveDirectoryIterator($folder);
            $it = new RecursiveIteratorIterator($rdi);

            while ($it->valid()) {
                if (! $it->isDot() && $it->isFile() && $it->isReadable() && $it->current()->getExtension() === 'php') {
                    require $it->key();
                }

                $it->next();
            }
        } catch (Exception $e) {
            echo $e->getMessage();
        }
    }
}

if (! function_exists('includeRouteFiles')) {

    /**
     * @param $folder
     */
    function includeRouteFiles($folder)
    {
        includeFilesInFolder($folder);
    }
}

if (! function_exists('selectType')) {

    /**
     * @param $user
     * @param $old
     * @param $type
     *
     * @return mixed
     */
    function selectType($entityType, $old, $type = null)
    {
        $selected = '';
        if ($type) {
            if ($old == $type)  {
                return 'selected';
            } else if ($entityType == $type){
                return 'selected';
            }
        } else {
            if ($old == $entityType) {
                return 'selected';
            }
        }
        return $selected;
    }
}

if (! function_exists('getTranslation')) {

    /**
     * @param $user
     * @param $old
     * @param $type
     *
     * @return mixed
     */
    function getTranslation($value, $class)
    {
        $translation = '';
        switch ($class) {
            case RegisterState::class:
                switch ($value) {
                    case RegisterState::REGISTER_STATE_PDTE:
                        $translation = __('backend.hour.form.pdte');
                        break;
                    case RegisterState::REGISTER_STATE_OK:
                        $translation = __('backend.hour.form.ok');
                        break;
                    case RegisterState::REGISTER_STATE_KO:
                        $translation = __('backend.hour.form.ko');
                        break;
                    default:
                        # code...
                        break;
                }
                # code...
                break;
            case Register::class:
                switch ($value) {
                    case Register::REGISTER_TYPE_START:
                        $translation = __('backend.hour.form.start');
                        break;
                    case Register::REGISTER_TYPE_STOP:
                        $translation = __('backend.hour.form.stop');
                        break;
                    case Register::REGISTER_TYPE_RETURN:
                        $translation = __('backend.hour.form.return');
                        break;
                    case Register::REGISTER_TYPE_FINISH:
                        $translation = __('backend.hour.form.finish');
                        break;
                    case Register::REGISTER_TYPE_HOLIDAYS:
                        $translation = __('backend.hour.form.holidays');
                        break;
                    case Register::REGISTER_TYPE_CLOSED:
                        $translation = __('backend.hour.form.pdte');
                        break;
                    default:
                        # code...
                        break;
                }
                # code...
                break;
            default:
                # code...
                break;
        }
        return $translation;
    }
}
