<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\CompanyLink;
use Carbon\Carbon;

/**
 * Class DashboardController.
 */
class DashboardController extends Controller
{
    /**
     * @return \Illuminate\View\View
     */
    public function index()
    {
        $user = auth()->user();
        $company = null;
        $links = null;
        if ($user) {
            //empresa y links
            $company = $user->myCompany;
            if ($company) {
                //Buscar links
                $links = CompanyLink::where(['company_id' => $company->id, 'active' => 1])->get();

            }
        }
        return view('backend.dashboard', ['company' => $company, 'links' => $links]);
    }
}
