<?php

namespace App\Http\Middleware;

use App\Domains\Auth\Models\User;
use Closure;

/**
 * Class UserCheck.
 */
class ActiveCheck
{
    /**
     * @param $request
     * @param  Closure  $next
     *
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (! $request->expectsJson()) {
            if ($request->user() ) {
                if (!$request->user()->active) {
                    session()->flush();
                    auth()->logout();
                    return redirect()->route('login');
                }
            }
        }

        return $next($request);
    }
}
