<?php

namespace App\Http\Middleware;

use Closure;
use App\Models\User;

/**
 * Class LocaleMiddleware.
 */
class LocaleMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure                 $next
     *
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        // Locale is enabled and allowed to be changed
        if (config('boilerplate.locale.status') && session()->has('locale')) {
            setAllLocale(session()->get('locale'));
        } elseif (auth()->user()) {
            $idUser = auth()->user()->id;
            $user = User::where('id', $idUser)->first();
            if (isset($user->locale) && $user->locale != null) {
                setAllLocale($user->locale);
            }
        }

        return $next($request);
    }
}
