<?php

namespace App\Http\Requests\Backend;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class AnnouncementRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Auth::User()->isAdmin();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'area' => ['required', 'string'],
            'type' => ['required', 'string'],
            'message' => ['nullable', 'string', 'max:1500'],
            'enabled' => ['sometimes'],
            'start' => ['required', 'date_format:d/m/Y H:i'],
            'end' => ['required', 'date_format:d/m/Y H:i', 'after:start'],
        ];
    }
}
