<?php

namespace App\Http\Requests\Backend;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class CompanyRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Auth::User()->isAdmin();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'code' => ['required', 'string', 'max:2'],
            'nif' => ['required', 'string', 'max:50'],
            'name' => ['nullable', 'string', 'max:150'],
            'email' => ['required', 'string', 'email', 'max:50'],
            'web' => ['sometimes', 'nullable', 'url', 'max:150'],
            'via' => ['required', 'max:50'],
            'namevia' => ['required', 'max:50'],
            'numvia' => ['required', 'max:50'],
            'floor' => ['sometimes', 'nullable', 'max:10'],
            'door' => ['sometimes', 'nullable', 'max:10'],
            'letter' => ['sometimes', 'nullable', 'max:10'],
            'address_more' => ['sometimes', 'nullable', 'max:50'],
            'postcode' => ['required', 'numeric', 'digits:5'],
            'city' => ['required', 'max:50'],
            'province' => ['sometimes', 'max:150'],
            'country' => ['required', 'max:50'],
            'account' => ['sometimes', 'max:50'],
            'iban' => ['sometimes', 'size:4'],
            'avatar' => ['sometimes', 'image', 'max:500000','mimes:jpeg,jpg,png'],
            'active' => ['sometimes'],
            'register' => ['sometimes','max:150'],
            'conditions' => ['sometimes', 'max:150'],
        ];
    }
}
