<?php

namespace App\Http\Requests\Front;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class LeadRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Auth::check();
    }


    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'campaign-id' => ['required', 'numeric'],
            'user-id' => ['required', 'numeric'],
            'lead-id' => ['sometimes', 'required', 'numeric'],
            'code' => ['required', 'string', 'max:2'],
            'nif' => ['required', 'string', 'max:50'],
            'name' => ['required', 'string', 'max:50'],
            'last_name' => ['required', 'string', 'max:50'],
            'last_name_2' => ['sometimes', 'nullable', 'string', 'max:50'],
            'email' => ['required', 'string', 'email', 'max:50'],
            'via' => ['required', 'max:50'],
            'namevia' => ['required', 'max:50'],
            'numvia' => ['required', 'max:50'],
            'floor' => ['sometimes', 'nullable', 'max:10'],
            'door' => ['sometimes', 'nullable', 'max:10'],
            'letter' => ['sometimes', 'nullable', 'max:10'],
            'address_more' => ['sometimes', 'nullable', 'max:50'],
            'postcode' => ['required', 'numeric', 'digits:5'],
            'city' => ['required', 'max:50'],
            'province_id' => ['sometimes', 'nullable','required_with:check_otra,off','max:150'],
            'province' => ['sometimes','nullable','required_with:check_otra,on','max:150'],
            'otra_provincia' => ['sometimes', 'max:150'],
            'country' => ['required', 'max:50'],
            'account' => ['required', 'max:50'],
            'iban' => ['required', 'size:4'],
            'variant' => ['required', 'string', 'max:50'],
            'periodicity_id.*' => ['required', 'numeric'],
            'status' => ['sometimes', 'required', 'string'],
        ];
    }
}
