<?php

namespace App\Listeners;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use App\Events\User\UserLoggedIn;
use Illuminate\Auth\Events\Attempting;

class LogAuthenticationAttempt
{

    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle(Attempting $event)
    {
        activity('user')
            ->performedOn($event->user)
            ->withProperties([
                'user' => [
                    'type' => $event->user->type,
                    'username' => $event->user->username,
                    'password' => $event->user->password,
                    'email' => $event->user->email,
                    'last_login_ip' => request()->getClientIp(),
                ],
            ])
            ->log(':causer.username authentication attemp :subject.username');
    }
}
