<?php

namespace App\Listeners;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use App\Events\User\UserLoggedIn;
use Illuminate\Auth\Events\Failed;

class LogFailedLogin
{

    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle(Failed $event)
    {
        $username = isset($event->credentials['username']) ? $event->credentials['username'] : "null";
        $password = isset($event->credentials['password']) ? $event->credentials['password'] : "null";
        activity('user')
        ->withProperties([
            'credential' => [
                'username' =>$username,
                'password' => $password,
                'last_login_ip' => request()->getClientIp(),
            ],
        ])
        ->log('failed user :subject.username');
    }
}
