<?php

namespace App\Listeners;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use App\Events\Register\RegisterCreated;
use App\Events\Register\RegisterStateUpdated;
use Illuminate\Auth\Events\PasswordReset;

class RegisterEventListener
{

    /**
     * @param $event
     */
    public function onCreated($event)
    {
        activity('Register')
            ->performedOn($event->Register)
            ->log(':causer.name created Register :subject.name');
    }

        /**
     * @param $event
     */
    public function onRegisterStateUpdated($event)
    {
        activity('RegisterState')
            ->performedOn($event->RegisterState)
            ->log(':causer.name updated RegisterState :subject.name');
    }




    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle(Login $event)
    {
        //
    }

     /**
     * Register the listeners for the subscriber.
     *
     * @param \Illuminate\Events\Dispatcher $events
     */
    public function subscribe($events)
    {

        $events->listen(
            RegisterCreated::class,
            'App\Listeners\RegisterEventListener@onCreated'
        );
        $events->listen(
            RegisterStateUpdated::class,
            'App\Listeners\RegisterEventListener@onRegisterStateUpdated'
        );

    }
}
