<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Address extends Model
{
    use HasFactory, SoftDeletes;

        /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'address';

    public function myCountry()
    {
        return $this->belongsTo('App\Models\Country', 'country_id');
    }

    public function myProvince()
    {
        return $this->belongsTo('App\Models\Province', 'province_id');
    }

    public function myVia()
    {
        return $this->belongsTo('App\Models\Via', 'via_id');
    }

    public function addressable()
    {
        return $this->morphTo();
    }
}
