<?php

namespace App\Models;
use Illuminate\Database\Eloquent\SoftDeletes;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Master;
use App\Models\Address;


class Company extends Model
{
    use HasFactory, SoftDeletes;

    public const AVATAR_FOLDER = 'cavatar';

    protected $guarded = [];

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'companies';

    public function users()
    {
        return $this->hasMany('App\Models\User');
    }

    public function companyLinks(){
        return $this->hasMany('App\Models\CompanyLink');
    }

    public function delegations(){
        return $this->hasMany('App\Models\Delegation', 'company_id', 'id');
    }

    public function campaigns(){
        return $this->hasMany('App\Models\Campaign', 'company_id', 'id');
    }

    public function masters()
    {
        return $this->morphToMany(Master::class, 'masteable')->withTimestamps();
    }

    public function address()
    {
        return $this->morphOne(Address::class, 'addressable');
    }
}
