<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Delegation;

class Delegation extends Model
{
    use HasFactory, SoftDeletes;

    public const AVATAR_FOLDER = 'davatar';


    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'delegations';

    public function users()
    {
        return $this->hasMany('App\Models\User');
    }

    public function myCompany(){
        return $this->belongsTo('App\Models\Company', 'company_id');
    }

    public function offices(){
        return $this->hasMany('App\Models\Office', 'delegation_id', 'id');
    }


    public function masters()
    {
        return $this->morphToMany(Master::class, 'masteable')->withTimestamps();
    }
}
