<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Traits\Method\LeadMethod;

class Lead extends Model
{
    use HasFactory, SoftDeletes, LeadMethod;

    public const REGISTER_TYPE_PDTE = 'PDTE';
    public const REGISTER_TYPE_OK= 'OK';
    public const REGISTER_TYPE_KO = 'KO';

    public function myUser()
    {
        return $this->belongsTo('App\Models\User', 'user_id');
    }

    public function myCompany(){
        return $this->belongsTo('App\Models\Company', 'company_id');
    }

    public function myDelegation(){
        return $this->belongsTo('App\Models\Delegation', 'delegation_id');
    }

    public function myOffice(){
        return $this->belongsTo('App\Models\Office', 'office_id');
    }

    public function myTeam(){
        return $this->belongsTo('App\Models\Team', 'team_id');
    }

    public function myClient()
    {
        return $this->belongsTo('App\Models\Client', 'client_id');
    }

    public function myLeadLines()
    {
        return $this->hasMany('App\Models\LeadLine', 'lead_id');
    }

    public function address()
    {
        return $this->morphOne(Address::class, 'addressable');
    }
}
