<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LeadLine extends Model
{
    use HasFactory, SoftDeletes;


    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'lead_lines';

    public function lead()
    {
        return $this->belongsTo('App\Models\Lead');
    }

    public function variant()
    {
        return $this->belongsTo('App\Models\Variant');
    }

    public function campaign()
    {
        return $this->belongsTo('App\Models\Campaign');
    }

    public function periodicity()
    {
        return $this->belongsTo('App\Models\Periodicity');
    }
}
