<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Company;
use App\Models\Team;
use App\Models\Delegation;
use App\Models\Office;

class Master extends Model
{
    use HasFactory;

    public const TYPE_COMPANY = 'company';
    public const TYPE_OFFICE = 'office';
    public const TYPE_DELEGATION = 'delegation';
    public const TYPE_TEAM = 'team';
    public const TYPE_USER = 'user';

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'masters';

    protected $guarded = [];

    public function companies(){
        return $this->morphedByMany(Company::class, 'masteable')->withTimestamps();
    }

    public function delegations(){
        return $this->morphedByMany(Delegation::class, 'masteable')->withTimestamps();
    }

    public function offices(){
        return $this->morphedByMany(Office::class, 'masteable')->withTimestamps();
    }

    public function teams(){
        return $this->morphedByMany(Team::class, 'masteable')->withTimestamps();
    }
}
