<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Office;

class Office extends Model
{
    use HasFactory, SoftDeletes;

    public const AVATAR_FOLDER = 'oavatar';

     /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'offices';

    public function myDelegation(){
        return $this->belongsTo('App\Models\Delegation', 'delegation_id');
    }

    public function teams(){
        return $this->hasMany('App\Models\Team', 'office_id', 'id');
    }

    public function users()
    {
        return $this->hasMany('App\Models\User');
    }


    public function masters()
    {
        return $this->morphToMany(Master::class, 'masteable')->withTimestamps();
    }

}
