<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Register extends Model
{
    use HasFactory, SoftDeletes;


    public const REGISTER_TYPE_START = 'START';
    public const REGISTER_TYPE_STOP = 'STOP';
    public const REGISTER_TYPE_RETURN = 'RETURN';
    public const REGISTER_TYPE_FINISH = 'FINISH';
    public const REGISTER_TYPE_HOLIDAYS = 'HOLIDAYS';
    public const REGISTER_TYPE_CLOSED = 'CLOSED';

    public function myState(){
        return $this->belongsTo('App\Models\RegisterState', 'register_state_id');
    }

    public function myRegisterIP(){
        return $this->hasOne('App\Models\RegisterIP', 'register_id', 'id');
    }
}
