<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class RegisterState extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = ['state', 'state_type', 'closed'];

    public const REGISTER_STATE_PDTE = 'PDTE';
    public const REGISTER_STATE_OK = 'OK';
    public const REGISTER_STATE_KO = 'KO';
    public const REGISTER_STATE_ALL = 'ALL';
        /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'register_states';


    public function myCompany(){
        return $this->belongsTo('App\Models\Company', 'company_id');
    }

    public function myUser(){
        return $this->belongsTo('App\Models\User', 'user_id');
    }

    public function registers(){
        return $this->hasMany('App\Models\Register', 'register_state_id', 'id');
    }
}
