<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Master;

class Team extends Model
{
    use HasFactory, SoftDeletes;

    public const AVATAR_FOLDER = 'tavatar';

    protected $guarded = [];

    public function users(){
        return $this->hasMany('App\Models\User');
    }

    public function myOffice(){
        return $this->belongsTo('App\Models\Office', 'office_id');
    }

    public function masters()
    {
        return $this->morphToMany(Master::class, 'masteable')->withTimestamps();
    }
}
