<?php

namespace App\Models\Traits\Method;

use App\Models\Lead;
use App\Exceptions\GeneralException;

/**
 * Trait UserMethod.
 */
trait LeadMethod
{
    /**
     * @return int
     * @throws GeneralException
     */
    public function generateBarcodeNumber(): int {
        $found = true;
        $count = 0;
        $number = mt_rand(1000000000, 9999999999);

        while($found) {
            $found = $this->barcodeNumberExists($number);
            if ($count > 100) {
                throw new GeneralException(__('auth.general_error'));
            }
            if ($found) {
                return $this->generateBarcodeNumber();
            } else {
                $found = false;
            }
            $count++;
        };

        return $number;
    }

    /**
     * @param $number
     * @return mixed
     */
    private function barcodeNumberExists($number) {

        return Lead::where('identificator', $number)->exists();
    }
}
