<?php

namespace App\Providers;

use App\Services\AnnouncementService;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;


/**
 * Class ComposerServiceProvider.
 */
class ComposerServiceProvider extends ServiceProvider
{
    /**
     * Register bindings in the container.
     *
     * @param  AnnouncementService  $announcementService
     */
    public function boot(AnnouncementService $announcementService)
    {
        View::composer('*', function ($view) {
            $view->with('logged_in_user', Auth()->user());
        });

        View::composer(['front.index', 'front.layouts.main'], function ($view) use ($announcementService) {
            $view->with('announcements', $announcementService->getForFront());
        });

        View::composer(['backend.includes.partials.wrapper'], function ($view) use ($announcementService) {
            $view->with('announcements', $announcementService->getForBackend());
        });
    }
}
