<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\User;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->char('code', 2)->nullable();
            $table->enum('type', [User::TYPE_ADMIN, User::TYPE_USER, User::TYPE_USER_ADMIN, User::TYPE_SUPER_ADMIN])->default(User::TYPE_USER);
            $table->string('username')->unique();
            $table->string('avatar')->nullable();
            $table->string('nif')->nullable();
            $table->string('name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('last_name_2')->nullable();
            $table->string('locale')->nullable();
            $table->string('phone')->nullable();
            $table->string('mobile')->nullable();
            $table->string('account')->nullable();
            $table->string('email')->unique()->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->timestamp('password_changed_at')->nullable();
            $table->unsignedTinyInteger('active')->default(1);
            $table->timestamp('last_login_at')->nullable();
            $table->string('last_login_ip')->nullable();
            $table->boolean('to_be_logged_out')->default(false);
            $table->string('avatar_type')->default('gravatar');
            $table->string('image_location')->nullable();
            $table->unsignedBigInteger('company_id')->nullable();
            $table->unsignedBigInteger('delegation_id')->nullable();
            $table->unsignedBigInteger('office_id')->nullable();
            $table->unsignedBigInteger('team_id')->nullable();
            $table->enum('contract', [User::CONTRACT_LABORAL_DIRECTO, User::CONTRACT_MERCANTIL, User::CONTRACT_REPRESENTANTE_COMERCIO, User::CONTRACT_LABORAL])->default(User::CONTRACT_LABORAL_DIRECTO);
            $table->integer('contract_hours')->default('4');
            $table->softDeletes();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
