<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\Register;

class CreateRegistersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('registers', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->date('date');
            $table->datetime('hour');
            $table->unsignedBigInteger('register_state_id')->nullable();
            $table->enum('type', array(Register::REGISTER_TYPE_START, Register::REGISTER_TYPE_STOP,  Register::REGISTER_TYPE_RETURN, Register::REGISTER_TYPE_FINISH, Register::REGISTER_TYPE_HOLIDAYS ));
            $table->text('comments')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('register');
    }
}
