<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRegisterStatesReviewersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('register_states_reviewers', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('register_states_id');
            $table->unsignedBigInteger('reviewer_id');
            $table->date('date')->nullable();
            $table->text('data')->nullable();
            $table->text('comments')->nullable();
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('register_states_id')->references('id')->on('register_states')->onDelete('cascade');
            $table->foreign('reviewer_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('register_states_reviewers', function (Blueprint $table) {
            $table->dropForeign('register_states_reviewers_register_states_id_foreign');
            $table->dropForeign('register_states_reviewers_reviewer_id_foreign');
        });

        Schema::dropIfExists('register_states_reviewers');
    }
}
