<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\Lopd;

class CreateLopdTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('lopd', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->enum('type', [Lopd::LEGAL, Lopd::COOKIES, Lopd::PRIVACY])->default(Lopd::PRIVACY);
            $table->longText('text')->nullable();
            $table->unsignedTinyInteger('active')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('lopd');
    }
}
