<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMasteablesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('masteables', function (Blueprint $table) {
            $table->unsignedBigInteger('master_id')->nullable();
            $table->morphs('masteable');
            $table->timestamps();

            $table->foreign('master_id')->references('id')->on('masters')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $table->dropForeign('masteables_master_id_foreign');
        Schema::dropIfExists('masteables');
    }
}
