<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clients', function (Blueprint $table) {
            $table->id();
            $table->char('code', 2)->nullable();
            $table->string('nif')->nullable();
            $table->string('name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('last_name_2')->nullable();
            $table->string('locale')->nullable();
            $table->string('phone')->nullable();
            $table->string('mobile')->nullable();
            $table->string('account')->nullable();
            $table->string('email')->nullable();
            $table->unsignedTinyInteger('active')->default(1);
            $table->timestamps();
            $table->softDeletes();
        });

        Schema::table('leads', function (Blueprint $table) {
            $table->foreign('client_id')->references('id')->on('clients')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('leads', function (Blueprint $table) {
            $table->dropForeign('leads_client_id_foreign');
        });

        Schema::dropIfExists('clients');
    }
}
