<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAddressTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('address', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('via_id')->nullable();
            $table->string('name_via')->nullable();
            $table->string('num_via')->nullable();
            $table->string('floor')->nullable();
            $table->string('door')->nullable();
            $table->string('letter')->nullable();
            $table->string('address_more')->nullable();
            $table->char('postcode', 5)->nullable();
            $table->string('city')->nullable();
            $table->string('province')->nullable();
            $table->unsignedBigInteger('province_id')->nullable();
            $table->unsignedBigInteger('country_id')->nullable();
            $table->morphs('addressable');
            $table->softDeletes();
            $table->timestamps();

            $table->foreign('via_id')->references('id')->on('vias');
            $table->foreign('province_id')->references('id')->on('provinces');
            $table->foreign('country_id')->references('id')->on('countries');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $table->dropForeign('address_via_id_foreign');
        $table->dropForeign('address_country_id_foreign');
        $table->dropForeign('address_province_id_foreign');

        Schema::dropIfExists('address');
    }
}
