<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePeriodicitiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('periodicities', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->integer('key');
            $table->integer('period_year');
            $table->unsignedTinyInteger('active')->default(1);
            $table->timestamps();
            $table->softDeletes();
        });

        Schema::table('lead_lines', function (Blueprint $table) {
            $table->foreign('periodicity_id')->references('id')->on('periodicities')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('periodicities');

        Schema::table('lead_lines', function (Blueprint $table) {
            $table->dropForeign('variants_periodicity_id_foreign');
        });
    }
}
