<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\Traits\DisableForeignKeys;
use App\Models\Campaign;

class CampaignSeeder extends Seeder
{
    use DisableForeignKeys;

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->disableForeignKeys();

        Campaign::create( [
            'id'=>1,
            'company_id'=>1,
            'name'=>'Campanya 1',
            'slug' => 'campanya_1',
            'active'=> true
            ] );

        Campaign::create( [
            'id'=>2,
            'company_id'=>1,
            'name'=>'Campanya 2',
            'slug' => 'campanya_2',
            'active'=> true
            ] );


        Campaign::create( [
            'id'=>3,
            'company_id'=>1,
            'name'=>'Campanya 3',
            'slug' => 'campanya_3',
            'active'=> false
            ] );

        $this->enableForeignKeys();
    }
}
