<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\Traits\DisableForeignKeys;
use App\Models\CompanyLink;

class CompanyLinkSeeder extends Seeder
{
    use DisableForeignKeys;

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->disableForeignKeys();

        // Add company links
        CompanyLink::create([
            'company_id' => 1,
            'name' => 'Xidong',
            'url' => 'https://www.xidong.es',
            'active' => true,
        ]);

        CompanyLink::create([
            'company_id' => 1,
            'name' => 'Manosolidaria',
            'url' => 'https://www.manosolidaria.org',
            'active' => true,
        ]);

        $this->enableForeignKeys();
    }
}
