<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\Traits\TruncateTable;
use Illuminate\Database\Eloquent\Model;

class DatabaseSeeder extends Seeder
{
    use TruncateTable;

    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        Model::unguard();

        $this->truncateMultiple([
            'failed_jobs',
        ]);

        // \App\Models\User::factory(10)->create();
        $this->call([
            CountrySeeder::class,
            ViaSeeder::class,
            LopdSeeder::class,
            CompanyLinkSeeder::class,
            CompanySeeder::class,
            DelegationSeeder::class,
            OfficeSeeder::class,
            TeamSeeder::class,
            ProvinceSeeder::class,
            UserSeeder::class,
            CampaignSeeder::class,
            PeriodicitySeeder::class,
            VariantSeeder::class,
        ]);

        Model::reguard();
    }
}
