<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\Traits\DisableForeignKeys;
use App\Models\Periodicity;

class PeriodicitySeeder extends Seeder
{
    use DisableForeignKeys;

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->disableForeignKeys();

        Periodicity::create( [
            'id'=>1,
            'name'=>'Mensual',
            'key' => 12,
            'period_year' => 12,
            'active'=>'1'
            ] );

            Periodicity::create( [
            'id'=>2,
            'name'=>'Anual',
            'key' => 1,
            'period_year' => 1,
            'active'=>'1'
            ] );

            Periodicity::create( [
            'id'=>3,
            'name'=>'Trimestral',
            'key' => 3,
            'period_year' => 4,
            'active'=>'1'
            ] );

            Periodicity::create( [
            'id'=>4,
            'name'=> 'Puntual',
            'key' => 0,
            'period_year' => 1,
            'active'=>'1'
            ] );

        $this->enableForeignKeys();
    }
}
