<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\Traits\DisableForeignKeys;
use App\Models\Province;

class ProvinceSeeder extends Seeder
{
    use DisableForeignKeys;

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->disableForeignKeys();

        Province::create( [
            'id'=>1,
            'code'=>'01',
            'name'=>'Araba/Álava'
            ] );

            Province::create( [
            'id'=>2,
            'code'=>'02',
            'name'=>'Albacete'
            ] );

            Province::create( [
            'id'=>3,
            'code'=>'03',
            'name'=>'Alicante/Alacant'
            ] );

            Province::create( [
            'id'=>4,
            'code'=>'04',
            'name'=>'Almería'
            ] );

            Province::create( [
            'id'=>5,
            'code'=>'05',
            'name'=>'Ávila'
            ] );

            Province::create( [
            'id'=>6,
            'code'=>'06',
            'name'=>'Badajoz'
            ] );

            Province::create( [
            'id'=>7,
            'code'=>'07',
            'name'=>'Illes Balears'
            ] );

            Province::create( [
            'id'=>8,
            'code'=>'08',
            'name'=>'Barcelona'
            ] );

            Province::create( [
            'id'=>9,
            'code'=>'09',
            'name'=>'Burgos'
            ] );

            Province::create( [
            'id'=>10,
            'code'=>'10',
            'name'=>'Cáceres'
            ] );

            Province::create( [
            'id'=>11,
            'code'=>'11',
            'name'=>'Cádiz'
            ] );

            Province::create( [
            'id'=>12,
            'code'=>'12',
            'name'=>'Castellón/Castelló'
            ] );

            Province::create( [
            'id'=>13,
            'code'=>'13',
            'name'=>'Ciudad Real'
            ] );

            Province::create( [
            'id'=>14,
            'code'=>'14',
            'name'=>'Córdoba'
            ] );

            Province::create( [
            'id'=>15,
            'code'=>'15',
            'name'=>'A Coruña'
            ] );

            Province::create( [
            'id'=>16,
            'code'=>'16',
            'name'=>'Cuenca'
            ] );

            Province::create( [
            'id'=>17,
            'code'=>'17',
            'name'=>'Girona'
            ] );

            Province::create( [
            'id'=>18,
            'code'=>'18',
            'name'=>'Granada'
            ] );

            Province::create( [
            'id'=>19,
            'code'=>'19',
            'name'=>'Guadalajara'
            ] );

            Province::create( [
            'id'=>20,
            'code'=>'20',
            'name'=>'Gipuzkoa'
            ] );

            Province::create( [
            'id'=>21,
            'code'=>'21',
            'name'=>'Huelva'
            ] );

            Province::create( [
            'id'=>22,
            'code'=>'22',
            'name'=>'Huesca'
            ] );

            Province::create( [
            'id'=>23,
            'code'=>'23',
            'name'=>'Jaén'
            ] );

            Province::create( [
            'id'=>24,
            'code'=>'24',
            'name'=>'León'
            ] );

            Province::create( [
            'id'=>25,
            'code'=>'25',
            'name'=>'Lleida'
            ] );

            Province::create( [
            'id'=>26,
            'code'=>'26',
            'name'=>'La Rioja'
            ] );

            Province::create( [
            'id'=>27,
            'code'=>'27',
            'name'=>'Lugo'
            ] );

            Province::create( [
            'id'=>28,
            'code'=>'28',
            'name'=>'Madrid'
            ] );

            Province::create( [
            'id'=>29,
            'code'=>'29',
            'name'=>'Málaga'
            ] );

            Province::create( [
            'id'=>30,
            'code'=>'30',
            'name'=>'Murcia'
            ] );

            Province::create( [
            'id'=>31,
            'code'=>'31',
            'name'=>'Navarra'
            ] );

            Province::create( [
            'id'=>32,
            'code'=>'32',
            'name'=>'Ourense'
            ] );

            Province::create( [
            'id'=>33,
            'code'=>'33',
            'name'=>'Asturias'
            ] );

            Province::create( [
            'id'=>34,
            'code'=>'34',
            'name'=>'Palencia'
            ] );

            Province::create( [
            'id'=>35,
            'code'=>'35',
            'name'=>'Las Palmas'
            ] );

            Province::create( [
            'id'=>36,
            'code'=>'36',
            'name'=>'Pontevedra'
            ] );

            Province::create( [
            'id'=>37,
            'code'=>'37',
            'name'=>'Salamanca'
            ] );

            Province::create( [
            'id'=>38,
            'code'=>'38',
            'name'=>'Santa Cruz de Tenerife'
            ] );

            Province::create( [
            'id'=>39,
            'code'=>'39',
            'name'=>'Cantabria'
            ] );

            Province::create( [
            'id'=>40,
            'code'=>'40',
            'name'=>'Segovia'
            ] );

            Province::create( [
            'id'=>41,
            'code'=>'41',
            'name'=>'Sevilla'
            ] );

            Province::create( [
            'id'=>42,
            'code'=>'42',
            'name'=>'Soria'
            ] );

            Province::create( [
            'id'=>43,
            'code'=>'43',
            'name'=>'Tarragona'
            ] );

            Province::create( [
            'id'=>44,
            'code'=>'44',
            'name'=>'Teruel'
            ] );

            Province::create( [
            'id'=>45,
            'code'=>'45',
            'name'=>'Toledo'
            ] );

            Province::create( [
            'id'=>46,
            'code'=>'46',
            'name'=>'Valencia/València'
            ] );

            Province::create( [
            'id'=>47,
            'code'=>'47',
            'name'=>'Valladolid'
            ] );

            Province::create( [
            'id'=>48,
            'code'=>'48',
            'name'=>'Bizkaia'
            ] );

            Province::create( [
            'id'=>49,
            'code'=>'49',
            'name'=>'Zamora'
            ] );

            Province::create( [
            'id'=>50,
            'code'=>'50',
            'name'=>'Zaragoza'
            ] );

            Province::create( [
            'id'=>51,
            'code'=>'51',
            'name'=>'Ceuta'
            ] );

            Province::create( [
            'id'=>52,
            'code'=>'52',
            'name'=>'Melilla'
            ] );

        $this->enableForeignKeys();
    }
}
