<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\Traits\DisableForeignKeys;
use App\Models\Team;

class TeamSeeder extends Seeder
{
    use DisableForeignKeys;

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->disableForeignKeys();

        // Add Teams
        Team::create([
            'id' => 1,
            'office_id' => 1,
            'name' => 'Xidong',
            'slug' => 'xidong',
            'active' => true,
        ]);

        Team::create([
            'id' => 2,
            'office_id' => 1,
            'name' => 'Xidong2',
            'slug' => 'xidong2',
            'active' => true,
        ]);

        $this->enableForeignKeys();
    }
}
