<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\Traits\DisableForeignKeys;
use Illuminate\Support\Facades\Hash;
use App\Models\User;

class UserSeeder extends Seeder
{
    use DisableForeignKeys;

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->disableForeignKeys();

        // Add the master administrator, user id of 1
        User::create([
            'id' => 1,
            'type' => USER::TYPE_SUPER_ADMIN,
            'name' => 'Raul',
            'last_name' => 'Gonzalez',
            'last_name_2' => 'Gallego',
            'username' => 'raul',
            'email' => 'super@xidong.es',
            'password' =>  Hash::make('Secreto01*'),
            'company_id' => 1,
            'delegation_id' => 1,
            'office_id' => 1,
            'team_id' => 1,
            'active' => true,
        ]);

        // Add the master administrator, user id of 1
        User::create([
            'id' => 2,
            'type' => USER::TYPE_SUPER_ADMIN,
            'name' => 'admin',
            'username' => 'admin',
            'email' => 'admin@xidong.es',
            'password' =>  Hash::make('Secreto02*'),
            'company_id' => 1,
            'delegation_id' => 1,
            'office_id' => 1,
            'team_id' => 1,
            'active' => true,
        ]);

        // Add the master administrator, user id of 1
        User::create([
            'id' => 3,
            'type' => USER::TYPE_USER,
            'name' => 'user',
            'username' => 'user',
            'email' => 'user@xidong.es',
            'password' =>  Hash::make('Secreto02*'),
            'company_id' => 1,
            'delegation_id' => 1,
            'office_id' => 1,
            'team_id' => 1,
            'active' => true,
        ]);

        $this->enableForeignKeys();
    }
}
