$( document ).ready(function() {
    $('#companies tbody').on( 'click', '.delete', function (e) {
        e.preventDefault();
        let id = $(this).attr("attr-id");
        let slug = $(this).attr("attr-slug");
        let route = $(this).attr("attr-delete");
        let title = $("#companies").attr("data-delete");
        let cancel = $("#companies").attr("data-cancel");
        let confirm = $("#companies").attr("data-continue");
        let formData = null;
        let valor = 'DEL';
        if (id > 0) {
            let element = $('#companies');
            processData(e, title, cancel, confirm, slug, route, valor, element, formData);
        }
    });

    $('#company-links tbody').on( 'click', '.delete', function (e) {
        e.preventDefault();
        let id = $(this).attr("attr-id");
        let slug = '';
        let route = $(this).attr("attr-delete");
        let title = $("#company-links").attr("data-delete");
        let cancel = $("#company-links").attr("data-cancel");
        let confirm = $("#company-links").attr("data-continue");
        let valor = 'DEL';
        let formData = null;
        if (id > 0) {
            let element = $('#company-links');
            processData(e, title, cancel, confirm, slug, route, valor, element, formData);
        }
    });

    $('.remove-image').on( 'click', function (e) {
        e.preventDefault();
        let parent = $(this).parent();
        let image = parent.find("img")
        let route = image.attr("attr-delete-img");
        if (typeof(route) != "undefined") {
            $.ajax({
                url: route,
                type: 'DELETE',
                headers: {
                    'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
                },
                success: function (response) {
                    let respArr = JSON.parse(response, true);
                    if (typeof(respArr['success']) != "undefined") {
                        parent.html("");
                    } else {
                        $("#error").show();
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    loading(false);
                    $("#error").show();
                    setTimeout(function () {
                        location.reload();
                    }, 5000);
                }
            });
        }
    });

    function processData(e, title, cancel, confirm, slug, route, valor, element, formData) {
        title += ' ' + slug;
        let type = null;
        let icon = 'warning';
        let confirmButtonColor = 'green';
        switch (valor) {
            case 'DEL':
                type = 'DELETE';
                confirmButtonColor= '#d33';
                icon = 'error';
                break;
            case 'POS':
                type = 'POST';
                break;
            default:
                return;
        }
        Swal.fire({
            title: title,
            showCancelButton: true,
            confirmButtonText: confirm,
            cancelButtonText: cancel,
            confirmButtonColor: confirmButtonColor,
            icon: icon,
        }).then((result) => {
            element.dataTable().api().rows().deselect();
            if (result.value && type != 'null') {
                loading(true);
                //Update data
                $.ajax({
                url: route,
                type: type,
                headers: {
                    'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
                },
                data: formData,
                success: function (response) {
                    let respArr = JSON.parse(response, true);
                    if (typeof(respArr['success']) != "undefined") {
                        $("#success").show();
                        $("#correct-result").html(respArr['success']);
                        toastr.success(respArr['success']);
                        $('#create-link').modal('hide');
                    } else {
                        $("#error").show();
                        if (typeof(respArr['error']) != "undefined") {
                            $("#error-result").html(respArr['error']);
                            toastr.error(respArr['error']);
                        } else {
                            $("#error-result").html(respArr);
                            toastr.error(respArr);
                        }
                    }
                    element.DataTable().ajax.reload();
                    loading(false);
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    loading(false);
                    $("#error").show();
                    setTimeout(function () {
                        location.reload();
                    }, 5000);

                }
                });
            } else {
                loading(false);
                return false;
            }
        });
    }

    $('#modal').on( 'click', function (e) {
        e.preventDefault();
        $('#create-link').modal('show');
        $("#label-create").show();
        $("#label-edit").hide();

        $("#company-link-id").val('');
        $("#company-link-name").val('');
        $("#company-link-url").val('');
        $("#company-link-active").prop( "checked", false );
    });

    $('#company-links tbody').on( 'click', '.view', function (e) {
        e.preventDefault();
        let route = $(this).attr("view");
        editModal(route);
    });

    function editModal(route) {
        loading(true);
        $.ajax({
        url: route,
        type: "GET",
        headers: {
            'X-CSRF-Token': $('meta[name="_token"]').attr('content')
        },
        success: function (response) {
            let resp = JSON.parse(response, true);
            if (resp != undefined && resp['id'] >0) {
                $('#create-link').modal('show');
                $("#label-edit").show();
                $("#label-create").hide();

                $("#company-link-id").val(resp['id']);
                $("#company-link-name").val(resp['name']);
                $("#company-link-url").val(resp['url']);
                $("#company-link-active").prop( "checked", resp['active'] );
            } else {

            }
            loading(false);
        },
        error: function (xhr, ajaxOptions, thrownError) {
            loading(false);
            $("#error").show();
            setTimeout(function () {
                location.reload();
            }, 5000);
        }
        });
    }

    $("#guardar-modal").on("click", function(e){
        e.preventDefault();;

        if ($("#create-form-entity").valid()) {
            let title = '';
            let id = '';
            let slug = '';
            let name = $("#company-link-name").val();
            let url = $("#company-link-url").val();
            let active = $('#company-link-active').prop('checked');
            if ($("#company-link-id").val() > 0) {
                title = $("#company-links").attr("data-edit");
                id = $("#company-link-id").val();
                slug = name;
            } else {
                title = $("#company-links").attr("data-create");
            }
            let confirm = $("#company-links").attr("data-continue");
            let route = $("#create-link").attr("action");
            let cancel = $("#company-links").attr("data-cancel");
            let valor = 'POS';
            formData = $("#create-form-entity").serialize();
            let element = $('#company-links');
            processData(e, title, cancel, confirm, slug, route, valor, element, formData);
        }
    });

    $.validator.addMethod('checkCif', function (val, elem) {
        let code = $("#code").val()
        let cif = code+val;
        cif = cif.split('_').join('');
        let result = jsvat.checkVAT(cif, jsvat.countries).isValid;
        if (result) {
            return true;
        } else {
            return false;
        }
    }, 'Error');


    $.validator.addMethod('checkAccount', function (val, elem) {
        let iban = $("#iban").val();
        let account = iban + val;
        let result = $.validator.methods.iban.call(this, account, elem);
        if (result) {
            return true;
        } else {
            return false;
        }
    }, 'Error');

});
