'use strict';
$( document ).ready(function() {

    $('#lopd tbody').on( 'click', '.delete', function (e) {
        e.preventDefault();
        let id = $(this).attr("attr-id");
        let slug = $(this).attr("attr-slug");
        let route = $(this).attr("attr-delete");
        let title = $("#lopd").attr("data-delete");
        let cancel = $("#lopd").attr("data-cancel");
        let confirm = $("#lopd").attr("data-continue");
        let formData = null;
        let valor = 'DEL';
        let element = $(this);
        if (id > 0) {
            processData(e, title, cancel, confirm, slug, route, valor, element, formData);
        }
    });

    function processData(e, title, cancel, confirm, slug, route, valor, element, formData) {
        title += ' ' + slug;
        let type = null;
        let icon = 'warning';
        let confirmButtonColor = 'green';
        switch (valor) {
            case 'DEL':
                type = 'DELETE';
                confirmButtonColor= '#d33';
                icon = 'error';
                break;
            default:
                return;
        }
        Swal.fire({
            title: title,
            showCancelButton: true,
            confirmButtonText: confirm,
            cancelButtonText: cancel,
            confirmButtonColor: confirmButtonColor,
            icon: icon,
        }).then((result) => {
            if (result.value && type != 'null') {
                loading(true);
                //Update data
                $.ajax({
                url: route,
                type: type,
                headers: {
                    'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
                },
                data: formData,
                success: function (response) {
                    let respArr = JSON.parse(response, true);
                    if (typeof(respArr['success']) != "undefined") {
                        $("#success").show();
                        $("#correct-result").html(respArr['success']);
                        toastr.success(respArr['success']);
                        element.closest("tr").remove();
                    } else {
                        $("#error").show();
                        if (typeof(respArr['error']) != "undefined") {
                            $("#error-result").html(respArr['error']);
                            toastr.error(respArr['error']);
                        } else {
                            $("#error-result").html(respArr);
                            toastr.error(respArr);
                        }
                    }
                    loading(false);
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    loading(false);
                    $("#error").show();
                    setTimeout(function () {
                        location.reload();
                    }, 5000);

                }
                });
            } else {
                loading(false);
                return false;
            }
        });
    }
});
