'use strict';
$(document).ready(function () {
    $('#create-form-entity').on('click', 'button[name=search]', function (e) {
        e.preventDefault();
        if (!$("#create-form-entity").valid()) {
            return false;
        }
        let status = $("#status").val();
        let route = $("#create-form-entity").attr("search-action");
        let type = $("#type").val();
        let selection = $("#selection").val();
        let formData = new Object();
        formData["type"] = type;
        formData["status"] = status;
        formData["selection"] = selection;
        let valor = 'POST';
        if (typeof (type) != "undefined" && type && isNumeric(status)) {
            processData(e, route, valor, formData, status, type);
        }
    });

    $('#create-form-entity').on('click', 'button[name=create]', function (e) {
        e.preventDefault();
        if (!$("#create-form-entity").valid()) {
            return false;
        }
        let status = $("#status").val();
        let list = $("#list").val();
        let route = $("#create-form-entity").attr("send-action");
        let type = $("#type").val();
        let selection = $("#selection").val();
        let formData = new Object();
        formData["type"] = type;
        formData["status"] = status;
        formData["list"] = list;
        if (status == 1) {
            formData["selection"] = selection;
        }
        let valor = 'POST';
        if (typeof (type) != "undefined" && type && isNumeric(status)) {
            processData(e, route, valor, formData, status, type);
        }
    });

    $("#button-cancel-user").on('click', function () {
        $("#usersarea").hide();
        $("#search").show();
        $("#result").hide();
    });

    $("#button-cancel").on('click', function () {
        reset();
    });

    $("#type").on('change', function () {
        reset();
    });

    function reset() {
        $("#status").val(0);
        $("#selectarea").hide();
        $("#usersarea").hide();
        $("#search").show();
        $("#result").hide();
    }

    function processData(e, route, valor, formData, status, type) {
        switch (valor) {
            case 'POST':
                type = 'POST';
                break;
            default:
                return;
        }
        $(".overlay-wrapper").show();
        //Update data
        $.ajax({
            url: route,
            type: type,
            headers: {
                'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
            },
            data: formData,
            success: function (response) {
                $(".overlay-wrapper").hide();
                let respArr = JSON.parse(response, true);
                if (typeof (respArr['success']) != "undefined") {
                    let html = '';
                    let label = '';
                    if (typeof (respArr['data']) != "undefined") {
                        let data = respArr['data'];
                        $.each(data, function (k, v) {
                            let valor, text, selected;
                            valor = v['value'];
                            text = v['text'];
                            selected = '';
                            if (typeof ( v['selected']) != "undefined") {
                                selected = v['selected'];
                            }
                            html += "<option value=" + valor+" "+ selected +">" + text + "</option>";
                        });
                        if (status == 0) {
                            if (typeof (respArr['text']) != "undefined") {
                                $("#selectarea").show();
                                label = respArr['text'];
                                $('#label-selection').text(label);
                                $('#selection').html(html);
                                $("#status").val(1);
                            }
                        } else if (status == 1) {
                            //Obtener los usuarios
                            $("#usersarea").show();
                            $('#list').html(html);
                            $('#list').bootstrapDualListbox('refresh');
                            $("#button-process").text($("#button-process").attr("bt-send"));
                            $("#search").hide();
                            $("#result").show();

                        }
                    } else if (typeof (respArr['finish']) != "undefined") {
                        $("#success").show();
                        $("#correct-result").html(respArr['success']);
                        toastr.success(respArr['success']);
                    }
                } else {
                    $("#error").show();
                    if (typeof (respArr['error']) != "undefined") {
                        $("#error-result").html(respArr['error']);
                        toastr.error(respArr['error']);
                    } else {
                        $("#error-result").html(respArr);
                        toastr.error(respArr);
                    }
                    setTimeout(function () {
                        location.reload();
                    }, 7000);
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                $(".overlay-wrapper").hide();
                $("#error").show();
                setTimeout(function () {
                    location.reload();
                }, 5000);
            }
        });
    }

});
