'use strict';
$(document).ready(function () {

    $("#radio-all").on('click', function () {
        if ($(this).is(":checked")) {
            $("#find").hide();
            $("#status").val(0);
            $("#result").show();
        }
    });

    $('#create-form-entity').on('click', 'td button', function (e) {
        e.preventDefault();
        let closestRow = $(this).closest('tr');
        let name = $(this).attr('name');
        let route = '';
        let value = '';
        let ids = [];
        let title = '';
        let type = '';
        if (name == 'ok') {
            route = $("#create-form-entity").attr("dt-accept");
            value = 'POS';
            let id = $("#data").DataTable().row(closestRow).data().id;
            ids.push(id);
            title = $("#data").attr("data-ok");
            type = 'ok';
        } else if (name == 'ko') {
            route = $("#create-form-entity").attr("dt-cancel");
            value = 'DEL';
            let id = $("#data").DataTable().row(closestRow).data().id;
            ids.push(id);
            title = $("#data").attr("data-ko");
            type = 'ko';
        } else if (name == 'select') {
            route = $("#create-form-entity").attr("dt-select");
            value = 'POS';
            let id = $("#data").DataTable().row(closestRow).data().id;
            ids.push(id);
            title = $("#data").attr("data-select");
            type = 'select';
        }
        let cancel = $("#data").attr("data-cancel");
        let confirm = $("#data").attr("data-continue");
        let formData = new Object();
        formData['ids'] = ids;
        formData['type'] = type;
        if (ids.length > 0 && route != '') {
            let element = $('#data');
            processData(title, cancel, confirm, route, value, element, formData, true);
        }
    });

    $('#accept_select').on('click', function (e) {
        e.preventDefault();
        let name = 'accept_select';
        processMultipleRegisters(name);
    });

    $('#cancel_select').on('click', function (e) {
        e.preventDefault();
        let name = 'cancel_select';
        processMultipleRegisters(name);
    });

    $('#process_select').on('click', function (e) {
        e.preventDefault();
        let name = 'process_select';
        processMultipleRegisters(name);
        $("#next").prop("disabled", false).removeClass("disabled");
    });

    let arrayElements = [];
    $('#next').on('click', function (e) {
        e.preventDefault();
        let element = $('#selection');
        arrayElements = element.dataTable().api().rows().data().toArray();
        if (arrayElements.length == 0 || arrayElements.length > 50) {
            return;
        }
        $("#send").prop("disabled", false).removeClass("disabled");
        stepper.next();
    });

    $('#send').on('click', function (e) {
        e.preventDefault();
        if (!$("#create-form-entity").valid()) {
            return false;
        }
        let route = $("#create-form-entity").attr("dt-store");
        let value = 'POS';
        let title = $("#data").attr("data-send");
        let element = null;
        let cancel = $("#data").attr("data-cancel");
        let confirm = $("#data").attr("data-continue");

        let ids = [];
        $.each(arrayElements, function (index, value) {
            ids.push(value.id)
        });

        let formData = new Object();
        formData['message'] = $("#summernote").val();
        formData['color'] = $("#color").val();
        formData['range'] = $("#range").val();
        formData['message'] = $("#message").val();
        formData['ids'] = ids;
        processData(title, cancel, confirm, route, value, element, formData, false);
    });

    function processMultipleRegisters(name) {

        let element = $('#data');
        if (name == 'process_select') {
            let selected = element.dataTable().api().rows({selected: true}).data().toArray();
            let selection = $('#selection');
            selection.dataTable().fnClearTable();
            if (selected.length > 0) {
                $.each(selected, function (index,value) {
                    let row = [];
                    row['id'] = value.id;
                    row['username'] = value.username;
                    row['name'] = value.name;
                    row['company'] = value.company;
                    row['team'] = value.team;
                    selection.DataTable().row.add(row);
                    selection.dataTable().fnDraw();
                });
            }
            return;
        }

        let selectedRegisters = $("#data").DataTable().rows({
            selected: true
        }).data().toArray();

        let route = '';
        let value = '';
        let ids = [];
        let title = '';
        let type = '';
        selectedRegisters.forEach(function (key, index) {
            ids.push(key.id);
        });
        if (name == 'accept_select') {
            route = $("#create-form-entity").attr("dt-accept");
            value = 'POS';
            title = $("#data").attr("data-ok");
            type = 'ok';
        } else if (name == 'cancel_select') {
            route = $("#create-form-entity").attr("dt-cancel");
            value = 'DEL';
            title = $("#data").attr("data-ko");
            type = 'ko';
        } else if (name == 'send') {
            route = $("#create-form-entity").attr("dt-cancel");
            value = 'DEL';
            title = $("#data").attr("data-ko");
            type = 'ko';
        }
        let cancel = $("#data").attr("data-cancel");
        let confirm = $("#data").attr("data-continue");
        let formData = new Object();
        formData['ids'] = ids;
        formData['type'] = type;
        if (ids.length > 0 && route != '') {
            processData(title, cancel, confirm, route, value, element, formData, true);
        }
    }

    function processData(title, cancel, confirm, route, value, element, formData, send) {
        let type = null;
        let icon = 'warning';
        let confirmButtonColor = 'green';
        switch (value) {
            case 'DEL':
                type = 'DELETE';
                confirmButtonColor = '#d33';
                icon = 'error';
                break;
            case 'POS':
                type = 'POST';
                break;
            default:
                return;
        }
        Swal.fire({
            title: title,
            showCancelButton: true,
            confirmButtonText: confirm,
            cancelButtonText: cancel,
            confirmButtonColor: confirmButtonColor,
            icon: icon,
        }).then((result) => {
            if (send) {
                element.dataTable().api().rows().deselect();
            }
            if (result.value && type != 'null') {
                loading(true);
                //Update data
                $.ajax({
                    url: route,
                    type: type,
                    headers: {
                        'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: formData,
                    success: function (response) {
                        let respArr = JSON.parse(response, true);
                        if (typeof (respArr['success']) != "undefined") {
                            $("#success").show();
                            $("#correct-result").html(respArr['success']);
                            toastr.success(respArr['success']);
                        } else {
                            $("#error").show();
                            if (typeof (respArr['error']) != "undefined") {
                                $("#error-result").html(respArr['error']);
                                toastr.error(respArr['error']);
                            } else {
                                $("#error-result").html(respArr);
                                toastr.error(respArr);
                            }
                        }
                        if (send) {
                            loadResults();
                            element.dataTable().api().rows().deselect();
                            element.dataTable().fnDraw();
                        }
                        loading(false);
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        loading(false);
                        $("#error").show();
                        setTimeout(function () {
                            location.reload();
                        }, 5000);

                    }
                });
            } else {
                loading(false);
                return false;
            }
        });
    }

    $("#radio-find").on('click', function () {
        if ($(this).is(":checked")) {
            $("#find").show();
            $("#status").val(1);
            $("#result").hide();
        }
    });
    $('#create-form-entity').on('click', 'button[name=process]', function (e) {
        e.preventDefault();
        if (!$("#create-form-entity").valid()) {
            return false;
        }
        if ($("#status").val() == 0) {
            loadResults();
        }
    });

    function loadResults() {
        let element = $("#data");
        let route = $("#create-form-entity").attr("search-action");
        let formData = new Object();
        formData = $('#create-form-entity').serialize();
        $(".overlay-wrapper").show();
        //Get data
        $.ajax({
            url: route,
            type: 'POST',
            headers: {
                'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
            },
            data: formData,
            success: function (response) {
                $("#result").show();
                let respArr = JSON.parse(response, true);
                element.dataTable().fnClearTable();
                if (typeof (respArr['success']) != "undefined") {
                    if (typeof (respArr['data']) != "undefined") {
                        let data = respArr['data'];
                        element.dataTable().fnAddData(data);
                        element.dataTable().fnDraw();
                    }
                } else {
                    $("#error").show();
                    if (typeof (respArr['error']) != "undefined") {
                        $("#error-result").html(respArr['error']);
                        toastr.error(respArr['error']);
                    } else {
                        $("#error-result").html(respArr);
                        toastr.error(respArr);
                    }
                }
                $(".overlay-wrapper").hide();
            },
            error: function (xhr, ajaxOptions, thrownError) {
                $(".overlay-wrapper").hide();
                $("#error").show();
                setTimeout(function () {
                    location.reload();
                }, 5000);
            }
        });
    }


    $('.map').on('click', function (e) {
        e.preventDefault();
        let id = $(this).attr('map-id');
        let route = $("#route").attr('dt-action');
        let formData = new Object();
        formData['id'] = id;
        $.ajax({
            url: route,
            type: 'POST',
            headers: {
                'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
            },
            data: formData,
            success: function (response) {
                let respArr = JSON.parse(response, true);
                if (typeof (respArr['success']) != "undefined") {
                    initMap(respArr['data']);
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                $("#error").show();
            }
        });
    });

    function initMap(valor) {
        let map = new google.maps.Map(document.getElementById('mapa'), {
            center: new google.maps.LatLng(40.416775, -3.703790),
            zoom: 6
        });
        let infoWindow = new google.maps.InfoWindow;

        let register = valor['register'];
        let ip = valor['ip'];
        let lat = valor['lat'];
        let long = valor['long'];
        let country = valor['country'];
        let city = valor['city'];
        let state = valor['state'];
        let cp = valor['cp'];
        let device = valor['device'];
        let browser = valor['browser'];
        let platform = valor['platform'];
        let timezone = valor['timezone'];
        let currency = valor['currency'];
        let user = valor['user'];
        let point = new google.maps.LatLng(
            parseFloat(lat),
            parseFloat(long)
        );

        let infowincontent = document.createElement('div');
        let strong = document.createElement('strong');
        strong.textContent = ip + " " + user;
        infowincontent.appendChild(strong);
        infowincontent.appendChild(document.createElement('br'));
        let text = document.createElement('text');
        text.textContent = register + " " + city + " " + cp + " " + country + " " + state;
        infowincontent.appendChild(text);
        let marker = new google.maps.Marker({
            map: map,
            position: point,
            draggable: true,
            animation: google.maps.Animation.DROP,
        });
        marker.addListener('click', function () {
            infoWindow.setContent(infowincontent);
            infoWindow.open(map, marker);
        });
    }
});
