'use strict';
$( document ).ready(function() {

    $('#users tbody').on( 'click', '.delete', function (e) {
        e.preventDefault();
        let id = $(this).attr("attr-id");
        let slug = $(this).attr("attr-slug");
        let route = $(this).attr("attr-delete");
        let title = $("#users").attr("data-delete");
        let cancel = $("#users").attr("data-cancel");
        let confirm = $("#users").attr("data-continue");
        let formData = null;
        let value = 'DEL';
        if (id > 0) {
            let element = $('#users');
            processData(e, title, cancel, confirm, slug, route, value, element, formData);
        }
    });

    function processData(e, title, cancel, confirm, slug, route, value, element, formData) {
        title += ' ' + slug;
        let type = null;
        let icon = 'warning';
        let confirmButtonColor = 'green';
        switch (value) {
            case 'DEL':
                type = 'DELETE';
                confirmButtonColor= '#d33';
                icon = 'error';
                break;
            case 'POS':
                type = 'POST';
                break;
            default:
                return;
        }
        Swal.fire({
            title: title,
            showCancelButton: true,
            confirmButtonText: confirm,
            cancelButtonText: cancel,
            confirmButtonColor: confirmButtonColor,
            icon: icon,
        }).then((result) => {
            element.dataTable().api().rows().deselect();
            if (result.value && type != 'null') {
                loading(true);
                //Update data
                $.ajax({
                url: route,
                type: type,
                headers: {
                    'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
                },
                data: formData,
                success: function (response) {
                    let respArr = JSON.parse(response, true);
                    if (typeof(respArr['success']) != "undefined") {
                        $("#success").show();
                        $("#correct-result").html(respArr['success']);
                        toastr.success(respArr['success']);
                        $('#create-link').modal('hide');
                    } else {
                        $("#error").show();
                        if (typeof(respArr['error']) != "undefined") {
                            $("#error-result").html(respArr['error']);
                            toastr.error(respArr['error']);
                        } else {
                            $("#error-result").html(respArr);
                            toastr.error(respArr);
                        }
                    }
                    element.DataTable().ajax.reload();
                    loading(false);
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    loading(false);
                    $("#error").show();
                    setTimeout(function () {
                        location.reload();
                    }, 5000);

                }
                });
            } else {
                loading(false);
                return false;
            }
        });
    }

    $('.remove-image').on( 'click', function (e) {
        e.preventDefault();
        let parent = $(this).parent();
        let image = parent.find("img")
        let route = image.attr("attr-delete-img");
        if (typeof(route) != "undefined") {
            $.ajax({
                url: route,
                type: 'DELETE',
                headers: {
                    'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
                },
                success: function (response) {
                    let respArr = JSON.parse(response, true);
                    if (typeof(respArr['success']) != "undefined") {
                        parent.html("");
                    } else {
                        $("#error").show();
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    loading(false);
                    $("#error").show();
                    setTimeout(function () {
                        location.reload();
                    }, 5000);
                }
            });
        }
    });
});
