'use strict';
require('./bootstrap');

window.loading = function(val) {
    let $loadingContainer = $('#loading-container');
   if (val)
     $loadingContainer.show();
   else
     $loadingContainer.hide();
 }


 //Messages
function process(route, method, formData, element){
    $.ajax({
        'url': route,
        'type': method,
        headers: {
            'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
        },
        data: formData,
        success: function (response) {
            let respArr = JSON.parse(response, true);
            if (typeof(respArr['success']) != "undefined") {
                if (typeof(respArr['data']) != "undefined") {
                    loadMessages(respArr['data']);
                } else if (typeof(respArr['delete']) != "undefined") {
                    element.closest("tr").remove();
                }
            } else {

            }
        },
        error: function (xhr, ajaxOptions, thrownError) {

        }
    });
}

function loadMessages(data) {
    let html = '';
    let count = data.length;
    if (count > 0) {
        $("#message-count").text(data.length);
    } else {
        $("#message-count").text('');
    }
    $.each(data, function (index, value) {
        let username = value.username;
        let text = value.text;
        let color = value.color;
        let image =  value.image;;
        let createdAt = value.created_at;
        html = html + `<a href='' class='dropdown-item'>
        <div class='media'>`+image+`
        <div class='media-body'>
            <h3 class='dropdown-item-title'>
                <span>`+username+`</span>
                <span class='float-right text-sm' style='color:`+color+`'><i class='fas fa-star'></i></span>
            </h3>
            <p class='text-sm''>`+text+`</p>
            <p class='text-sm text-muted'><i class='far fa-clock mr-1'> `+createdAt+`</i></p>
        </div>
        </div>
        </a>`;
    });
    $('li.messages #message-content').html(html);
}



$( document ).ready(function() {

    let routeSearch =  $('li.messages').attr('dt-action');
    let formData = new Object();
    let method = 'POST';
    process(routeSearch, method, formData);

    $('#messages tbody').on( 'click', '.delete', function (e) {
        e.preventDefault();
        //Borrar el elemento
        let element = $(this);
        let id = element.attr('dt-delete');
        let formData = new Object();
        formData['message-id'] = id;
        let routeDelete =  $('#messages').attr('dt-delete');
        let method = 'DELETE';
        process(routeDelete, method, formData, element);
    });


    $("#table-search").on("keyup", function() {
        var value = $(this).val().toLowerCase();
        $("#messages tbody tr").filter(function() {
          $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
    });


    $.validator.addMethod('checkCif', function (val, elem) {
        let code = $("#code").val()
        let cif = code+val;
        cif = cif.split('_').join('');
        let result = jsvat.checkVAT(cif, jsvat.countries).isValid;
        if (result) {
            return true;
        } else {
            return false;
        }
    }, 'Error');


    $.validator.addMethod('checkAccount', function (val, elem) {
        let iban = $("#iban").val();
        let account = iban + val;
        if (account != '') {
            let result = $.validator.methods.iban.call(this, account, elem);
            if (result) {
                return true;
            } else {
                return false;
            }
        } else {
            return true;
        }
    }, 'Error');

    $("#create-form-entity").validate({
        errorElement: 'span',
        errorPlacement: function (error, element) {
            if(element.parent().hasClass('input-group')){
                error.insertAfter( element.parent() );
              }else{
                error.insertAfter( element );
              }
        },
        highlight: function(element) {
            $(element).css('border-color', 'red');
            $(element).css('background', '#ffdddd');
        },
        unhighlight: function(element) {
            $(element).css('border-color', 'inherit');
            $(element).css('background', 'inherit');
        },
        rules: {
            nif: {
                maxlength: 50,
                checkCif: true,
            },
            account: {
                checkAccount: true,
            },
            phone: {
                minlength: 5,
                maxlength: 20,
                require_from_group: [1, '.mygroup']
            },
            mobile: {
                maxlength: 20,
                require_from_group: [1, '.mygroup']
            },
        }
    });
});
