'use strict';
$( document ).ready(function() {
    $('.checkbox').on('click', function (e) {
        loading(true);
        let formData = new Object();
        let textId = $(this).attr('id');
        formData['id'] = textId.replace("checkbox-active-","");
        formData['checked'] = $(this).is(":checked");
        $(this).addClass('selected');
        $(".checkbox").not('.selected').prop('checked', false);
        let route = $("#campaign").attr("dt-action");
        //Update data
        $.ajax({
        url: route,
        type: 'POST',
        headers: {
            'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
        },
        data: formData,
        success: function (response) {
            let respArr = JSON.parse(response, true);
            if (typeof(respArr['success']) != "undefined") {
                //Recorrer los datos
                $("#success").show();
                $("#correct-result").html(respArr['success']);
                toastr.success(respArr['success']);
            } else {
                $("#error").show();
                if (typeof(respArr['error']) != "undefined") {
                    $("#error-result").html(respArr['error']);
                    toastr.error(respArr['error']);
                } else {
                    $("#error-result").html(respArr);
                    toastr.error(respArr);
                }
                $(".checkbox").prop('checked', false);
            }
            $(".selected").removeClass('selected');
            loading(false);
        },
        error: function (xhr, ajaxOptions, thrownError) {
            $("#error").show();
            $(".checkbox").prop('checked', false);
            setTimeout(function () {
                location.reload();
            }, 5000);
        }
        });
    });
});
