'use strict';

function clock() {
    var time = new Date(),
    hours = time.getHours(),
    minutes = time.getMinutes(),
    seconds = time.getSeconds();
    document.querySelectorAll('.clock')[0].innerHTML = harold(hours) + ":" + harold(minutes) + ":" + harold(seconds);
    document.querySelectorAll('.dateclock')[0].innerHTML = moment().format('DD/MM/YYYY');
    function harold(standIn) {
        if (standIn < 10) {
        standIn = '0' + standIn
        }
        return standIn;
    }
}
if (($(".clock").length > 0) && ($(".dateclock").length > 0)){
    setInterval(clock, 1000);
}

$('#create-form-entity').on('click', 'a[name=search-manual]', function (e) {
    e.preventDefault();
    let start = $("#date-initial").val();
    start = start.split("/").join("-");
    let finish = $("#date-end").val();
    finish = finish.split("/").join("-");
    let formData = new Object();
    formData['start'] = start;
    formData['finish'] = finish;
    let element = $("#register-search");
    if (!isValidDateTime(start) || !isValidDateTime(finish)) {
        $("#error").show();
    } else {
        let route = $("#create-form-entity").attr("dt-action");
        $.ajax({
        url: route,
        type: "POST",
        headers: {
            'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
        },
        data: formData,
        success: function (response) {
            let respArr = JSON.parse(response, true);
            element.dataTable().fnClearTable();
            if (typeof (respArr['success']) != "undefined") {
                if (typeof (respArr['data']) != "undefined") {
                    let data = respArr['data'];
                    element.dataTable().fnAddData(data);
                    element.dataTable().fnDraw();
                }
            } else {
                $("#error").show();
                if (typeof (respArr['error']) != "undefined") {
                    $("#error-result").html(respArr['error']);
                    toastr.error(respArr['error']);
                } else {
                    $("#error-result").html(respArr);
                    toastr.error(respArr);
                }
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            $("#error").show();
            setTimeout(function () {
                location.reload();
            }, 5000);
        }
        });
    }
});

$('#register-holidays').on('click', 'div[name=confirm-holidays]', function (e) {
    e.preventDefault();
    let type = $(this).attr('id');
    let reservation = $("#holidays-date").val();
    let formData = new Object();
    formData["type"] = type;
    formData["holidays"] = reservation;
    let comments = $("#summernote").val();
    formData["comments"] = comments;
    registerHour(formData);
});

$('#create-form-entity').on('click', 'a[name=confirm-manual]', function (e) {
    e.preventDefault();
    if (!$("#create-form-entity").valid()) {
        return false;
    }
    let type = $("#type").val();
    let manual = $("#manual-date").val();
    let formData = new Object();
    formData["type"] = type;
    formData["manual"] = manual;
    let comments = $("#summernote").val();
    formData["comments"] = comments;
    registerHour(formData);
});


$('#create-form-entity').on('click', 'div[name=confirm]', function (e) {
    e.preventDefault();
    let type = $(this).attr('id');
    let formData = new Object();
    formData["type"] = type;
    let comments = $("#summernote").val();
    formData["comments"] = comments;
    registerHour(formData);
});


$('#confirm-holidays').on('click', function (e) {
    $('.nav-tabs a[href="#nav-holidays"]').tab('show');
});


function registerHour(formData) {
    let route = $("#create-form-entity").attr("action");
    loading(true);
    //Update data
    $.ajax({
    url: route,
    type: 'POST',
    headers: {
        'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
    },
    data: formData,
    success: function (response) {
        let respArr = JSON.parse(response, true);
        if (typeof(respArr['success']) != "undefined") {
            $("#success").show();
            $("#correct-result").html(respArr['success']);
            toastr.success(respArr['success']);
        } else {
            $("#error").show();
            if (typeof(respArr['error']) != "undefined") {
                $("#error-result").html(respArr['error']);
                toastr.error(respArr['error']);
            } else {
                $("#error-result").html(respArr);
                toastr.error(respArr);
            }
        }
        loading(false);
    },
    error: function (xhr, ajaxOptions, thrownError) {
        loading(false);
        $("#error").show();
        setTimeout(function () {
            location.reload();
        }, 5000);
    }
    });
}
