<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Frontend Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the Frontend class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'impersonating' => 'Voste està actualment logejat com a :name.',
    'impersonating_return' => 'Tornar al seu compte d´usuari',
    'links' => 'Pàgines amigues',
    'active' => 'Actiu',
    'config' => 'Configuracions',
    'files' => 'Arxius',


    'button'=> [
        'action' => 'Accions',
        'view' => 'Veure',
        'edit' => 'Editar',
        'delete' => 'Esborrar',
        'diff'    => 'Creat fa',
        'updated'    => 'Actualitzat fa',
        'cancel' => 'Cancel.la',
        'continue' => 'Continua',
        'close' => 'Tancar'
    ],

    'icon'  => [
        'yes' => 'Si',
        'no' => 'No'
    ],

    'alert' => [
        'error' => "Error",
        'success' => 'Correcte'
    ],

    'company'=> [
        'name' => 'Empresa',
        'plural' => 'Empreses',
        'button' => [
            'create' => "Nova Empresa",
        ],
        'message' => [
            'delete' => "Vols esborrar l´empresa?",
        ],
        'actions' => [
            'show' => 'Visualitzar Empresa',
            'back' => 'Retornar',
            'create' => 'Crear Empresa',
            'edit' => 'Modificar Empresa',
        ],
        'error' => [
            'office' => "L´equipo no té oficina assignada",
            'delegation' => "L´equip no té delegació assignada",
            'company' => "L´equip no té companyia assignada",
            'url' => 'Url',
        ],
        'form' => [
            'register' => 'Registre mercantil',
            'conditions' => 'Condicions legals',
        ]
    ],

    'company_link'  => [
        'name' => 'Link',
        'plural' => 'Links',
        'button' => [
            'create' => "Nou Link",
            'edit' => "Editar Link",
            'save' => 'Guardar',
            'close' => 'Tancar'
        ],
        'message' => [
            'delete' => "Vols esborrar l´enllaç?",
            'create' => "Vols crear l´enllaç?",
            'edit' => 'Vols modificar l´enllaç?'
        ],
        'actions' => [
            'show' => 'Visualitzar Link',
            'back' => 'Retornar',
            'create' => 'Crear Link',
            'edit' => 'Modificar Link',
        ],
        'form' => [
            'name' => 'Nom',
            'url' => 'Url',
            'active' => 'Actiu',
            'created_at' => 'Creat des de',
            'updated_at' => 'Actualitzat en',
            'deleted_at' => 'Esborrat en',
        ]
    ],

    'entity'=> [
        'form' => [
            'name' => 'Nom',
            'slug' => 'Slug',
            'last_name' => '1er cognom',
            'last_name_2' => '2º cognom',
            'mobile' => 'Mòbil',
            'phone' => 'Telèfon',
            'type' => 'Tipus',
            'avatar' => 'Avatar',
            'via' => 'Via',
            'name_via' => 'Nom Via',
            'num_via' => 'Nº Via',
            'floor' => 'Pis',
            'door' => 'Porta',
            'letter' => 'Lletra',
            'address_more' => 'Adreça addicional',
            'postcode' => 'Codi postal',
            'city' => 'Ciutat',
            'province' => 'Província',
            'other' => 'Altre',
            'country' => 'Pais',
            'active' => 'Actiu',
            'account' => 'Compte bancari',
            'iban' => 'IBAN',
            'created_at' => 'Creat des de',
            'updated_at' => 'Actualitzat en',
            'deleted_at' => 'Esborrat en',
        ]
    ],

    'user'=> [
        'name' => 'Usuari',
        'plural' => 'Usuaris',
        'button' => [
            'create' => "Nou Usuari",
        ],
        'message' => [
            'delete' => "Vols esborrar l´usuari?",
        ],
        'actions' => [
            'show' => 'Visualitzar Usuari',
            'back' => 'Retornar',
            'create' => 'Crear Usuari',
            'edit' => 'Modificar Usuari',
        ],
        'form' => [
            'password' => 'Contrasenya',
            'password_confirm' => 'Confirmar contrasenya',
            'username' => 'Username',
            'type' => 'Tipus',
            'locale' => 'Idioma',
            'contract' => 'Tipus contratació',
            'contract_hours' => 'Hores'
        ]
    ],

    'team' => [
        'name' => 'Equip',
        'plural' => 'Equips',
        'button' => [
            'create' => "Nova Empresa",
            'create' => "Enviar",
            'find' => 'Consultar',
            'cancel' => 'Cancel.lar'
        ],
        'message' => [
            'delete' => "Vols esborrar l´empresa?",
            'update' => "Al canviar l'oficina s'esborraran les autoritzacions als usuaris",
        ],
        'actions' => [
            'show' => 'Visualitzar Empresa',
            'back' => 'Retornar',
            'create' => 'Crear Empresa',
            'edit' => 'Modificar Empresa',
            'assign' => 'Assignar usuaris',
            'select' => 'Selecciona element',
            'delegate' => 'Selecciona a quina :entity vols afegir delegats',
            'user' => 'Selecciona usuaris',
            'non_selected' => 'No seleccionats',
            'selected' => 'Seleccionats',
            'filter' => 'Filtre'
        ],
        'form' => [
            'name' => 'Nom',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Actiu',
            'created_at' => 'Creat des de',
            'updated_at' => 'Actualitzat en',
            'deleted_at' => 'Esborrat en',
        ]
    ],

    'delegation' => [
        'name' => 'Delegació',
        'plural' => 'Delegacions',
        'button' => [
            'create' => "Nova Delegació",
        ],
        'message' => [
            'delete' => "Vols esborrar la delegació?",
            'update' => "Al canviar l'oficina s'esborraran les autoritzacions als usuaris",
        ],
        'actions' => [
            'show' => 'Visualitzar Delegació',
            'back' => 'Retornar',
            'create' => 'Crear Delegació',
            'edit' => 'Modificar Delegació',
        ],
        'form' => [
            'name' => 'Nom',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Actiu',
            'created_at' => 'Creat des de',
            'updated_at' => 'Actualitzat en',
            'deleted_at' => 'Esborrat en',
        ]
    ],

    'office' => [
        'name' => 'Oficina',
        'plural' => 'Oficines',
        'button' => [
            'create' => "Nova Oficina",
        ],
        'message' => [
            'delete' => "Vols esborrar l´oficina?",
            'update' => "Al canviar l'oficina s'esborraran les autoritzacions als usuaris",
        ],
        'actions' => [
            'show' => 'Visualitzar Oficina',
            'back' => 'Retornar',
            'create' => 'Crear Oficina',
            'edit' => 'Modificar Oficina',
        ],
        'form' => [
            'name' => 'Nom',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Actiu',
            'created_at' => 'Creat des de',
            'updated_at' => 'Actualitzat en',
            'deleted_at' => 'Esborrat en',
        ]
    ],

    'lopd' => [
        'name' => 'LOPD',
        'plural' => 'LOPD',
        'button' => [
            'create' => "Nova LOPD",
        ],
        'message' => [
            'delete' => "Vols esborrar LOPD?",
        ],
        'actions' => [
            'show' => 'Visualitzar LOPD',
            'back' => 'Retornar',
            'create' => 'Crear LOPD',
            'edit' => 'Modificar LOPD',
        ],
        'form' => [
            'privacy' => 'Política de privadessa',
            'cookies' => 'Política de cookies',
            'legal' => 'Avís legal',
            'type' => 'Tipus',
            'text' => 'Text',
            'name' => 'Nom',
            'active' => 'Actiu',
        ]
    ],

    'announcement' => [
        'name' => 'Anunci',
        'plural' => 'Anuncis',
        'button' => [
            'create' => "Nova Notificació",
        ],
        'message' => [
            'delete' => "Vols esborrar Notificació?",
        ],
        'actions' => [
            'show' => 'Visualitzar Notificació',
            'back' => 'Retornar',
            'create' => 'Crear Notificació',
            'edit' => 'Modificar Notificació',
        ],
        'form' => [
            'type' => 'Tipus',
            'area' => 'Àrea',
            'message' => 'Missatge',
            'active' => 'Actiu',
            'starts_at' => 'Data inici',
            'ends_at' => 'Data fi',
        ]
    ],

    'master' => [
        'name' => 'Permís',
        'plural' => 'Permissos',
        'delegate' => 'Delegar control',
        'button' => [
            'create' => "Enviar",
            'find' => 'Consultar',
            'cancel' => 'Cancel.lar'
        ],
        'message' => [

        ],
        'actions' => [
            'back' => 'Retornar',
            'edit' => 'Modificar delegats',
            'select' => 'Selecciona element',
            'select_entity' => 'Selecciona :entity',
            'delegate' => 'Selecciona a quina :entity vols afegir delegats',
            'user' => 'Selecciona usuaris',
            'non_selected' => 'No seleccionats',
            'selected' => 'Seleccionats',
            'filter' => 'Filtre'
        ],
        'form' => [

        ],
        'error' => [
            'type' => 'No hi ha tipus',
            'selection' => 'No hi ha elements per :entity',
            'list' => 'No hi han usuaris actius',
            'status' => 'Error en la recerca'
        ],
        'entity' => [
            'company' => 'Companyia',
            'team' => 'Equip',
            'office' => 'Oficina',
            'delegation' => 'Delegació',
            'user' => 'Usuari'
        ],
        'success' => [
            'success' => 'OK'
        ]
    ],

    'message' => [
        'name' => 'Missatge',
        'plural' => 'Missatges',
        'button' => [
            'create' => "Nou Missatge",
            'accept_select' => 'Enviar seleccionats',
            'add_select' => 'Afegir seleccionats',
            'select' => 'Seleccionar',
            'cancel' => 'Cancel.lar',
            'find' => 'Cercar',
            'next' => 'Següent',
            'send' => 'Enviar',
            'previous' => 'Tornar'
        ],
        'message' => [
            'delete' => "Vols esborrar Missatge?",
            'select' => 'Seleccionar usuari',
            'send' => 'Vols enviar el Missatge?'
        ],
        'actions' => [
            'show' => 'Visualitzar Missatge',
            'back' => 'Retornar',
            'create' => 'Crear Missatge',
            'edit' => 'Modificar Missatge',
            'select' => 'Seleccionar destinataris',
            'resume' => 'Resum'
        ],
        'form' => [
            'all' => 'Tots',
            'find' => 'Cercar',
            'text' => 'Text',
            'name' => 'Nom',
            'username' => 'Usuari',
            'company' => 'Empresa',
            'team' => 'Equip',
            'message' => 'Missatge',
            'color' => 'Color',
            'range' => 'Prioritat',
            'active' => 'Actiu',
            'created_at' => 'Creat des de',
            'updated_at' => 'Actualitzat en',
            'deleted_at' => 'Esborrat en',
        ]
    ],

    'hour'=> [
        'name' => 'Fichar',
        'single' => 'Fichatge',
        'plural' => 'Fitxatges',
        'link' => [
            'manual' => 'Manual'
        ],
        'button' => [
            'create' => "Nou Fitxatge",
            'find' => 'Cercar',
            'edit' => 'Editar',
            'show' => 'Mostrar',
            'cancel' => 'Cancel.lar',
            'acceptar' => 'Acceptar',
            'cancel_select' => 'Cancel.lar seleccionats',
            'accept_select' => 'Acceptar seleccionats'
        ],
        'message' => [
            'delete' => "Vols esborrar Fitxatge?",
            'register' => 'Vols fitxar :value a :date',
            'accept' => 'Acceptar el fitxatge',
            'cancel' => 'Cancel.lar el fitxatge'
        ],
        'actions' => [
            'show' => 'Visualitzar Fitxatge',
            'back' => 'Retornar',
            'create' => 'Crear Fitxatge',
            'edit' => 'Modificar Fitxatge',
            'validate' => 'Validar Fichatges'
        ],
        'error' => [
            'user' => 'No hi ha usuari',
            'type' => 'No hi ha tipus',
            'company' => 'L´usuari no pertany a una empresa',
            'holidays' => 'Error en les dates',
            'holidays_duplicated' => 'La data :date està ja seleccionada en un fitxatge',
            'no_register' => 'No hi ha registre :register. Crear un registre manual primer?',
            'no_consistent' => 'La data de fitxatge és anterior a una altre existent',
            'duplicated' => 'El fitxatge :register està duplicar. No pots prémer dues vegades el mateix botó'
        ],
        'success' => [
            'success' => 'El fitxatge :register a les :date correcte'
        ],
        'form' => [
            'name' => 'Nom',
            'active' => 'Actiu',
            'comments' => 'Comentaris',
            'type' => 'Tipus',
            'start' => 'Fitxar',
            'stop' => 'Parar',
            'return' => 'Retornar',
            'finish' => 'Acabar',
            'holidays' => 'Vacances',
            'pdte' => 'Verificant',
            'closed' => 'Tancat',
            'date' => 'Data',
            'hour' => 'Hora',
            'all' => 'Tot',
            'find' => 'Filtrar',
            'state' => 'Status',
            'pdte' => 'Pendent',
            'ok' => 'Correcte',
            'ko' => 'Anulat',
            'username' => 'Usuari',
            'company' => 'Empresa',
            'results' => 'Resultats',
            'ip' => 'IP',
            'lat' => 'lat',
            'long' => 'long',
            'country' => 'País',
            'browser' => 'Navegador',
            'map' => 'Map',
            'created_at' => 'Creat des de',
            'updated_at' => 'Actualitzat en',
            'deleted_at' => 'Esborrat en',
        ]
    ],


    'bo' => [
        'name' => 'Back Office',
        'plural' => 'Back Office',
        'button' => [

        ],
        'actions' => [
            'show' => 'Visualitzar Lead',
            'back' => 'Retornar',
            'create' => 'Crear Lead',
            'edit' => 'Modificar Lead',
        ],
        'form' => [
            'identificator' => "Identificador",
            'signature_date' => 'Data',
            'user' => 'Comercial',
            'team' => 'Equip',
            'client' => 'Client',
            'status' => 'Estat'
        ]
    ],


    'campaign' => [
        'name' => 'Campanya',
        'plural' => 'Campanyes',
        'button' => [
            'create' => "Nova Campanya",
        ],
        'message' => [
            'delete' => "Vols esborrar la campanya?",
        ],
        'actions' => [
            'show' => 'Visualitzar Campanya',
            'back' => 'Retornar',
            'create' => 'Crear Campanya',
            'edit' => 'Modificar Campanya',
        ],
        'form' => [
            'name' => 'Nom',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Actiu',
            'created_at' => 'Creat des de',
            'updated_at' => 'Actualitzat en',
            'deleted_at' => 'Esborrat en',
        ]
    ],
];
