<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Frontend Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the Frontend class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'terms' => "Condicions d'ús",
    'privacy' => 'Política de protecció de dades',
    'legal' => 'Política Legal',
    'cookies' => 'Política de cookies',
    'username' => 'Usuari',
    'profile' => 'Perfil',
    'type' => 'Tipus',
    'timezone' => 'Zona horària',
    'created' => 'Creat',
    'updated' => 'Actualitzat',
    'last_name' => 'Cognoms',
    'avatar' => 'Avatar',
    'success' => 'Canvis efectuats amb èxit',
    '2fa' => "L'autenticación de dos factors ha d'estar :status para accedir a aquesta pàgina",
    'loading' => 'Carregant dades',
    'options' => 'Opcions',

    'hour' => [
        'name' => 'Fichar',
        'plural' => 'Fitxatges',
        'link' => [
            'manual' => 'Manual',
            'search' => 'Cercar'
        ],
        'button' => [
            'create' => "Nou Fitxatge",
            'search' => 'Cercar',
        ],
        'message' => [
            'delete' => "Vols borrar Fitxatge?",
            'register' => 'Vols fitxar :value a :date',
            'success' => 'El fitxatge :register a les :date correcte'
        ],
        'actions' => [
            'show' => 'Visualitzar Fitxatge',
            'back' => 'Retornar',
            'create' => 'Crear Fitxatge',
            'edit' => 'Modificar Fitxatge',
        ],
        'error' => [
            'user' => 'No hi ha usuari',
            'type' => 'No hi ha tipus',
            'company' => 'L´usuari no pertany a una empresa',
            'holidays' => 'Error en les dates',
            'holidays_duplicated' => 'La data :date està ja seleccionada en un fitxatge',
            'no_register' => 'No hi ha registre :register. Crear un registre manual primer?',
            'no_consistent' => 'La data de fitxatge és anterior a una altre existent',
            'duplicated' => 'El fitxatge :register està duplicar. No pots prémer dues vegades el mateix botó'
        ],
        'success' => [
            'success' => 'El fitxatge :register a les :date correcte'
        ],
        'form' => [
            'name' => 'Nom',
            'active' => 'Actiu',
            'comments' => 'Comentaris',
            'type' => 'Tipus',
            'start' => 'Fitxar',
            'stop' => 'Parar',
            'return' => 'Retornar',
            'finish' => 'Acabar',
            'holidays' => 'Vacances',
            'date' => 'Data',
            'hour' => 'Hora',
            'date_start' => 'Data inici',
            'date_end' => 'Data fi',
            'date' => 'Data',
            'status' => 'Estat',
            'company' => 'Empresa'
        ]
    ],

    'campaign' => [
        'name' => 'Campanya',
        'plural' => 'Campanyes',
        'button' => [
            'create' => "Nova Campanya",
            'search' => 'Cercar',
        ],
        'message' => [
            'no_campaign' => 'No hi ha campanya seleccionada',
            'no_delegations' => 'El usuari no pertany a una empresa o un equip',
            'delete' => "Vols borrar Campanya?",
        ],
        'actions' => [
            'show' => 'Visualitzar Campanya',
            'back' => 'Retornar',
            'create' => 'Crear Campanya',
            'edit' => 'Modificar Campanya',
        ],
        'error' => [

        ],
        'form' => [
            'name'   => 'Nom',
            'slug'   => 'Slug',
            'image' => 'Imatge',
            'active' => 'Activa'
        ]
    ],


    'thanks' => [
        'name' => 'Gràcies',
        'message' => 'El lead ha sigut donat d´alta al sistema amb número de seguiment :number',
        'trouble' => 'Problemes?',
        'continue' => 'Anar a la página de inici'
    ],

    'lead' => [
        'name' => 'Lead',
        'plural' => 'Leads',
        'link' => [
            'delega' => 'Leads Delegats',
            'list' => 'Mostrar'
        ],
        'button' => [
            'create' => "Nou Lead",
            'cancel' => 'Cancel.lar',
            'search' => 'Cercar',
            'next' => 'Següent',
            'send' => 'Enviar',
            'previous' => 'Tornar',
            'next' => 'Next'
        ],
        'message' => [
            'delete' => "Vols borrar Lead?",
            'no_product' => 'No hi ha producte seleccionat',
            'no_periodicity' => 'No hi ha periodicitat seleccionada',
            'no_campaign' => 'No hi ha campanya seleccionada',
            'no_user' => 'No hi ha usuari seleccionat',
            'no_company' => 'L´usuari no pertany a una empresa',
            'no_team' => 'L´usuari no pertany a un equip',
            'no_office' => 'L´usuari no pertany a una oficina',
            'no_delegation' => 'L´usuari no pertany a una delegació',
        ],
        'actions' => [
            'personal' => 'Dades personals',
            'address' => 'Adreça',
            'payment' => 'Pagament'
        ],
        'error' => [
            'user' => 'No hi ha usuari',
        ],
        'form' => [
            'variant' => 'Producte',
            'periodicity' => 'Periodicitat',
        ]
    ],
];
