<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Frontend Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the Frontend class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'impersonating' => 'You are currently logged in as :name.',
    'impersonating_return' => 'Return to your account',
    'links' => 'Link',
    'active' => 'Active',
    'config' => 'Config',
    'files' => 'Files',


    'button'=> [
        'action' => 'Actions',
        'view' => 'View',
        'edit' => 'Edit',
        'delete' => 'Delete',
        'diff'    => 'Created at',
        'updated'    => 'Updated at',
        'cancel' => 'Cancel',
        'continue' => 'Continue',
        'close' => 'Close'
    ],


    'icon'=> [
        'yes' => 'Yes',
        'no' => 'No'
    ],

    'alert'=> [
        'error' => "Error",
        'success' => 'Success'
    ],

    'company'=> [
        'name' => 'Company',
        'plural' => 'Companies',
        'button' => [
            'create' => "New Company",
        ],
        'message' => [
            'delete' => "Do you want to remove company?",
        ],
        'actions' => [
            'show' => 'Show Company',
            'back' => 'Back',
            'create' => 'Create Company',
            'edit' => 'Edit Company',
        ],
        'error' => [
            'office' => 'Team does not have office assigned',
            'delegation' => 'Team does not have delegation assigned',
            'company' => "Team does not have company assigned",
        ],
        'form' => [
            'register' => 'Register',
            'conditions' => 'Conditions',
            'url' => 'Url',
        ]
    ],

    'company_link'=> [
        'name' => 'Link',
        'plural' => 'Links',
        'button' => [
            'create' => "New Link",
            'edit' => "Edit Link",
            'save' => 'Save',
            'close' => 'Close'
        ],
        'message' => [
            'delete' => "Do you want to remove link?",
            'create' => "Do you want to create link??",
            'edit' => 'Do you want to edit link??'
        ],
        'actions' => [
            'show' => 'Show Link',
            'back' => 'Back',
            'create' => 'Create Link',
            'edit' => 'Edit Link',
        ],
        'form' => [
            'name' => 'Name',
            'url' => 'Url',
            'active' => 'Active',
            'created_at' => 'Created at',
            'updated_at' => 'Updated et',
            'deleted_at' => 'Deleted at',
        ]
    ],

    'entity'=> [
        'form' => [
            'name' => 'Name',
            'slug' => 'Slug',
            'last_name' => 'Last name',
            'last_name_2' => 'Last name',
            'mobile' => 'Mobile',
            'phone' => 'Phone',
            'avatar' => 'Avatar',
            'email' => 'Email',
            'via' => 'Street',
            'name_via' => 'Name Street',
            'num_via' => 'Number Street',
            'floor' => 'Floor',
            'door' => 'Door',
            'letter' => 'Letter',
            'address_more' => 'More info',
            'postcode' => 'Postal Code',
            'city' => 'City',
            'province' => 'Province',
            'other' => 'Other',
            'country' => 'Country',
            'account' => 'Bank account',
            'iban' => 'IBAN',
            'active' => 'Active',
            'created_at' => 'Created at',
            'updated_at' => 'Updated et',
            'deleted_at' => 'Deleted at',
        ]
    ],

    'user'=> [
        'name' => 'User',
        'plural' => 'Users',
        'button' => [
            'create' => "New user",
        ],
        'message' => [
            'delete' => "Do you want to remove user?",
        ],
        'actions' => [
            'show' => 'Show User',
            'back' => 'Back',
            'create' => 'Create User',
            'edit' => 'Edit user',
        ],
        'form' => [
            'password' => 'Password',
            'password_confirm' => 'Password confirm',
            'username' => 'Username',
            'type' => 'Type',
            'locale' => 'Locale',
            'contract' => 'Contract type',
            'contract_hours' => 'Hours'
        ]
    ],

    'team'=> [
        'name' => 'Team',
        'plural' => 'Teams',
        'button' => [
            'create' => "New team",
            'find' => 'Find',
            'cancel' => 'Cancel'
        ],
        'message' => [
            'delete' => "Do you want to remove team?",
            'update' => "Changing the office will clear user permissions",
        ],
        'actions' => [
            'show' => 'Show team',
            'back' => 'Back',
            'create' => 'Create team',
            'edit' => 'Edit team',
            'assign' => 'Assign users',
            'select' => 'Select element',
            'select_entity' => 'Select :entity',
            'delegate' => 'Select :entity to add delegates',
            'user' => 'Select users',
        ],
        'form' => [
            'name' => 'Name',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Active',
            'created_at' => 'Created at',
            'updated_at' => 'Updated et',
            'deleted_at' => 'Deleted at',
        ]
    ],


    'delegation'=> [
        'name' => 'Delegation',
        'plural' => 'Delegations',
        'button' => [
            'create' => "New delegation",
        ],
        'message' => [
            'delete' => "Do you want to remove delegation?",
            'update' => "Changing company will clear user permissions",
        ],
        'actions' => [
            'show' => 'Show delegation',
            'back' => 'Back',
            'create' => 'Create delegation',
            'edit' => 'Edit delegation',
        ],
        'form' => [
            'name' => 'Name',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Active',
            'created_at' => 'Created at',
            'updated_at' => 'Updated et',
            'deleted_at' => 'Deleted at',
        ]
    ],

    'office'=> [
        'name' => 'Office',
        'plural' => 'Offices',
        'button' => [
            'create' => "New office",
        ],
        'message' => [
            'delete' => "Do you want to remove office?",
            'update' => "Changing the delegation will clear user permissions",
        ],
        'actions' => [
            'show' => 'Show office',
            'back' => 'Back',
            'create' => 'Create office',
            'edit' => 'Edit office',
        ],
        'form' => [
            'name' => 'Name',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Active',
            'created_at' => 'Created at',
            'updated_at' => 'Updated et',
            'deleted_at' => 'Deleted at',
        ]
    ],

    'lopd' => [
        'name' => 'LOPD',
        'plural' => 'LOPD',
        'button' => [
            'create' => "New LOPD",
        ],
        'message' => [
            'delete' => "Do you want to remove LOPD?",
        ],
        'actions' => [
            'show' => 'Show LOPD',
            'back' => 'Back',
            'create' => 'Create LOPD',
            'edit' => 'Edit LOPD',
        ],
        'form' => [
            'privacy' => 'Privacy Policy',
            'cookies' => 'Cookies Policy',
            'legal' => 'Legal conditions',
            'type' => 'Type',
            'text' => 'Text',
            'name' => 'Name',
            'active' => 'Active',
        ]
    ],

    'announcement' => [
        'name' => 'Announcement',
        'plural' => 'Announcements',
        'button' => [
            'create' => "New Announcement",
        ],
        'message' => [
            'delete' => "Do you want to remove Announcement?",
        ],
        'actions' => [
            'show' => 'Show Announcement',
            'back' => 'Back',
            'create' => 'Create Announcement',
            'edit' => 'Edit Announcement',
        ],
        'form' => [
            'type' => 'Type',
            'area' => 'Area',
            'message' => 'Message',
            'active' => 'Active',
            'starts_at' => 'Starts at',
            'ends_at' => 'Ends at',
        ]
    ],

    'message' => [
        'name' => 'Message',
        'plural' => 'Messages',
        'button' => [
            'create' => "Create Message",
            'accept_select' => 'Send selected',
            'add_select' => 'Add selected',
            'select' => 'Select',
            'cancel' => 'Cancel',
            'find' => 'Search',
            'next' => 'Next',
            'send' => 'Send',
            'previous' => 'Previous'
        ],
        'message' => [
            'delete' => "Do you want to remove Message?",
            'select' => 'Select user',
            'send' => 'Do you want to send Message??'
        ],
        'actions' => [
            'show' => 'Show Message',
            'back' => 'Back',
            'create' => 'Create Message',
            'edit' => 'Edit Message',
            'select' => 'Select',
            'resume' => 'Resume'
        ],
        'form' => [
            'all' => 'Todos',
            'find' => 'Buscar',
            'text' => 'Text',
            'name' => 'Name',
            'username' => 'Username',
            'company' => 'Company',
            'team' => 'Team',
            'active' => 'Active',
            'message' => 'Message',
            'color' => 'Color',
            'range' => 'Priority',
            'created_at' => 'Created at',
            'updated_at' => 'Updated at',
            'deleted_at' => 'Deleted at',
        ]
    ],


    'master' => [
        'name' => 'Permission',
        'plural' => 'Permission',
        'delegate' => 'Delegate control',
        'button' => [
            'create' => "Crear",
            'find' => 'Find',
            'cancel' => 'Cancel',
        ],
        'message' => [

        ],
        'actions' => [
            'back' => 'Back',
            'edit' => 'Update delegates',
            'select' => 'Select element',
            'delegate' => 'Select :entity to add delegates',
            'user' => 'Select users',
        ],
        'form' => [
        ],
        'entity' => [
            'company' => 'Company',
            'team' => 'Team',
            'office' => 'Office',
            'delegation' => 'Delegation',
            'user' => 'User'
        ],
        'error' => [
            'type' => 'Don´t exists type',
            'selection' => 'Don´t exists elements for :entity',
            'list' => 'There are not active users',
            'status' => 'Searching error'

        ],
        'success' => [
            'success' => 'OK'
        ]
    ],

    'hour'=> [
        'name' => 'Register',
        'single' => 'Register',
        'plural' => 'Registers',
        'button' => [
            'create' => "New Register",
            'find' => 'Search',
            'edit' => 'Edit',
            'show' => 'Mostrar',
            'cancel' => 'Cancelar',
            'acceptar' => 'Accept',
            'cancel_select' => 'Cancel selected',
            'accept_select' => 'Accept selected'
        ],
        'link' => [
            'manual' => 'Manual',
        ],
        'message' => [
            'delete' => "Delete Register?",
            'register' => 'Do you want register :value at :date',
            'accept' => 'Accept Register',
            'cancel' => 'Cancel Register'
        ],
        'actions' => [
            'show' => 'Show Register',
            'back' => 'Back',
            'create' => 'Create Register',
            'edit' => 'Modify Register',
            'validate' => 'Validate Registers'
        ],
        'error' => [
            'user' => 'Don´t exists user',
            'type' => 'Don´t exists type',
            'company' => 'User doesn´t belong to a company',
            'holidays' => 'Date error',
            'holidays_duplicated' => 'Date :date duplicated in one register',
            'no_register' => 'There is not :register register. Create manual register first?',
            'no_consistent' => 'Register date is prior to other existent',
            'duplicated' => 'Register :register duplicated. Can´t press twice the same button'
        ],
        'success' => [
            'success' => 'Register :register at :date successful'
        ],
        'form' => [
            'name' => 'Name',
            'active' => 'Active',
            'comments' => 'Comments',
            'type' => 'Type',
            'start' => 'Register',
            'stop' => 'Stop',
            'return' => 'Return',
            'finish' => 'Finish',
            'holidays' => 'Holidays',
            'pdte' => 'Verifying',
            'closed' => 'Closed',
            'date' => 'Data',
            'hour' => 'Hour',
            'all' => 'All',
            'find' => 'Find',
            'state' => 'Status',
            'pdte' => 'Wait',
            'ok' => 'OK',
            'ko' => 'KO',
            'username' => 'User',
            'company' => 'Company',
            'results' => 'Results',
            'ip' => 'IP',
            'lat' => 'lat',
            'long' => 'long',
            'country' => 'Country',
            'browser' => 'Browser',
            'map' => 'Map',
            'created_at' => 'Created at',
            'updated_at' => 'Updated at',
            'deleted_at' => 'Deleted at',
        ]
    ],

    'bo' => [
        'name' => 'Back Office',
        'plural' => 'Back Office',

        'form' => [
            'identificator' => "Identificador",
            'signature_date' => 'Date',
            'user' => 'Guy',
            'team' => 'Team',
            'client' => 'Client',
            'status' => 'Status'
        ],
        'actions' => [
            'show' => 'Show Lead',
            'back' => 'Back',
            'create' => 'Create Lead',
            'edit' => 'Modify Lead',
        ],
    ],

    'campaign'=> [
        'name' => 'Campaign',
        'plural' => 'Campaigns',
        'button' => [
            'create' => "New Campaign",
        ],
        'message' => [
            'delete' => "Do you want to remove Campaign?",
        ],
        'actions' => [
            'show' => 'Show Campaign',
            'back' => 'Back',
            'create' => 'Create Campaign',
            'edit' => 'Edit Campaign',
        ],
        'form' => [
            'name' => 'Name',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Active',
            'created_at' => 'Created at',
            'updated_at' => 'Updated et',
            'deleted_at' => 'Deleted at',
        ]
    ],
];
