<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Frontend Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the Frontend class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'username' => 'Username',
    'profile' => 'Profile',
    'terms' => "Terms of use",
    'privacy' => 'Privacy Policy',
    'legal' => 'Legal Policy',
    'cookies' => 'Cookies Policy',
    'type' => 'Type',
    'timezone' => 'Timezone',
    'created' => 'Created',
    'updated' => 'Updated',
    'last_name' => 'Surname',
    'avatar' => 'Avatar',
    'success' => 'Changes successfully',
    '2fa' => 'Two-factor Authentication must be :status to view this page.',
    'loading' => 'Loading',
    'options' => 'Options',

    'hour' => [
        'name' => 'Register',
        'plural' => 'Registers',
        'button' => [
            'create' => "New Register",
            'search' => 'Search',
        ],
        'link' => [
            'manual' => 'Manual',
            'search' => 'Search'
        ],
        'message' => [
            'delete' => "Delete Register?",
            'register' => 'Do you want register :value at :date',
            'success' => 'Register :register at :date successful'
        ],
        'actions' => [
            'show' => 'Show Register',
            'back' => 'Back',
            'create' => 'Create Register',
            'edit' => 'Modify Register',
        ],
        'error' => [
            'user' => 'Don´t exists user',
            'type' => 'Don´t exists type',
            'company' => 'User doesn´t belong to a company',
            'holidays' => 'Date error',
            'holidays_duplicated' => 'Date :date duplicated in one register',
            'no_register' => 'There is not :register register. Create manual register first?',
            'no_consistent' => 'Register date is prior to other existent',
            'duplicated' => 'Register :register duplicated. Can´t press twice the same button'
        ],
        'form' => [
            'name' => 'Name',
            'active' => 'Active',
            'comments' => 'Comments',
            'type' => 'Type',
            'start' => 'Register',
            'stop' => 'Stop',
            'return' => 'Return',
            'finish' => 'Finish',
            'holidays' => 'Holidays',
            'date' => 'Data',
            'hour' => 'Hour',
            'date_start' => 'Date start',
            'date_end' => 'Date end',
            'date' => 'Date',
            'status' => 'state',
            'company' => 'Company'
        ]
    ],

    'campaign' => [
        'name' => 'Campaign',
        'plural' => 'Campaigns',
        'button' => [
            'create' => "New Campaign",
            'find' => 'Search',
        ],
        'message' => [
            'delete' => "Delete Campaign?",
            'no_delegations' => 'User does not belong to one company or one team',
            'no_campaign' => 'No campaign selected',
        ],
        'actions' => [
            'show' => 'Show Campaign',
            'back' => 'Back',
            'create' => 'Create Campaign',
            'edit' => 'Modify Campaign',
        ],
        'error' => [

        ],
        'form' => [
            'name'   => 'Name',
            'slug'   => 'Slug',
            'image' => 'Image',
            'active' => 'Active'
        ]
    ],


    'thanks' => [
        'name' => 'Gracias',
        'message' => 'El lead ha sigo creado con el identificador :number',
        'trouble' => '¿Problemas?',
        'continue' => 'Volver a la página de inicio'
    ],

    'lead' => [
        'name' => 'Lead',
        'plural' => 'Leads',
        'link' => [
            'delega' => 'Leads Delegates',
            'list' => 'Show'
        ],
        'button' => [
            'create' => "New Lead",
            'cancel' => 'Cancel',
            'search' => 'Search',
            'next' => 'Next',
            'send' => 'Send',
            'previous' => 'Previous',
            'next' => 'Next'
        ],
        'message' => [
            'delete' => "Delete Lead?",
            'no_product' => 'No product selected',
            'no_periodicity' => 'No periodicity selected',
            'no_campaign' => 'No campaign selected',
            'no_user' => 'No user selected',
            'no_company' => 'No company selected',
            'no_team' => 'No team selected',
            'no_office' => 'No office selected',
            'no_delegation' => 'No delegation selected',
        ],
        'actions' => [
            'personal' => 'Personal data',
            'address' => 'Address',
            'payment' => 'Payment'
        ],
        'error' => [
            'user' => 'Don´t exists user',
        ],
        'form' => [
            'variant' => 'Variant',
            'periodicity' => 'Periodicity',
        ]
    ],
];
