<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Frontend Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the Frontend class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'impersonating' => 'Usted está actualmente logeado como :name.',
    'impersonating_return' => 'Volver a tu cuenta',
    'links' => 'Páginas amigas',
    'companies' => 'Empresas',
    'active' => 'Activo',
    'config' => 'Configuraciones',
    'files' => 'Archivos',


    'button'=> [
        'action' => 'Acciones',
        'view' => 'Ver',
        'edit' => 'Editar',
        'delete' => 'Borrar',
        'diff'    => 'Creado hace',
        'updated'    => 'Actualizado hace',
        'cancel' => 'Cancelar',
        'continue' => 'Continuar',
        'close' => 'Cerrar'
    ],


    'icon'=> [
        'yes' => 'Si',
        'no' => 'No'
    ],

    'alert'=> [
        'error' => "Error",
        'success' => 'Éxito'
    ],

    'company'=> [
        'name' => 'Empresa',
        'plural' => 'Empresas',
        'button' => [
            'create' => "Nueva Empresa",
        ],
        'actions' => [
            'show' => 'Ver Empresa',
            'back' => 'Volver',
            'create' => 'Crear Empresa',
            'edit' => 'Editar Empresa',
        ],
        'message' => [
            'delete' => "¿Deseas borrar la empresa?",
        ],
        'error' => [
            'office' => "El equipo no tiene oficina asignada",
            'delegation' => "El equipo no tiene delegación asignada",
            'company' => "El equipo no tiene empresa asignada",
        ],
        'form' => [
            'url' => 'Url',
            'register' => 'Registro mercantil',
            'conditions' => 'Condiciones legales',
        ]
    ],

    'company_link'=> [
        'name' => 'Link',
        'plural' => 'Links',
        'button' => [
            'create' => "Nuevo enlace",
            'edit' => "Editar enlace",
            'save' => 'Guardar',
            'close' => 'Cerrar'
        ],
        'message' => [
            'delete' => "¿Deseas borrar el enlace?",
            'create' => "¿Deseas crear el enlace?",
            'edit' => "¿Deseas editar el enlace?",
        ],
        'actions' => [
            'show' => 'Mostrar Link',
            'back' => 'Atrás',
            'create' => 'Crear Link',
            'edit' => 'Editar Link',
        ],
        'form' => [
            'name' => 'Nombre',
            'url' => 'Url',
            'active' => 'Activo',
            'created_at' => 'Creado desde',
            'updated_at' => 'Actualizado en',
            'deleted_at' => 'Borrado en',
        ]
    ],

    'entity'=> [
        'form' => [
            'name' => 'Nombre',
            'slug' => 'Slug',
            'last_name' => '1er apellido',
            'last_name_2' => '2º apellido',
            'mobile' => 'Móvil',
            'phone' => 'Teléfono',
            'avatar' => 'Avatar',
            'email' => 'Correo electrónico',
            'via' => 'Vía',
            'name_via' => 'Nombre Vía',
            'num_via' => 'Número Vía',
            'floor' => 'Piso',
            'door' => 'Puerta',
            'letter' => 'Letra',
            'address_more' => 'Dirección adicional',
            'postcode' => 'Código postal',
            'city' => 'Ciudad',
            'province' => 'Provincia',
            'other' => 'Otra',
            'country' => 'Pais',
            'account' => 'Cuenta bancaria',
            'iban' => 'IBAN',
            'active' => 'Activo',
            'created_at' => 'Creado desde',
            'updated_at' => 'Actualizado en',
            'deleted_at' => 'Borrado en',
        ]
    ],

    'user'=> [
        'name' => 'Usuario',
        'plural' => 'Usuarios',
        'button' => [
            'create' => "Nuevo Usuario",
        ],
        'actions' => [
            'show' => 'Ver Usuarios',
            'back' => 'Volver',
            'create' => 'Crear Usuario',
            'edit' => 'Editar Usuario',
        ],
        'message' => [
            'delete' => "¿Deseas borrar el usuario?",
        ],
        'form' => [
            'password' => 'Contraseña',
            'password_confirm' => 'Confirmar contraseña',
            'username' => 'Username',
            'type' => 'Tipo',
            'locale' => 'Locale',
            'contract' => 'Tipo contratación',
            'contract_hours' => 'Horas'
        ]
    ],

    'team' => [
        'name' => 'Equipo',
        'plural' => 'Equipos',
        'button' => [
            'create' => "Nuevo equipo",
            'find' => 'Consultar',
            'cancel' => 'Cancelar'
        ],
        'actions' => [
            'show' => 'Ver equipo',
            'back' => 'Volver',
            'create' => 'Crear equipo',
            'edit' => 'Editar equipo',
            'assign' => 'Assignar usuarios',
            'select' => 'Selecciona elemento',
            'select_entity' => 'Selecciona :entity',
            'delegate' => 'Selecciona :entity para añadir delegados',
            'user' => 'Selecciona usuarios',
            'non_selected' => 'No seleccionados',
            'selected' => 'Seleccionados',
            'filter' => 'Filtro'
        ],
        'message' => [
            'delete' => "¿Deseas borrar la equipo?",
            'update' => "Al cambiar el equipo se borrarán las autorizaciones a los usuarios",
        ],
        'form' => [
            'name' => 'Nombre',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Activo',
            'created_at' => 'Creado desde',
            'updated_at' => 'Actualizado en',
            'deleted_at' => 'Borrado en',
        ]
    ],

    'delegation' => [
        'name' => 'Delegación',
        'plural' => 'Delegaciones',
        'button' => [
            'create' => "Nueva delegación",
        ],
        'actions' => [
            'show' => 'Ver delegación',
            'back' => 'Volver',
            'create' => 'Crear delegación',
            'edit' => 'Editar delegación',
        ],
        'message' => [
            'delete' => "¿Deseas borrar la delegación?",
            'update' => "Al cambiar la empresa se borrarán las autorizaciones a los usuarios",
        ],
        'form' => [
            'name' => 'Nombre',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Activo',
            'created_at' => 'Creado desde',
            'updated_at' => 'Actualizado en',
            'deleted_at' => 'Borrado en',
        ]
    ],

    'office' => [
        'name' => 'Oficina',
        'plural' => 'Oficinas',
        'button' => [
            'create' => "Nueva oficina",
        ],
        'actions' => [
            'show' => 'Ver oficina',
            'back' => 'Volver',
            'create' => 'Crear oficina',
            'edit' => 'Editar oficina',
        ],
        'message' => [
            'delete' => "¿Deseas borrar la oficina?",
            'update' => "Al cambiar la delegación se borrarán las autorizaciones a los usuarios",
        ],
        'form' => [
            'name' => 'Nombre',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Activo',
            'created_at' => 'Creado desde',
            'updated_at' => 'Actualizado en',
            'deleted_at' => 'Borrado en',
        ]
    ],

    'lopd' => [
        'name' => 'LOPD',
        'plural' => 'LOPD',
        'button' => [
            'create' => "Nueva LOPD",
        ],
        'actions' => [
            'show' => 'Ver LOPD',
            'back' => 'Volver',
            'create' => 'Crear LOPD',
            'edit' => 'Editar LOPD',
        ],
        'message' => [
            'delete' => "¿Deseas borrar LOPD?",
        ],
        'form' => [
            'privacy' => 'Política de privacidad',
            'cookies' => 'Política de cookies',
            'legal' => 'Aviso legal',
            'type' => 'Tipo',
            'text' => 'Texto',
            'name' => 'Nombre',
            'active' => 'Activo',
        ]
    ],

    'announcement' => [
        'name' => 'Anuncio',
        'plural' => 'Anuncios',
        'button' => [
            'create' => "Nuevo Anuncio",
        ],
        'message' => [
            'delete' => "¿Deseas borrar Anuncio?",
        ],
        'actions' => [
            'show' => 'Ver Anuncio',
            'back' => 'Volver',
            'create' => 'Crear Anuncio',
            'edit' => 'Editar Anuncio',
        ],
        'form' => [
            'type' => 'Tipo',
            'area' => 'Área',
            'message' => 'Mensaje',
            'active' => 'Activo',
            'starts_at' => 'Fecha inicio',
            'ends_at' => 'Fecha fin',
        ]
    ],

    'master' => [
        'name' => 'Permiso',
        'plural' => 'Permisos',
        'delegate' => 'Delegar control',
        'button' => [
            'create' => "Crear",
            'find' => 'Consultar',
            'cancel' => 'Cancelar'
        ],
        'actions' => [
            'back' => 'Volver',
            'edit' => 'Editar delegados',
            'select' => 'Selecciona elemento',
            'delegate' => 'Selecciona :entity para añadir delegados',
            'user' => 'Selecciona usuarios',
            'non_selected' => 'No seleccionados',
            'selected' => 'Seleccionados',
            'filter' => 'Filtro'
        ],
        'message' => [

        ],
        'form' => [

        ],
        'entity' => [
            'company' => 'Compañía',
            'team' => 'Equipo',
            'office' => 'Oficina',
            'delegation' => 'Delegación',
            'user' => 'Usuario'
        ],
        'error' => [
            'type' => 'No existe tipo',
            'selection' => 'No existen elementos para :entity',
            'list' => 'No hay usuarios activos',
            'status' => 'Error buscando'
        ],
        'success' => [
            'success' => 'OK'
        ]
    ],

    'message' => [
        'name' => 'Mensaje',
        'plural' => 'Mensajes',
        'button' => [
            'create' => "Nuevo Mensaje",
            'accept_select' => 'Enviar seleccionados',
            'add_select' => 'Añadir seleccionados',
            'select' => 'Seleccionar',
            'cancel' => 'Cancelar',
            'find' => 'Buscar',
            'next' => 'Siguiente',
            'send' => 'Enviar',
            'previous' => 'Atrás'
        ],
        'actions' => [
            'show' => 'Ver Mensaje',
            'back' => 'Volver',
            'create' => 'Crear Mensaje',
            'edit' => 'Editar Mensaje',
            'select' => 'Seleccionar destinatarios',
            'resume' => 'Resumen'
        ],
        'message' => [
            'delete' => "¿Deseas borrar Mensaje?",
            'select' => 'Seleccionar usuario',
            'send' => "¿Deseas enviar el Mensaje?",
        ],
        'form' => [
            'all' => 'Todos',
            'find' => 'Buscar',
            'text' => 'Texto',
            'name' => 'Nombre',
            'active' => 'Activa',
            'username' => 'Usuario',
            'company' => 'Empresa',
            'team' => 'Equipo',
            'message' => 'Mensaje',
            'color' => 'Color',
            'range' => 'Prioridad',
            'created_at' => 'Created at',
            'updated_at' => 'Updated et',
            'deleted_at' => 'Deleted at',
        ]
    ],

    'hour'=> [
        'name' => 'Fichar',
        'single' => 'Fichaje',
        'plural' => 'Fichajes',
        'button' => [
            'create' => "Nuevo Fichaje",
            'find' => 'Buscar',
            'cancel' => 'Cancelar',
            'edit' => 'Editar',
            'show' => 'Mostrar',
            'accept' => 'Acceptar',
            'cancel_select' => 'Cancelar seleccionados',
            'accept_select' => 'Acceptar seleccionados'
        ],
        'link' => [
            'manual' => 'Manual'
        ],
        'message' => [
            'delete' => "¿Borrar Fichaje?",
            'register' => '¿Deseas fichar :value en las :date?',
            'accept' => 'Acceptar Fichaje',
            'cancel' => 'Cancelar Fichaje'
        ],
        'actions' => [
            'show' => 'Mostar Fichaje',
            'back' => 'Atrás',
            'create' => 'Crear Fichaje',
            'edit' => 'Modificar Fichaje',
            'validate' => 'Validar Fichajes'
        ],
        'error' => [
            'user' => 'No existe usuario',
            'type' => 'No existe tipo',
            'company' => 'El usuario no pertenece a una empresa',
            'holidays' => 'Error en las fechas',
            'holidays_duplicated' => 'Fecha :date duplicada en un registro',
            'no_register' => 'No hay registro de :register. ¿Crear un registro manual primero?',
            'no_consistent' => 'La fecha de fichaje is anterior a otra existente',
            'duplicated' => 'El registro :register está duplicado. No puedes pulsar dos veces en un mismo botón'
        ],
        'success' => [
            'success' => 'El fichaje :register a las :date correcto'
        ],
        'form' => [
            'name' => 'Nombre',
            'active' => 'Activo',
            'comments' => 'Comentarios',
            'type' => 'Tipo',
            'start' => 'Entrar',
            'stop' => 'Parar',
            'return' => 'Volver',
            'finish' => 'Acabar',
            'holidays' => 'Vacaciones',
            'pdte' => 'Verificando',
            'closed' => 'Cerrado',
            'date' => 'Fecha',
            'hour' => 'Hora',
            'all' => 'Todo',
            'find' => 'Filtrar',
            'state' => 'Status',
            'pdte' => 'Pendiente',
            'ok' => 'Correcto',
            'ko' => 'Anulado',
            'username' => 'Usuario',
            'company' => 'Empresa',
            'results' => 'Resultados',
            'ip' => 'IP',
            'lat' => 'lat',
            'long' => 'long',
            'country' => 'País',
            'browser' => 'Navegador',
            'map' => 'Mapa',
            'created_at' => 'Created at',
            'updated_at' => 'Updated et',
            'deleted_at' => 'Deleted at',
        ]
    ],

    'bo' => [
        'name' => 'Back Office',
        'plural' => 'Back Office',

        'form' => [
            'identificator' => "Identificador",
            'signature_date' => 'Fecha de firma',
            'user' => 'Chico',
            'team' => 'Equipo',
            'client' => 'Cliente',
            'status' => 'Estado'
        ],
        'actions' => [
            'show' => 'Mostar Lead',
            'back' => 'Atrás',
            'create' => 'Crear Lead',
            'edit' => 'Modificar Lead',
        ],
    ],


    'campaign' => [
        'name' => 'Campaña',
        'plural' => 'Campañas',
        'button' => [
            'create' => "Nueva Campaña",
        ],
        'actions' => [
            'show' => 'Ver Campaña',
            'back' => 'Volver',
            'create' => 'Crear Campaña',
            'edit' => 'Editar Campaña',
        ],
        'message' => [
            'delete' => "¿Deseas borrar la Campaña?",
        ],
        'form' => [
            'name' => 'Nombre',
            'avatar' => 'Avatar',
            'slug' => 'Slug',
            'active' => 'Activo',
            'created_at' => 'Creado desde',
            'updated_at' => 'Actualizado en',
            'deleted_at' => 'Borrado en',
        ]
    ],
];
