<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Frontend Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the Frontend class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'username' => 'Usuario',
    'username' => 'Usuario',
    'profile' => 'Perfil',
    'terms' => "Condiciones de uso",
    'privacy' => 'Política de protección de datos',
    'legal' => 'Política legal',
    'cookies' => 'Política de Cookies',
    'type' => 'Tipo',
    'timezone' => 'Zona horaria',
    'created' => 'Creado',
    'updated' => 'Actualizado',
    'last_name' => 'Apellidos',
    'avatar' => 'Avatar',
    'success' => 'Cambios realizados con éxito',
    '2fa' => 'Autenticación de dos factores debe estar :status para ver esta página',
    'loading' => 'Cargando datos',
    'options' => 'Opciones',

    'hour' => [
        'name' => 'Fichaje',
        'plural' => 'Fichajes',
        'button' => [
            'create' => "Nuevo Fichaje",
            'search' => 'Buscar',
        ],
        'link' => [
            'manual' => 'Manual',
            'search' => 'Buscar'
        ],
        'message' => [
            'delete' => "¿Borrar Fichaje?",
            'register' => '¿Deseas fichar :value en las :date?',
            'success' => 'El fichaje :register a las :date correcto'
        ],
        'actions' => [
            'show' => 'Mostar Fichaje',
            'back' => 'Atrás',
            'create' => 'Crear Fichaje',
            'edit' => 'Modificar Fichaje',
        ],
        'error' => [
            'user' => 'No existe usuario',
            'type' => 'No existe tipo',
            'company' => 'El usuario no pertenece a una empresa',
            'holidays' => 'Error en las fechas',
            'holidays_duplicated' => 'Fecha :date duplicada en un registro',
            'no_register' => 'No hay registro de :register. ¿Crear un registro manual primero?',
            'no_consistent' => 'La fecha de fichaje is anterior a otra existente',
            'duplicated' => 'El registro :register está duplicado. No puedes pulsar dos veces en un mismo botón'
        ],
        'form' => [
            'name' => 'Nombre',
            'active' => 'Activo',
            'comments' => 'Comentarios',
            'type' => 'Tipo',
            'start' => 'Entrar',
            'stop' => 'Parar',
            'return' => 'Volver',
            'finish' => 'Acabar',
            'holidays' => 'Vacaciones',
            'date' => 'Fecha',
            'hour' => 'Hora',
            'date_start' => 'Fecha inicio',
            'date_end' => 'Fecha fin',
            'date' => 'Fecha',
            'status' => 'Estado',
            'company' => 'Empresa'
        ]
    ],

    'campaign' => [
        'name' => 'Campaña',
        'plural' => 'Campañas',
        'button' => [
            'create' => "Nueva Campaña",
            'find' => 'Buscar',
        ],
        'message' => [
            'delete' => "¿Borrar Campaña?",
            'no_delegations' => 'El usuario no pertenece a un equipo o una empresa',
            'no_campaign' => 'No hay campaña seleccionada',
        ],
        'actions' => [
            'show' => 'Show Campaña',
            'back' => 'Back',
            'create' => 'Crear Campaña',
            'edit' => 'Modificar Campaña',
        ],
        'error' => [

        ],
        'form' => [
            'name'   => 'Nombre',
            'slug'   => 'Slug',
            'image' => 'Imagen',
            'active' => 'Activa'
        ]
    ],

    'thanks' => [
        'name' => 'Thanks',
        'message' => 'Lead created with number :number',
        'trouble' => 'Problems?',
        'continue' => 'Return to Home Page'
    ],

    'lead' => [
        'name' => 'Lead',
        'plural' => 'Leads',
        'link' => [
            'delega' => 'Leads Delegados',
            'list' => 'Ver'
        ],
        'button' => [
            'create' => "Nuevo Lead",
            'cancel' => 'Cancelar',
            'search' => 'Buscar',
            'next' => 'Siguiente',
            'send' => 'Enviar',
            'previous' => 'Atrás',
            'next' => 'Siguiente'
        ],
        'message' => [
            'delete' => "¿Borrar Lead?",
            'no_periodicity' => 'No hay periodicidad seleccionada',
            'no_product' => 'No hay producto seleccionado',
            'no_campaign' => 'No hay campaña seleccionada',
            'no_user' => 'No hay usuario seleccionato',
            'no_company' => 'El usuario no pertenece a una empresa',
            'no_team' => 'El usuario no pertenece a un equip',
            'no_office' => 'El usuario no pertenece a una oficina',
            'no_delegation' => 'El usuario no pertenece a una delegación',
        ],
        'actions' => [
            'personal' => 'Datos personales',
            'address' => 'Dirección',
            'payment' => 'Pago'
        ],
        'error' => [
            'user' => 'No existe Lead',
        ],
        'form' => [
            'variant' => 'Producto',
            'periodicity' => 'Periodicidad',
        ]
    ],
];
