<div class="form-group row">
    <label for="via" class="col-sm-2 col-form-label">{{ __('backend.entity.form.via')}}</label>
    <div class="col-sm-2">
        <select name="via" id="via" class="form-control" required autocomplete="off">
            <option value=''>{{ __('backend.entity.form.via')}}</option>
            @foreach ($vias as $via)
            <option value="{{ $via->id }}"
                @if($via->id == old('via'))  selected="selected"
                @elseif (isset($entity))
                @if($via->id == $entity->via_id) selected="selected"  @endif
                @endif>{{ $via->name }}</option>
            @endforeach
        </select>
        @error('via')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
    <div class="col-sm-4">
        <input type="text" name="namevia" class="form-control" autocomplete="off" required id="name_via" onKeyDown="if(this.value.length>50 ) return false;" @if (old('namevia') != null) value="{{ old('namevia') }}" @else @isset($entity))  value="{{ $entity->name_via }}" @endisset @endif placeholder="{{ __('backend.entity.form.name_via')}}" >
        @error('name_via')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
    <div class="col-sm-2">
        <input type="text" name="numvia" class="form-control" autocomplete="off" required id="numvia" onKeyDown="if(this.value.length>50 ) return false;" @if (old('numvia') != null) value="{{ old('numvia') }}" @else @isset($entity))  value="{{ $entity->num_via }}" @endisset @endif placeholder="{{ __('backend.entity.form.num_via')}}" >
        @error('numvia')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>
<div class="form-group row">
    <label for="floor" class="col-sm-2 col-form-label">{{ __('backend.entity.form.floor')}}</label>
    <div class="col-sm-2">
        <input type="text" name="floor" maxlength="10" class="form-control" autocomplete="off" required  onKeyDown="if(this.value.length>10 ) return false;" @if (old('floor') != null) value="{{ old('floor') }}" @else @isset($entity))  value="{{ $entity->floor }}" @endisset @endif placeholder="{{ __('backend.entity.form.floor')}}" >
        @error('floor')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
    <div class="col-sm-2">
        <input type="text" name="door"  maxlength="10" class="form-control" autocomplete="off" required onKeyDown="if(this.value.length>10 ) return false;" @if (old('door') != null) value="{{ old('door') }}" @else @isset($entity))  value="{{ $entity->door }}" @endisset @endif placeholder="{{ __('backend.entity.form.door')}}" >
        @error('door')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
    <div class="col-sm-2">
        <input type="text" name="letter" maxlength="10" class="form-control" autocomplete="off" required onKeyDown="if(this.value.length>10 ) return false;" @if (old('letter') != null) value="{{ old('letter') }}" @else @isset($entity))  value="{{ $entity->letter }}" @endisset @endif placeholder="{{ __('backend.entity.form.letter')}}" >
        @error('letter')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
    <div class="col-sm-2">
        <input type="text" name="address_more" maxlength="50" class="form-control" autocomplete="off" onKeyDown="if(this.value.length>50 ) return false;" @if (old('address_more') != null) value="{{ old('address_more') }}" @else @isset($entity))  value="{{ $entity->address_more }}" @endisset @endif placeholder="{{ __('backend.entity.form.address_more')}}" >
        @error('address_more')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>
<div class="form-group row">
    <label for="postcode" class="col-sm-2 col-form-label">{{ __('backend.entity.form.postcode')}}</label>
    <div class="col-sm-2">
        <input type="number" maxlength="5" pattern=".{5}"name="postcode" class="form-control" autocomplete="off" required id="postcode" @if (old('postcode') != null) value="{{ old('postcode') }}" @else @isset($entity))  value="{{ $entity->postcode }}" @endisset @endif placeholder="{{ __('backend.entity.form.postcode')}}" >
        @error('postcode')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>
<div class="form-group row">
    <label for="city" class="col-sm-2 col-form-label">{{ __('backend.entity.form.city')}}</label>
    <div class="col-sm-8">
        <input type="text" name="city" class="form-control" autocomplete="off" required id="city" onKeyDown="if(this.value.length>150 ) return false;this.value = this.value.toUpperCase();" @if (old('city') != null) value="{{ old('city') }}" @else @isset($entity))  value="{{ $entity->city }}" @endisset @endif  placeholder="{{ __('backend.entity.form.city')}}" >
        @error('city')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>
<div class="form-group row">
    <label for="province_id" class="col-sm-2 col-form-label">{{ __('backend.entity.form.province')}}</label>
    <div class="col-sm-4" id="provincia">
        <select name="province_id" class="form-control" required autocomplete="off">
                <option value=''>{{ __('backend.entity.form.province')}}</option>
                @foreach ($provinces as $province)
                <option value="{{ $province->id }}"
                    @if($province->id == old('province_id')) selected="selected"
                    @elseif (isset($entity))
                        @if($entity->province_id == $province->id) selected="selected"  @endif
                    @else
                    @endif>{{ $province->name }}</option>
                @endforeach
        </select>
        @error('province')
            <span class="invalid-feedback d-block" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>
    <div class="col-sm-1">
        <input type="checkbox" id="check_otra" autocomplete="off" name="check_otra" value="1" @isset($entity) @if($entity->province_id == null) checked="checked" @else {{ ( old('check_otra')==1) ? "checked" : "" }} @endif @endisset> {{ __('backend.entity.form.other')}}
    </div>
    <div class="col-sm-3">
        <div id="otra_provincia" @isset($entity) @if($entity->province_id != null) class="hidden" @endif @else @if(old('province')) @else class="hidden" @endif @endisset>
            <input type="text" name="province" class="form-control" autocomplete="off" required onKeyDown="this.value = this.value.toUpperCase();if(this.value.length>150 ) return false;" @if (old('province') != null) value="{{ old('province') }}" @else @isset($entity))  value="{{ $entity->province }}" @endisset @endif placeholder="{{ __('backend.entity.form.province')}}" >
            @error('province')
            <span class="invalid-feedback d-block" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>
    </div>
</div>
<div class="form-group row">
    <label for="country" class="col-sm-2 col-form-label">{{ __('backend.entity.form.country')}}</label>
    <div class="col-sm-2">
        <select name="country" class="form-control" required autocomplete="off">
            <option value=''>{{ __('backend.entity.form.country')}}</option>
            @foreach ($countries as $country)
            <option value="{{ $country->id }}"
                @if($country->id == old('country'))  selected="selected"
                @elseif (isset($entity))
                    @if($entity->country_id == $country->id) selected="selected"  @endif
                @else
                @endif>{{ $country->name }}</option>
            @endforeach
        </select>
        @error('country')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>
@push('after-scripts')
<script>
	$('#check_otra').change(function() {
        if(this.checked) {
            $("#otra_provincia").show();
            $("#provincia").hide();
            $(this).prop("checked", 1);
        } else {
            $("#provincia").show();
            $("#otra_provincia").hide();
            $(this).prop("checked", 0);
        }
    });
</script>
@endpush
