<div class="form-group row">
    <label for="code" class="col-sm-2 col-form-label">{{ __('NIF')}}</label>
    @isset($hide)
    <input type hidden name="code" id="code" value='ES'>
    @else
    <div class="col-sm-1">
        <select name="code" id="code" class="form-control" required autocomplete="off">
            @foreach ($countries as $country)
            <option value="{{ $country->code }}"
                @if($country->code == old('code'))  selected="selected"
                @elseif (isset($entity))
                    @if($entity->code == $country->code) selected="selected"  @endif
                @else
                    @if($country->code == 'ES')  selected="selected"  @endif
                @endif>{{ $country->code }}</option>
            @endforeach
        </select>
        @error('code')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
    @endisset
    <div class="col-sm-2">
        <input type="text" name="nif" class="form-control" required id="nif" @if (old('nif') != null) value="{{ old('nif') }}" @else @isset($entity) value="{{ $entity->nif }}" @endisset @endif onKeyDown="this.value = this.value.toUpperCase();" placeholder="{{ __('Nif')}}" autofocus>
        @error('nif')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>
<div class="form-group row">
    <label for="email" class="col-sm-2 col-form-label">{{ __('backend.entity.form.email')}}</label>
    <div class="col-sm-8">
        <input type="email" name="email" class="form-control" autocomplete="off" required id="email" onKeyDown="if(this.value.length>150 & event.keyCode!=8) return false;" @if (old('email') != null) value="{{ old('email') }}" @else @isset($entity))  value="{{ $entity->email }}" @endisset @endif placeholder="{{ __('backend.entity.form.email')}}" >
        @error('email')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>
<div class="form-group row">
    <label for="mobile" class="col-sm-2 col-form-label">{{ __('backend.entity.form.mobile')}}</label>
    <div class="col-sm-2">
        <input type="text" name="mobile" class="form-control mygroup" autocomplete="off" id="mobile" onKeyDown="if(this.value.length>150 ) return false;" @if (old('mobile') != null) value="{{ old('mobile') }}" @else @isset($entity))  value="{{ $entity->mobile }}" @endisset @endif placeholder="{{ __('backend.entity.form.mobile')}}" >
        @error('mobile')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
    <label for="phone" class="col-sm-2 col-form-label">{{ __('backend.entity.form.phone')}}</label>
    <div class="col-sm-2">
        <input type="text" name="phone" class="form-control mygroup" autocomplete="off" id="phone" onKeyDown="if(this.value.length>150 ) return false;" @if (old('phone') != null) value="{{ old('phone') }}" @else @isset($entity))  value="{{ $entity->phone }}" @endisset @endif placeholder="{{ __('backend.entity.form.phone')}}" >
        @error('phone')
        <span class="invalid-feedback d-block" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>
