@extends('front.layouts.auth')

@section('title', __('Confirm Password'))

@section('auth')
<div class="col-md-5">
    <img src="{{ asset('/images/front/equipo.jpg') }}" alt="login" class="login-card-img">
</div>

<div class="col-md-7">
    <div class="card-body">
        <div class="login-brand-wrapper">
            <img src="{{ asset('/images/front/logo.png') }}" alt="logo" class="logo">
        </div>
        <p class="login-card-description">{{ __('Confirm Password') }}</p>
        {{ __('Please confirm your password before continuing.') }}
        <form id="auth-form" method="POST" action="{{ route('password.confirm') }}">
            @csrf
            <div class="form-group row">
                <label for="password" class="sr-only">{{ __('Password') }}</label>
                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror"
                    maxlength="150"
                    name="password" required autocomplete="current-password" placeholder="{{ __('Password') }}">
                @error('password')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
                @enderror
            </div>
            <div class="form-group row">
                <button type="submit" class="btn btn-block login-btn mb-4">
                    {{ __('Confirm Password') }}
                </button>
            </div>
            @if (Route::has('password.request'))
            <p class="login-card-footer-text">
                <a class="text-reset" href="{{ route('password.request') }}" class="forgot-password-link">
                    {{ __('Forgot Your Password?') }}
                </a>
            </p>
            @endif
    </div>
</div>
@endsection
@push('after-scripts')
    @include('auth.includes.lang')
    <script src="{{ asset('js/front/login.js') }}"></script>
@endpush
