@extends('front.layouts.auth')

@section('title', __('Reset Password'))

@section('auth')
<div class="col-md-5">
    <img src="{{ asset('/images/front/reset.jpg') }}" alt="login" class="login-card-img">
</div>

<div class="col-md-7">
    <div class="card-body">
        <div class="login-brand-wrapper">
            <img src="{{ asset('/images/front/logo.png') }}" alt="logo" class="logo">
        </div>

        <p class="login-card-description">{{ __('Reset Password') }}</p>

        @if (session('status'))
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <strong>{{ session('status') }}</strong>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"
                onclick="$(this).parent().hide();">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        @endif
        <form id="auth-form" method="POST" action="{{ route('password.email') }}">
            @csrf
            <div class="form-group">
                <label for="email" class="sr-only">{{ __('E-Mail Address') }}</label>
                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror"
                    maxlength="150"
                    placeholder="{{ __('E-Mail Address') }}" name="email" value="{{ old('email') }}" required
                    autocomplete="email" autofocus>
                @error('username')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
                @enderror
            </div><!--form-group-->

            <div class="form-group">
                <button type="submit" class="btn btn-block login-btn mb-4">
                    {{ __('Send Password Reset Link') }}
                </button>
            </div><!--form-group-->
            @include('auth.includes.terms')
        </form>
    </div>
</div>
@endsection
@push('after-scripts')
    @include('auth.includes.lang')
    <script src="{{ asset('js/front/login.js') }}"></script>
@endpush
