@extends('front.layouts.auth')

@section('title', __('Reset Password'))

@section('auth')
<div class="col-md-5">
    <img src="{{ asset('/images/front/reset.jpg') }}" alt="login" class="login-card-img">
</div>

<div class="col-md-7">
    <div class="card-body">
        <div class="login-brand-wrapper">
            <img src="{{ asset('/images/front/logo.png') }}" alt="logo" class="logo">
        </div>
        <p class="login-card-description">{{ __('Reset Password') }}</p>
            <form id="auth-form" method="POST" action="{{ route('password.update') }}">
                @csrf
                    <input type="hidden" name="token" value="{{ $request->route('token') }}">
                        <div class="form-group row">
                            <label for="email" class="sr-only">{{ __('E-Mail Address') }}</label>
                            <input id="email" type="email" class="form-control @error('email') is-invalid @enderror"
                            maxlength="150"
                            placeholder="{{ __('E-Mail Address') }}" name="email" value="{{ $email ?? old('email') }}" required
                            autocomplete="email" autofocus>
                            @error('email')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div><!--form-group-->

                        <div class="form-group row">
                            <label for="password" class="sr-only">{{ __('Password') }}</label>
                            <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password" placeholder="{{ __('Password') }}">
                            @error('password')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div><!--form-group-->

                        <div class="form-group row">
                            <label for="password-confirm" class="sr-only">{{ __('Confirm Password') }}</label>
                            <input id="password-confirm" type="password" class="form-control @error('password') is-invalid @enderror" name="password_confirmation" required autocomplete="new-password" placeholder="{{ __('Confirm Password') }}">
                        </div><!--form-group-->

                        <div class="form-group row">
                            <button type="submit" class="btn btn-block login-btn mb-4">
                            {{ __('Reset Password') }}
                            </button>
                        </div><!--form-group-->
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('after-scripts')
    @include('auth.includes.lang')
    <script src="{{ asset('js/front/login.js') }}"></script>
@endpush
