@extends('front.layouts.auth')

@section('title', __('Recovery Code').'|'. __('Code'))

@section('auth')
<div class="col-md-5">
    <img src="{{ asset('/images/front/equipo.jpg') }}" alt="login" class="login-card-img">
</div>

<div class="col-md-7">
    <div class="card-body">
        <div class="login-brand-wrapper">
            <img src="{{ asset('/images/front/logo.png') }}" alt="logo" class="logo">
        </div>
        <div id="code">
            <form method="POST" action="{{ url('/two-factor-challenge') }}">
                <p class="login-card-description">{{ __('Code') }}</p>
                {{ __('Please confirm access to your account by entering the authentication code provided by your authenticator application.') }}
                @csrf
                <div class="form-group row">
                    <label for="code" class="sr-only">{{ __('Code') }}</label>
                    <input id="code" type="text" class="form-control @error('code') is-invalid @enderror"
                        maxlength="150"
                        name="code" required autocomplete="one-time-code" placeholder="{{ __('Code') }}">
                    @error('code')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
                <div class="form-group row">
                    <button type="submit" class="btn btn-block login-btn mb-4">
                        {{ __('Login') }}
                    </button>
                </div>
            </form>
        </div>
        <div id="recovery-code" style="display: none">
            <form method="POST" action="{{ url('/two-factor-challenge') }}">
                <p class="login-card-description">{{ __('Recovery Code') }}</p>
                {{ __('Please confirm access to your account by entering one of your emergency recovery codes.') }}
                @csrf
                <div class="form-group row">
                    <label for="recovery_code" class="sr-only">{{ __('Recovery Code') }}</label>
                    <input id="recovery_code" type="text" class="form-control @error('recovery_code') is-invalid @enderror"
                        maxlength="150"
                        name="recovery_code" required autocomplete="one-time-code" placeholder="{{ __('Recovery Code') }}">
                    @error('recovery_code')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
                <div class="form-group row">
                    <button type="submit" class="btn btn-block login-btn mb-4">
                        {{ __('Login') }}
                    </button>
                </div>
            </form>
        </div>
        <nav class="login-card-footer-nav">
            <a href="#" id="showrecovery">{{ __('Use a recovery code') }}.</a>
            <a href="#" id="showcode" style="display: none">{{ __('Use an authentication code') }}.</a>
        </nav>
    </div>
</div>
@endsection

@push('after-scripts')
    @include('auth.includes.lang')
    <script src="{{ asset('js/front/2fa.js') }}"></script>
    <script src="{{ asset('js/front/login.js') }}"></script>
@endpush
