@extends('front.layouts.auth')

@section('title', __('Verify Your Email Address'))

@section('auth')
<div class="col-md-5">
    <img src="{{ asset('/images/front/equipo.jpg') }}" alt="login" class="login-card-img">
</div>

<div class="col-md-7">
    <div class="card-body">
        <div class="login-brand-wrapper">
            <img src="{{ asset('/images/front/logo.png') }}" alt="logo" class="logo">
        </div>

        <p class="login-card-description">{{ __('Verify Your Email Address') }}</p>
        @if (session('status'))
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <strong>{{ __('A fresh verification link has been sent to your email address.') }}</strong>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"
                onclick="$(this).parent().hide();">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        @endif

        <p class="text-reset">{{ __('Before proceeding, please check your email for a verification link.') }}</p>

        <p class="text-reset">{{ __('If you did not receive the email') }},</p>

        <form class="d-inline" method="POST" action="{{ route('verification.send') }}">
            @csrf
            <button type="submit"
                class="btn btn-block login-btn mb-4">{{ __('click here to request another') }}</button>.
        </form>
    </div>
</div>
@endsection
