@if ($logged_in_user)
  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{ route('admin.dashboard')}}" class="brand-link">
    @if ($logged_in_user->company)
      <img src="{{ asset('/images/front/logo.png') }}" alt="logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">{{ $logged_in_user->company->name }}</span>
    @else
        <img src="{{ asset('/images/front/logo.png') }}" alt="logo" class="brand-image img-circle elevation-3" style="opacity: .8">
        <span class="brand-text font-weight-light">{{ config('app.name', 'Intracommerce') }}</span>
    @endif
    </a>
    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      @if ($logged_in_user)
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        @if ($logged_in_user && $logged_in_user->image_location)
        <div class="image">
          <img src="{{ asset('storage/uavatar/'.$logged_in_user->id.'/'.$logged_in_user->image_location) }}" class="img-circle elevation-2" alt="User Image">
        </div>
        @endif
        <div class="info">
            <a href="#" class="d-block">{{ $logged_in_user->username }}</a>
        </div>
      </div>
      @endif

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item {{ Route::is('admin.auth.user.*') || Route::is('admin.auth.company.*') || Route::is('admin.auth.team.*') || Route::is('admin.auth.campaign.*')|| Route::is('admin.auth.delegation.*') || Route::is('admin.auth.office.*') || Route::is('admin.auth.announcement.*')  || Route::is('admin.auth.lopd.*') ? 'menu-open' : '' }}">
            <a href="#" class="nav-link {{ Route::is('admin.auth.user.*') || Route::is('admin.auth.company.*') || Route::is('admin.auth.announcement.*') ||  Route::is('admin.auth.team.*') ||  Route::is('admin.auth.campaign.*') || Route::is('admin.auth.delegation.*') || Route::is('admin.auth.office.*') || Route::is('admin.auth.lopd.*') ? 'active' : '' }}">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                {{ __('Dashboard') }}
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{ route('admin.auth.company.company.index') }}" class="nav-link {{ Route::is('admin.auth.company.company.*') ? 'active' : '' }}">
                  <i class="far fa-circle nav-icon"></i>
                  <p>{{ __('backend.company.plural') }}</p>
                </a>
              </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.delegation.delegation.index') }}" class="nav-link {{ Route::is('admin.auth.delegation.delegation.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.delegation.plural') }}</p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.office.office.index') }}" class="nav-link {{ Route::is('admin.auth.office.office.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.office.plural') }}</p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.team.team.index') }}" class="nav-link {{ Route::is('admin.auth.team.team.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.team.plural') }}</p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.campaign.campaign.index') }}" class="nav-link {{ Route::is('admin.auth.campaign.campaign.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.campaign.plural') }}</p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.user.user.index') }}" class="nav-link {{ Route::is('admin.auth.user.user.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.user.plural') }}</p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.announcement.announcement.index') }}" class="nav-link {{ Route::is('admin.auth.announcement.announcement.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.announcement.plural') }}</p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.lopd.lopd.index') }}" class="nav-link {{ Route::is('admin.auth.lopd.lopd.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.lopd.plural') }}</p>
                  </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <li class="nav-item {{ Route::is('admin.auth.master.*') ? 'menu-open' : '' }}">
                <a href="#" class="nav-link {{ Route::is('admin.auth.master.*') ? 'active' : '' }}">
              <i class="nav-icon fas fa-key"></i>
              <p>
                {{ __('backend.master.plural') }}
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.master.master.index') }}" class="nav-link {{ Route::is('admin.auth.master.master.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.master.delegate') }}</p>
                  </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <li class="nav-item {{ Route::is('admin.auth.hour.*') ? 'menu-open' : '' }}">
                <a href="#" class="nav-link {{ Route::is('admin.auth.hour.*') ? 'active' : '' }}">
              <i class="nav-icon far fa-calendar-alt"></i>
              <p>
                {{ __('backend.hour.plural') }}
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.hour.hour.index') }}" class="nav-link {{ Route::is('admin.auth.hour.hour.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.hour.actions.validate') }}</p>
                  </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <li class="nav-item {{ Route::is('admin.auth.message.*') ? 'menu-open' : '' }}">
                <a href="#" class="nav-link {{ Route::is('admin.auth.message.*') ? 'active' : '' }}">
              <i class="nav-icon far fa-comments"></i>
              <p>
                {{ __('backend.message.plural') }}
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.auth.message.message.index') }}" class="nav-link {{ Route::is('admin.auth.message.message.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.message.plural') }}</p>
                  </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <li class="nav-item {{ Route::is('admin.bo.*') ? 'menu-open' : '' }}">
                <a href="#" class="nav-link {{ Route::is('admin.bo.*') ? 'active' : '' }}">
              <i class="nav-icon far fa-edit"></i>
              <p>
                {{ __('backend.bo.plural') }}
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.bo.bo.index') }}" class="nav-link {{ Route::is('admin.bo.bo.*') ? 'active' : '' }}">
                    <i class="far fa-circle nav-icon"></i>
                    <p>{{ __('backend.bo.plural') }}</p>
                  </a>
                </li>
            </ul>
          </li>
          @if ($logged_in_user->hasAllAccess())
          <li class="nav-header">{{ __('Administrator') }}</li>
          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-book"></i>
              <p>
                {{ __('Logs') }}
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{ route('log-viewer::dashboard')}}" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>{{ __('Dashboard') }}</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{ route('log-viewer::logs.list')}}" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>{{ __('Logs') }}</p>
                </a>
              </li>
            </ul>
          </li>
          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-folder"></i>
              <p>
                {{ __('backend.files') }}
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{ route('unisharp.lfm.show')}}" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>{{ __('backend.files') }}</p>
                </a>
              </li>
            </ul>
          </li>
          @endif
          @if(isset($links))
          <li class="nav-header">{{ __('backend.links') }}</li>
          @foreach ($links as $link)
          <li class="nav-item">
            <a target="_blank" href="{{ $link->url }}" class="nav-link">
              <i class="nav-icon fas fa-th"></i>
              <p>
                {{ $link->name }}
                @if ($link->updated_at >= now()->subMonth())
                <span class="right badge badge-danger">New</span>
                @endif
              </p>
            </a>
          </li>
          @endforeach
          @endif
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>
@endif
