
    <div>
        <div id="selectarea">
            <div class="form-group row">
                <label for="list" class="col-sm-3 col-form-label"></label>
                <div class="icheck-success d-inline">
                    <input type="radio" name="r3" checked id="radio-all">
                    <label for="radio-all">
                        {{ __('backend.message.form.all') }}
                    </label>
                </div>
            </div>
            <div class="form-group row">
                <label for="list" class="col-sm-3 col-form-label"></label>
                <div class="icheck-success d-inline">
                    <input type="radio" name="r3" id="radio-find">
                    <label for="radio-find">
                        {{ __('backend.message.form.find') }}
                    </label>
                </div>
            </div>
        </div>
        <div id="find" class="hide">
            <div id="typearea">
                @include('backend.includes.partials.mastertype', ['user' => true])
            </div>
        </div>
        <div id="process">
            <div class="form-group row">
                <label for="name" class="col-sm-3 col-form-label"></label>
                <div class="col-sm-2">
                    <div class="overlay-wrapper hide">
                        <div class="overlay"><i class="fas fa-3x fa-sync-alt fa-spin"></i>
                            <div class="text-bold pt-2"></div>
                        </div>
                    </div>
                    <button type="submit" id="button-process" name="process"
                        class="btn btn-block btn-outline-primary">{{ __('backend.message.button.find') }}</button>
                </div>
                <div id="div-cancel" class="col-sm-2 hide">
                    <button type="button" id="button-cancel"
                        class="btn btn-block btn-outline-secondary">{{ __('backend.message.button.cancel') }}</button>
                </div>
            </div>
        </div>
        <div id="result">
            <table class="table table-bordered table-hover dt-responsive" id="data"
            data-send="{{ __('backend.message.message.send')}}"
            data-select="{{ __('backend.message.message.select')}}"
            data-cancel="{{ __('backend.button.cancel')}}"
            data-continue="{{ __('backend.button.continue')}}">
                <thead>
                    <tr>
                        <td></td>
                        <td></td>
                        <th>{{ __('backend.message.form.username') }}</th>
                        <th>{{ __('backend.message.form.name') }}</th>
                        <th>{{ __('backend.message.form.company') }}</th>
                        <th>{{ __('backend.message.form.team') }}</th>
                        <th>{{ __('backend.button.action') }}</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
        <div class="mt-4">
            <button class="btn btn-outline-success" id="process_select">{{ __('backend.message.button.add_select')}}</button>
        </div>
        <div class="mt-4">
            <table class="table table-bordered table-hover dt-responsive" id="selection">
                <thead>
                    <tr>
                        <td></td>
                        <th>{{ __('backend.message.form.username') }}</th>
                        <th>{{ __('backend.message.form.name') }}</th>
                        <th>{{ __('backend.message.form.company') }}</th>
                        <th>{{ __('backend.message.form.team') }}</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
@push('after-scripts')
@php $dataTableLang = null;
if (htmlLang() == 'es')  {
    $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Spanish.json";
} elseif (htmlLang() == 'ca') {
    $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Catalan.json";
}
@endphp
<script>
    let stepper = new Stepper($('.bs-stepper')[0]);
    $(function () {
        $('#data').DataTable(
        {
        autoWidth: false,
        order:[[1,"asc"]],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ],
        @php
        if (isset($dataTableLang)) {
            @endphp
            "language": {
                "url": "{{ $dataTableLang }}"
            },
            @php
        }
        @endphp
        data:[],
        columnDefs: [
        {
            targets: 0,
            checkboxes: {
                selectRow: true
            }
        }
        ],
        select: {
            style: 'multi',
        },
        buttons: [
        'selectAll',
        'selectNone'
        ],
        columns: [
            {
            data: null,
            defaultContent: '',
            className: 'select-checkbox'},
            {data: 'id', name: 'id', visible: false},
            {data: 'username', name: 'username'},
            {data: 'name', name: 'name'},
            {data: 'company', name: 'company'},
            {data: 'team', name: 'team'},
            {data: 'action', name: 'action', orderable: false, searchable: false, 'defaultContent': '', sWidth: '20%', render: function ( data, type, row ) {
                let button = '';
                button += `<button name="select" class="btn btn-outline-success btn-sm"><i class="fas fa-check"></i> {{ trans('backend.message.button.select') }}</button>`;
                return button;
            }}
        ]
        }
        );

        $('#selection').DataTable({
            @php
            if (isset($dataTableLang)) {
                @endphp
                "language": {
                    "url": "{{ $dataTableLang }}"
                },
                @php
            }
            @endphp
            data:[],
            columns: [
                {data: 'id', name: 'id', visible: false, defaultContent: '',},
                {data: 'username', name: 'username', defaultContent: '',},
                {data: 'name', name: 'name', defaultContent: '',},
                {data: 'company', name: 'company', defaultContent: '',},
                {data: 'team', name: 'team', defaultContent: '',},
            ]
        });
    });
  </script>
<script src="{{ asset('js/backend/search.js') }}"></script>
<script>

</script>
@endpush
