@if ($logged_in_user)
<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="{{ route('front.home')}}" class="nav-link">{{ __('Go Home') }}</a>
        </li>

        <!-- Language selector -->
        @if(config('boilerplate.locale.status') && count(config('boilerplate.locale.languages')) > 1)
        <li class="nav-item dropdown">
            <a
                class="nav-link dropdown-toggle"
                id="navbarDropdownLanguageLink"
                data-toggle="dropdown"
                aria-haspopup="true"
                aria-expanded="false">{{ __(getLocaleName(app()->getLocale())) }}</a>
                @include('includes.partials.lang')
        </li>
        @endif
    </ul>


    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
       @include('includes.partials.messages')
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
      <!-- Dropdown -->
      <li class="nav-item dropdown">
        <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button"
            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
            {!! $logged_in_user->getAvatar(1) !!}
            {{ $logged_in_user->username }}
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="{{ route('front.user.profile') }}">{{ __('front.profile') }}</a>
            <a class="dropdown-item" href="{{ route('front.hour.index') }}">{{ __('front.hour.name') }}</a>
            <hr>
            <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault();
                document.getElementById('logout-form').submit();">
                {{ __('Logout') }}
            </a>

            <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                @csrf
            </form>
        </div>
    </li>
    </ul>
  </nav>
  <!-- /.navbar -->
  @endif
