@extends('backend.includes.partials.wrapper')

@push('after-styles')

@endpush

@isset($lead)
@section('title', __('backend.bo.actions.edit'))
@else
@section('title', __('backend.bo.actions.create'))
@endisset

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">@isset($lead){{ ucfirst( __('backend.bo.actions.edit') ) }}@else @section('title', __('backend.bo.actions.create')) @endisset</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <div class="card card-primary">
                    <div class="card-header">
                      <h3 class="card-title">@isset($lead){{ ucfirst( __('backend.bo.actions.edit') ) }}@else @section('title', __('backend.bo.actions.create')) @endisset</h3>

                      <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                          <div class="input-group-append">
                            <a href="{{ url()->previous() }}"><i class="fas fa-arrow-left"> {{ __('backend.bo.actions.back') }}</i></a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- form start -->
                    <form id="create-form-entity" method="POST" @isset($lead) action="{{ route('admin.bo.bo.update') }}" @else action="{{ route('front.lead.lead.store') }}" @endisset>
                        @csrf
                        <input type="hidden" name="campaign-id" value={{ $campaign->id }}>
                        <input type="hidden" name="user-id" value={{ $lead->user_id }}>
                        <input type="hidden" name="lead-id" value={{ $lead->id }}>
                        <div class="card-body">
                            @include('auth.includes.name', ['entity' => $client])
                            @include('auth.includes.entity', ['entity' => $client, 'hide', $hide = true])
                            @include('auth.includes.address', ['entity' => $address, 'vias' => $vias,  'provinces' => $provinces, 'countries' => $countries])
                            @include('auth.includes.variant', ['variant' => $variant,
                                        'variants' => $variants,'periodicities' => $periodicities, 'periodicity' => $periodicity])
                            @include('auth.includes.payment', ['entity' => $client])
                            <hr>
                            @include('backend.includes.partials.leadstatus', ['entity' => $lead])
                        </div>
                        <!-- /.card-body -->
                        <div class="card-footer">
                            <button type="submit" id="send" class="btn btn-primary">@isset($lead) {{ __('backend.bo.actions.edit') }} @else {{ __('backend.bo.actions.create') }}@endif</button>
                        </div>
                    </form>
                </div>
                <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
@include('auth.includes.lang')
<script src="{{ asset('vendor/tinymce/tinymce.min.js') }}"></script>
<script src="{{ asset('js/backend/lead.js') }}"></script>
@include('auth.includes.editor')
<!-- Page specific script -->
@endpush
