@extends('backend.includes.partials.wrapper')

@section('title', __('backend.bo.name'))

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{ ucfirst(__('backend.bo.plural')) }}</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="card-title">{{ ucfirst(__('backend.bo.plural')) }}</h3>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <a href="{{ route ('front.lead.lead.index') }}"><i class="fas fa-plus"></i> {{ __('front.lead.button.create') }}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered table-hover dt-responsive" id="bo">
                            <thead>
                                <tr>
                                    <th>{{ __('backend.bo.form.identificator') }}</th>
                                    <th>{{ __('backend.bo.form.user') }}</th>
                                    <th>{{ __('backend.bo.form.team') }}</th>
                                    <th>{{ __('backend.bo.form.client') }}</th>
                                    <th>{{ __('backend.button.diff') }}</th>
                                    <th>{{ __('backend.button.action') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($leads as $lead)
                                <tr>
                                    <td>{{ $lead->identificator }}</td>
                                    <td>{{ $lead->myUser->username }}</td>
                                    <td>{{ $lead->myTeam->name }}</td>
                                    <td>{{ $lead->myClient->name }}</td>
                                    <td>@if($lead->updated_at) {{ $lead->updated_at->diffForHumans() }} @endif</td>
                                    <td>
                                    <a class="btn btn-sm btn-primary" href="{{ route('admin.bo.bo.edit', $lead->id)}}" role="button"><i class="fas fa-pencil-alt"></i> {{ __('backend.button.edit') }}</a>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                        {{ $leads->links('pagination::bootstrap-4') }}
                    </div>
                    <!-- /.card-body -->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
  <script src="{{ asset('js/backend/bo.js') }}"></script>
@endpush
