@extends('backend.includes.partials.wrapper')

@section('title', __('backend.campaign.name'))

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{ ucfirst(__('backend.campaign.plural')) }}</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="card-title">{{ ucfirst(__('backend.campaign.plural')) }}</h3>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <a href="{{ route ('admin.auth.campaign.campaign.create') }}"><i class="fas fa-plus"></i> {{__('backend.campaign.button.create') }}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered table-hover dt-responsive" id="entity" data-delete="{{ __('backend.campaign.message.delete')}}" data-cancel="{{ __('backend.button.cancel')}}" data-continue="{{ __('backend.button.continue')}}">
                            <thead>
                                <tr>
                                    <th>{{ __('backend.campaign.form.name')  }}</th>
                                    <th>{{ __('backend.campaign.form.slug') }}</th>
                                    <th>{{ __('backend.company.name') }}</th>
                                    <th>{{ __('backend.active') }}</th>
                                    <th>{{ __('backend.button.diff') }}</th>
                                    <th>{{ __('backend.button.action') }}</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    <!-- /.card-body -->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
@php $dataTableLang = null;
    if (htmlLang() == 'es')  {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Spanish.json";
    } elseif (htmlLang() == 'ca') {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Catalan.json";
    }
@endphp
@include('auth.includes.lang')
<script>
    $(function () {
        $('#entity').DataTable(
        {
        order:[[0,"desc"]],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ],
        @php
        if (isset($dataTableLang)) {
            @endphp
            "language": {
                "url": "{{ $dataTableLang }}"
            },
            @php
        }
        @endphp
        processing: true,
        serverSide: true,
        ajax: "{{ route('admin.auth.campaign.campaign.jsonlist') }}",
        columns: [
            {data: 'name', name: 'name'},
            {data: 'slug', name: 'slug'},
            {data: 'company-icon', name: 'company'},
            {data: 'active-icon', name: 'active-icon'},
            {data: 'diff', name: 'diff'},
            {data: 'action', name: 'action', orderable: false, searchable: false },
        ]
        }
        );
    });
  </script>
<script src="{{ asset('js/backend/entity.js') }}"></script>
@endpush
