@extends('backend.includes.partials.wrapper')

@section('title', __('backend.company.name'))

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{ ucfirst( $company->name ) }}</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                      <h3 class="card-title">{{ __('backend.company.name')}}</h3>

                      <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                          <div class="input-group-append">
                            <a href="{{ url()->previous() }}"><i class="fas fa-arrow-left"> {{ __('backend.company.actions.back') }}</i></a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body table-responsive p-0">
                      <table class="table table-hover">
                        <tr>
                            <th>{{ __('backend.entity.form.name')}}</th>
                            <td>{{ ucfirst( $company->name ) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.avatar')}}</th>
                            <td>
                                @if (isset($company) && isset($company->image_location))
                                <div class="zoom float-left image-area">
                                    <img attr-delete-img="{{ route('admin.auth.company.company.delete.avatar', [ $company->id ]) }}" attr-id="{{ $company->id }}" src="{{ asset('storage/cavatar/'.$company->id.'/'.$company->image_location) }}" width="150px" class="img-thumbnail" alt="{{ $company->name }}" title="{{ $company->name }}">
                                    <a class="remove-image" href="#" style="display: inline;">&#215;</a>
                                </div>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.slug')}}</th>
                            <td>{{ $company->slug }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('Cif')}}</th>
                            <td>{{  $company->nif  }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.email')}}</th>
                            <td>{{  $company->email  }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.via')}}</th>
                            <td>@isset($company->address->myVia->name) {{ ($company->address->myVia->name) }} @endisset {{ ($company->address->name_via) }} {{ ($company->address->num_via) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.postcode')}}</th>
                            <td>{{ ($company->address->postcode) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.city')}}</th>
                            <td>{{ ($company->address->city) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.province')}}</th>
                            <td>{{ ($company->address->province) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.country')}}</th>
                            <td>@isset($company->address->myProvince->code) {{ $company->address->myProvince->name }} {{ $company->address->province }} @endisset</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.account')}}</th>
                            <td>{!! Str::of($company->account)->limit(15); !!}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.company.form.url')}}</th>
                            <td>{{  $company->url  }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.active')}}</th>
                            <td>@if ($company->active) <span class="badge badge-success">{{ __('backend.icon.yes')}}</span> @else <span class="badge badge-danger">{{ __('backend.icon.no')}}</span> @endif</td>
                        </tr>
                      </table>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <div class="row">
                            <div class="col">
                                <small class="float-right text-muted">
                                    <strong>{{ __('backend.entity.form.created_at')}}:</strong> {{ \Carbon\Carbon::parse($company->created_at)->format('d/m/Y H:i') }} ({{ $company->created_at->diffForHumans() }}),
                                    <strong>{{ __('backend.entity.form.updated_at')}}</strong>{{ \Carbon\Carbon::parse($company->updated_at)->format('d/m/Y H:i') }} ({{ $company->updated_at->diffForHumans() }})
                                    @if($company->trashed())
                                        <strong>{{ __('backend.entity.form.deleted_at')}}:</strong> {{ \Carbon\Carbon::parse($company->deleted_at)->format('d/m/Y H:i') }} ({{ $company->deleted_at->diffForHumans() }})
                                    @endif
                                </small>
                            </div><!--col-->
                        </div><!--row-->
                    </div><!--card-footer-->
                  </div>
                  <!-- /.card -->
            </div>
            @include('backend.pages.company.modal.company-link')
        </div>
        <!-- /.row -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h4 class="card-title">{{ __('backend.company_link.plural')}}</h4>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <button class="btn btn-link" id="modal"><i class="fas fa-plus"></i> {{__('backend.company_link.button.create') }}</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body table-responsive p-0" style="height: 300px;">
                    <table class="table table-head-fixed text-nowrap" id="company-links" data-delete="{{ __('backend.company_link.message.delete')}}"  data-create="{{ __('backend.company_link.message.create')}}"  data-edit="{{ __('backend.company_link.message.edit')}}" data-cancel="{{ __('backend.button.cancel')}}" data-continue="{{ __('backend.button.continue')}}">
                        <thead>
                            <tr>
                                <th>{{ __('Name') }}</th>
                                <th>{{ __('Url') }}</th>
                                <th>{{ __('backend.active') }}</th>
                                <th>{{ __('backend.button.diff') }}</th>
                                <th>{{ __('backend.button.action') }}</th>
                            </tr>
                        </thead>
                    </table>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
@include('auth.includes.lang')
@php $dataTableLang = null;
    if (htmlLang() == 'es')  {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Spanish.json";
    } elseif (htmlLang() == 'ca') {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Catalan.json";
    }
@endphp
@include('auth.includes.lang')
<script>
    $(function () {
        $('#company-links').DataTable(
        {
        order:[[0,"desc"]],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ],
        @php
        if (isset($dataTableLang)) {
            @endphp
            "language": {
                "url": "{{ $dataTableLang }}"
            },
            @php
        }
        @endphp
        processing: true,
        serverSide: true,
        ajax: {
            "url": "{{ route('admin.auth.company-link.company-link.jsonlist') }}",
            "data": function ( d ) {
                d.companyId = "{{ $company->id }}";
            }
        },
        columns: [
            {data: 'name', name: 'name'},
            {data: 'url', name: 'url'},
            {data: 'active-icon', name: 'active-icon'},
            {data: 'diff', name: 'diff'},
            {data: 'action', name: 'action', orderable: false, searchable: false },
        ]
        }
        );
    });
  </script>
<script src="{{ asset('js/backend/company.js') }}"></script>
@endpush
