@extends('backend.includes.partials.wrapper')

@section('title', __('backend.hour.actions.validate'))

@push('after-styles')
<link rel="stylesheet" href="{{ asset('plugins/icheck-bootstrap/icheck-bootstrap.min.css') }}">
@endpush

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{ ucfirst(__('backend.hour.actions.validate')) }}</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="card-title">{{ ucfirst(__('backend.hour.actions.validate')) }}</h3>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <a href="{{ route ('admin.auth.hour.hour.create') }}"><i class="fas fa-plus"></i> {{__('backend.hour.button.create') }}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <form id="create-form-entity" search-action="{{ route('admin.auth.hour.hour.search') }}"
                    dt-cancel="{{ route('admin.auth.hour.hour.cancel') }}"  dt-accept="{{ route('admin.auth.hour.hour.accept') }}">
                        @csrf
                        <input type="hidden" name="radio-select" id="radio-select" value="all">
                        <input type="hidden" id="status" value="0">
                        <input type="hidden" id="entity" value="">
                        <div class="card-body">
                            <div id="selectarea">
                                <div class="form-group row">
                                    <label for="list" class="col-sm-3 col-form-label"></label>
                                    <div class="icheck-success d-inline">
                                        <input type="radio" name="r3" checked id="radio-all">
                                        <label for="radio-all">
                                            {{ __('backend.hour.form.all') }}
                                        </label>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="list" class="col-sm-3 col-form-label"></label>
                                    <div class="icheck-success d-inline">
                                        <input type="radio" name="r3" id="radio-find">
                                        <label for="radio-find">
                                            {{ __('backend.hour.form.find') }}
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div id="find" class="hide">
                                <div id="typearea">
                                    @include('backend.includes.partials.mastertype', ['user' => true])
                                </div>
                            </div>
                            <div id="process">
                                <div class="form-group row">
                                    <label for="name" class="col-sm-3 col-form-label"></label>
                                    <div class="col-sm-2">
                                        <div class="overlay-wrapper hide">
                                            <div class="overlay"><i class="fas fa-3x fa-sync-alt fa-spin"></i>
                                                <div class="text-bold pt-2"></div>
                                            </div>
                                        </div>
                                        <button type="submit" id="button-process" name="process"
                                            class="btn btn-block btn-outline-primary">{{ __('backend.hour.button.find') }}</button>
                                    </div>
                                    <div id="div-cancel" class="col-sm-2 hide">
                                        <button type="button" id="button-cancel"
                                            class="btn btn-block btn-outline-secondary">{{ __('backend.hour.button.cancel') }}</button>
                                    </div>
                                </div>
                            </div>
                            <div id="result">
                                <table class="table table-bordered table-hover dt-responsive" id="data"
                                    data-ok="{{ __('backend.hour.message.accept')}}"
                                    data-ko="{{ __('backend.hour.message.cancel')}}"
                                    data-cancel="{{ __('backend.button.cancel')}}"
                                    data-continue="{{ __('backend.button.continue')}}">
                                    <thead>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <th>{{ __('backend.hour.form.username') }}</th>
                                            <th>{{ __('backend.hour.form.company') }}</th>
                                            <th>{{ __('backend.hour.form.date') }}</th>
                                            <th>{{ __('backend.hour.form.type') }}</th>
                                            <th>{{ __('backend.hour.form.state') }}</th>
                                            <th>{{ __('backend.hour.form.comments') }}</th>
                                            <th>{{ __('backend.button.diff') }}</th>
                                            <th>{{ __('backend.button.action') }}</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!-- /.card-body -->
                        <div class="card-footer">
                            <button class="btn btn-outline-success" id="accept_select">{{ __('backend.hour.button.accept_select')}}</button>
                            <button class="btn btn-outline-danger float-right" id="cancel_select">{{ __('backend.hour.button.cancel_select')}}</button>
                        </div>
                    </form>
                </div>
                <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
@include('auth.includes.lang')
@php $dataTableLang = null;
if (htmlLang() == 'es')  {
    $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Spanish.json";
} elseif (htmlLang() == 'ca') {
    $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Catalan.json";
}
@endphp
<script>
    $(function () {
        $('#data').DataTable(
        {
        autoWidth: false,
        order:[[1,"asc"]],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ],
        @php
        if (isset($dataTableLang)) {
            @endphp
            "language": {
                "url": "{{ $dataTableLang }}"
            },
            @php
        }
        @endphp
        data:[],
        columnDefs: [
        {
            targets: 0,
            checkboxes: {
                selectRow: true
            }
        }
        ],
        select: {
            style: 'multi',
        },
        buttons: [
        'selectAll',
        'selectNone'
        ],
        columns: [
            {
            data: null,
            defaultContent: '',
            className: 'select-checkbox'},
            {data: 'id', name: 'id', visible: false},
            {data: 'user', name: 'user'},
            {data: 'company', name: 'company'},
            {data: 'date', name: 'date'},
            {data: 'type', name: 'type'},
            {data: 'status', name: 'status'},
            {data: 'closed', name: 'closed'},
            {data: 'comments', name: 'comments', 'defaultContent': '', render: function ( data, type, row ) {
                if (row['comments'] !='') {
                    return `<span><i class="fas fa-sticky-note"></i> ${row['comments']} </span>`;
                } else {
                    return `<span class="badge badge-danger" data-toggle="tooltip" title="{{ trans('backend.icon.no') }}"
                    data-original-title="{{ trans('backend.icon.no') }}">{{ trans('backend.icon.no') }}</span>`;
                }
            }},
            {data: 'diff', name: 'diff'},
            {data: 'action', name: 'action', orderable: false, searchable: false, 'defaultContent': '', sWidth: '20%', render: function ( data, type, row ) {
                if(row['closed']) {
                    let buttons = '';
                    if(row['id']) {
                        let id = row['id'];
                        routeShow =  "{{ route('admin.auth.hour.hour.show', ':id') }}";
                        routeShow = routeShow.replace(':id',id);
                        buttons = `<a href="${routeShow}" name="show" class="btn btn-outline-secondary btn-sm"><i class="fas fa-eye"></i> {{ trans('backend.hour.button.show') }}</a> `;
                    }
                    buttons += `<button name="ok" class="btn btn-outline-success btn-sm"><i class="fas fa-check"></i> {{ trans('backend.hour.button.accept') }}</button>
                    <button name="ko" class="btn btn-outline-danger btn-sm"><i class="fas fa-trash"></i> {{ trans('backend.hour.button.cancel') }}</button>`;
                    return buttons;
                }
            }}
        ]
        }
        );
    });
  </script>
<script src="{{ asset('js/backend/search.js') }}"></script>
@endpush
