@extends('backend.includes.partials.wrapper')

@section('title', __('backend.hour.actions.show'))

@push('after-styles')
<style>
.googlemap {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 300px;
    border: 2px solid grey;
}
</style>
@endpush

@section('content-wrapper')
<!-- Content Header (Page header) -->
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0 text-dark">{{ __('backend.hour.actions.show')}}</h1>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<section class="content">
    <div class="row">
        <input type="hidden" id="route" dt-action="{{ route('admin.auth.hour.hour.localize') }}">
        <div class="col-md-6">
            <div class="card card-primary">
                <div class="card-header">
                    <h3 class="card-title">{{ __('backend.hour.actions.show')}}</h3>
                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                            <i class="fas fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="card-body">
                    <div class="form-group">
                        <div class="custom-control custom-switch">
                            <input type="checkbox" class="custom-control-input" disabled id="closed" name="closed"
                            value="1" {{ ( $registerState->closed==1) ? "checked" : "" }}>
                            <label class="custom-control-label" for="closed">{{ __('backend.hour.form.closed')}}</label>
                          </div>
                    </div>
                    <div class="form-group">
                        <label for="type">{{ __('backend.hour.form.state')}}</label>
                        <input type="state" id="state" name="state" class="form-control" placeholder="{{ __('backend.hour.form.state')}}"
                        value="{{ __(getTranslation($registerState->state, RegisterState::class)) }}">
                    </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    <div class="row">
                        <div class="col">
                            <small class="float-right text-muted">
                                <strong>{{ __('backend.hour.form.created_at')}}:</strong>
                                {{ \Carbon\Carbon::parse($registerState->created_at)->format('d/m/Y H:i') }},
                                <strong>{{ __('backend.hour.form.updated_at')}}</strong>
                                {{ \Carbon\Carbon::parse($registerState->updated_at)->format('d/m/Y H:i') }},
                                ({{ $registerState->updated_at->diffForHumans() }})
                                @if($registerState->trashed())
                                <strong>{{ __('backend.hour.form.deleted_at')}}:</strong>
                                {{ \Carbon\Carbon::parse($registerState->deleted_at)->format('d/m/Y H:i') }}
                                ({{ $registerState->deleted_at->diffForHumans() }})
                                @endif
                            </small>
                        </div>
                        <!--col-->
                    </div>
                    <!--row-->
                </div>
                <!--card-footer-->
            </div>
            <!-- /.card -->
        </div>
        <div class="col-md-6">
            <!-- /.card -->
            <div class="card card-info">
                <div class="card-header">
                    <h3 class="card-title">{{ __('backend.hour.form.map')}}</h3>

                    <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                        <i class="fas fa-minus"></i>
                    </button>
                    </div>
                </div>
                <div class="card-body p-0">
                    <div id="mapa" class="googlemap"></div>
                </div>
            <!-- /.card-body -->
            </div>
            <!-- /.card -->
        </div>
        @foreach ($registers as $register)
        <div class="col-md-6">
            <div class="card card-secondary">
                <div class="card-header">
                    <h3 class="card-title">{{ __('backend.hour.single')}}</h3>

                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                            <i class="fas fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="card-body">
                    <div class="form-group">
                        <label for="type">{{ __('backend.hour.form.type')}}</label>
                        <input type="text" id="type" name="type" class="form-control" placeholder="{{ __('backend.hour.form.type')}}"
                        value="{{ __(getTranslation($register->type, Register::class)) }}">
                    </div>
                    <div class="form-group">
                        <label for="hour">{{ __('backend.hour.form.date')}}</label>
                        <input type="datetime" id="hour" name="hour" class="form-control" placeholder="{{ __('backend.hour.form.date')}}"
                        value="{{ \Carbon\Carbon::parse($register->hour)->format('d/m/Y H:i:s') }}">
                    </div>
                    <div class="form-group">
                        <label for="comments">{{ __('backend.hour.form.comments')}}</label>
                        <textarea disabled id="comments" name="comments" class="form-control" placeholder="{{ __('backend.hour.form.date')}}">
                        {!! strip_tags($register->comments) !!}</textarea>
                    </div>
                    @isset($register->myRegisterIP)
                    <div class="form-group">
                        <label for="ip">{{ __('backend.hour.form.ip')}}</label>
                        <input type="text" name="ip" class="form-control" placeholder="{{ __('backend.hour.form.ip')}}"
                        value="{{ $register->myRegisterIP->ip }}">
                    </div>
                    <div class="form-group">
                        <label for="lat">{{ __('backend.hour.form.lat')}}</label>
                        <input type="text" name="lat" class="form-control" placeholder="{{ __('backend.hour.form.lat')}}"
                        value="{{ $register->myRegisterIP->lat }}">
                    </div>
                    <div class="form-group">
                        <label for="long">{{ __('backend.hour.form.long')}}</label>
                        <input type="text" name="long" class="form-control" placeholder="{{ __('backend.hour.form.long')}}"
                        value="{{ $register->myRegisterIP->long }}">
                    </div>
                    <div class="form-group">
                        <label for="country">{{ __('backend.hour.form.country')}}</label>
                        <input type="text" name="country" class="form-control" placeholder="{{ __('backend.hour.form.country')}}"
                        value="{{ $register->myRegisterIP->country }}">
                    </div>
                    <div class="form-group">
                        <label for="browser">{{ __('backend.hour.form.browser')}}</label>
                        <input type="text" name="browser" class="form-control" placeholder="{{ __('backend.hour.form.browser')}}"
                        value="{{ $register->myRegisterIP->browser }}">
                    </div>
                    @if (env('GOOGLE_API_KEY'))
                        @isset($register->myRegisterIP->lat)
                        <div class="form-group">
                            <button type="button" class="btn btn-primary float-right map" map-id="{{ $register->id }}" dt-action="">
                                <i class="fas fa-map-marked-alt"></i> {{ __('backend.hour.form.map')}}
                            </button>
                        </div>
                        @endisset
                    @endif
                    @endisset
                </div>
                <!-- /.card-body -->
            </div>
            <!-- /.card -->
        </div>
        @endforeach
    </div>
    <div class="row mb-4">
        <div class="col-12">
            <a href="{{ url()->previous() }}" class="btn btn-secondary">{{ __('backend.hour.button.cancel') }}</a>
            <input type="submit" value="{{ __('backend.hour.button.edit') }}" class="btn btn-success float-right">
        </div>
    </div>
</section>
<!-- /.content -->
@endsection
@push('after-scripts')
<script src="{{ asset('js/backend/search.js') }}"></script>
@if (env('GOOGLE_API_KEY'))
<script async src="https://maps.googleapis.com/maps/api/js?key={{ env('GOOGLE_API_KEY') }}"></script>
@endif
@endpush
