@extends('backend.includes.partials.wrapper')

@push('after-styles')

@endpush

@isset($lopd)
@section('title', __('backend.lopd.actions.edit'))
@else
@section('title', __('backend.lopd.actions.create'))
@endisset

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">@isset($lopd){{ ucfirst( __('backend.lopd.actions.edit') ) }}@else @section('title', __('backend.lopd.actions.create')) @endisset</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <div class="card card-primary">
                    <div class="card-header">
                      <h3 class="card-title">@isset($lopd){{ ucfirst( __('backend.lopd.actions.edit') ) }}@else @section('title', __('backend.lopd.actions.create')) @endisset</h3>

                      <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                          <div class="input-group-append">
                            <a href="{{ url()->previous() }}"><i class="fas fa-arrow-left"> {{ __('backend.lopd.actions.back') }}</i></a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- form start -->
                    <form id="create-form-entity" method="POST" @isset($lopd) action="{{ route('admin.auth.lopd.lopd.update') }}" @else action="{{ route('admin.auth.lopd.lopd.store') }}" @endisset enctype="multipart/form-data">
                        @csrf
                        @isset($lopd)
                            <input type="hidden" name="lopd-id" value="{{ $lopd->id}}">
                        @endif
                        <div class="card-body">
                            <div class="form-group row">

                                <label for="name" class="col-sm-2 col-form-label">{{ __('backend.lopd.form.name')}}</label>
                                <div class="col-sm-8">
                                    <input type="text" maxlength="1000" name="name" class="form-control" autocomplete="off" required id="name" onKeyDown="if(this.value.length>150 ) return false;" @if (old('name') != null) value="{{ old('name') }}" @else @isset($lopd))  value="{{ $lopd->name }}" @endisset @endif placeholder="{{ __('backend.lopd.form.name')}}" >
                                </div>
                                @error('name')
                                <span class="invalid-feedback d-block" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                                @enderror
                            </div>
                            @include('backend.includes.partials.lopdtype')
                            <div class="form-group row">
                                <label for="text" class="col-sm-2 col-form-label">{{ __('backend.lopd.form.text')}}</label>
                                <div class="col-sm-8">
                                    <textarea type="text" maxlength="1000" name="text" class="form-control" autocomplete="off" id="text" placeholder="{{ __('backend.lopd.form.text')}}">@if (old('text')!=null)  @php echo old('text') @endphp @else @isset($lopd) {{ $lopd->text }} @endisset @endif</textarea>
                                    @error('text')
                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="active" class="col-sm-2 col-form-label">{{ __('backend.lopd.form.active')}}</label>
                                <div class="col-sm-8">
                                    <input type="checkbox" class="custom-control-input" id="closed" name="closed"
                                    value="1" @if(old('active')) @if (old('active')==1) checked @else  @endif @else @isset($lopd) {{ ( $lopd->active==1) ? "checked" : "" }}
                                    @endisset @endif>
                                </div>
                            </div>
                        </div>
                        <!-- /.card-body -->
                        <div class="card-footer">
                        <button type="submit" class="btn btn-primary">@isset($lopd) {{ __('backend.lopd.actions.edit') }} @else {{ __('backend.lopd.actions.create') }}@endif</button>
                        </div>
                    </form>
                </div>
                <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
@include('auth.includes.lang')
<script src="{{ asset('vendor/tinymce/tinymce.min.js') }}"></script>
<script src="{{ asset('js/backend/lopd.js') }}"></script>
@include('auth.includes.editor')
<!-- Page specific script -->
@endpush
