@extends('backend.includes.partials.wrapper')

@section('title', __('backend.lopd.name'))

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{ ucfirst(__('backend.lopd.plural')) }}</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="card-title">{{ ucfirst(__('backend.lopd.plural')) }}</h3>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <a href="{{ route ('admin.auth.lopd.lopd.create') }}"><i class="fas fa-plus"></i> {{__('backend.lopd.button.create') }}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered table-hover dt-responsive" id="lopd" data-delete="{{ __('backend.lopd.message.delete')}}" data-cancel="{{ __('backend.button.cancel')}}" data-continue="{{ __('backend.button.continue')}}">
                            <thead>
                                <tr>
                                    <th>{{ __('backend.lopd.form.name') }}</th>
                                    <th>{{ __('backend.lopd.form.type') }}</th>
                                    <th>{{ __('backend.active') }}</th>
                                    <th>{{ __('backend.button.diff') }}</th>
                                    <th>{{ __('backend.button.updated') }}</th>
                                    <th>{{ __('backend.button.action') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($lopds as $lopd)
                                <tr>
                                    <td>{{ $lopd->name }}</td>
                                    <td>@if($lopd->type) {{ $lopd->type }} @endif</td>
                                    <td>@if($lopd->active) <span class="badge badge-success" data-toggle="tooltip" title="{{ __('backend.icon.yes') }}" data-original-title="{{ __('backend.icon.yes') }}">{{ __('backend.icon.yes') }}</span>
                                        @else
                                        <span class="badge badge-danger" data-toggle="tooltip" title="{{ __('backend.icon.no') }}" data-original-title={{ __('backend.icon.no') }}>{{ __('backend.icon.no') }}</span>
                                        @endif</td>
                                    <td>@if($lopd->created_at) {{ $lopd->created_at->diffForHumans() }} @endif</td>
                                    <td>@if($lopd->updated_at) {{ $lopd->updated_at->diffForHumans() }} @endif</td>
                                    <td>
                                    <a class="btn btn-sm btn-primary" href="{{ route('admin.auth.lopd.lopd.edit', $lopd->id)}}" role="button"><i class="fas fa-pencil-alt"></i> {{ __('backend.button.edit') }}</a>
                                    <button attr-delete="{{ route('admin.auth.lopd.lopd.delete', $lopd->id)}}" type="button" name="delete" attr-slug="{{ $lopd->name }}" attr-id="{{ $lopd->id }}"  class="btn btn-danger btn-sm delete"><i class="fas fa-trash"></i> {{ __('backend.button.delete') }}</button>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                        {{ $lopds->links('pagination::bootstrap-4') }}
                    </div>
                    <!-- /.card-body -->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
  <script src="{{ asset('js/backend/lopd.js') }}"></script>
@endpush
