@extends('backend.includes.partials.wrapper')

@section('title', __('backend.master.delegate'))

@push('after-styles')
<link rel="stylesheet" href="{{ asset('plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css') }}">
@endpush

@section('content-wrapper')
<!-- Content Header (Page header) -->
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0 text-dark">{{ ucfirst(__('backend.master.delegate')) }}</h1>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<div class="content">
    <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">{{ ucfirst( __('backend.master.actions.edit') ) }}</h3>

                        <div class="card-tools">
                            <div class="input-group input-group-sm" style="width: 150px;">
                                <div class="input-group-append">
                                    <a href="{{ url()->previous() }}"><i class="fas fa-arrow-left">
                                            {{ __('backend.master.actions.back') }}</i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <form id="create-form-entity" send-action="{{ route('admin.auth.master.master.store') }}"
                        search-action="{{ route('admin.auth.master.master.search') }}">
                        @csrf
                        <input type="hidden" id="status" value="0">
                        <input type="hidden" id="entity" value="">
                        <div class="card-body">
                            <div id="typearea">
                                @include('backend.includes.partials.mastertype')
                            </div>
                            <div id="selectarea" class="hide">
                                <div class="form-group row">
                                    <label id="label-selection" for="selection"
                                        class="col-sm-3 col-form-label">{{ __('backend.master.actions.select')}}</label>
                                    <div class="col-sm-2">
                                        <select name="selection" id="selection" class="form-control" required
                                            autocomplete="off">
                                            <option value=''>{{ __('backend.master.actions.select')}}</option>
                                        </select>
                                    </div>
                                    @error('selection')
                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div id="usersarea" class="hide">
                                <div class="form-group row">
                                    <label for="list"
                                        class="col-sm-3 col-form-label">{{ __('backend.master.actions.user')}}</label>
                                    <div class="col-sm-6">
                                        <select name="list" id="list" class="duallistbox" multiple="multiple">

                                        </select>
                                    </div>
                                    @error('list')
                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div id="search">
                                <div class="form-group row">
                                    <label for="name" class="col-sm-3 col-form-label"></label>
                                    <div class="col-sm-2">
                                        <div class="overlay-wrapper hide">
                                            <div class="overlay"><i class="fas fa-3x fa-sync-alt fa-spin"></i>
                                                <div class="text-bold pt-2"></div>
                                            </div>
                                        </div>
                                        <button type="submit" id="button-search" name="search"
                                            class="btn btn-block btn-outline-primary">{{ __('backend.master.button.find') }}</button>
                                    </div>
                                </div>
                            </div>
                            <div id="result" class="hide">
                                <div class="form-group row">
                                    <label for="name" class="col-sm-3 col-form-label"></label>
                                    <div class="col-sm-2">
                                        <div class="overlay-wrapper hide">
                                            <div class="overlay"><i class="fas fa-3x fa-sync-alt fa-spin"></i>
                                                <div class="text-bold pt-2"></div>
                                            </div>
                                        </div>
                                        <button type="submit" id="button-process" name="create"
                                            class="btn btn-block btn-outline-primary">{{ __('backend.master.button.create') }}</button>
                                    </div>
                                    <div id="div-cancel" class="col-sm-2">
                                        <button type="button" id="button-cancel"
                                            class="btn btn-block btn-outline-secondary">{{ __('backend.master.button.cancel') }}</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /.card-body -->
                        <div class="card-footer">

                        </div>
                    </form>
                </div>
                <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content -->
@endsection
@push('after-scripts')
@include('auth.includes.lang')
@include('auth.includes.select')
<script src="{{ asset('js/backend/master.js') }}"></script>
@endpush
