@extends('backend.includes.partials.wrapper')

@section('title', __('backend.message.plural'))

@push('after-styles')
<link rel="stylesheet" href="{{ asset('plugins/icheck-bootstrap/icheck-bootstrap.min.css') }}">
@endpush

@section('content-wrapper')
<!-- Content Header (Page header) -->
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0 text-dark">{{ ucfirst(__('backend.message.plural')) }}</h1>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<div class="content">
    <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="card-title">{{ ucfirst(__('backend.message.plural')) }}</h3>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <form id="create-form-entity" search-action="{{ route('admin.auth.message.message.search') }}"
                        dt-select="{{ route('admin.auth.message.message.select') }}" dt-store="{{ route('admin.auth.message.message.store') }}">
                            @csrf
                            <input type="hidden" name="radio-select" id="radio-select" value="all">
                            <input type="hidden" id="status" value="0">
                            <input type="hidden" id="elements" value="">
                            <div class="bs-stepper">
                                <div class="bs-stepper-header" role="tablist">
                                    <!-- your steps here -->
                                    <div class="step" data-target="#logins-part">
                                        <button type="button" class="step-trigger" role="tab" aria-controls="logins-part"
                                            id="logins-part-trigger">
                                            <span class="bs-stepper-circle">1</span>
                                            <span class="bs-stepper-label">{{ __('backend.message.actions.select') }}</span>
                                        </button>
                                    </div>
                                    <div class="line"></div>
                                    <div class="step" data-target="#information-part">
                                        <button type="button" class="step-trigger" role="tab"
                                            aria-controls="information-part" id="information-part-trigger">
                                            <span class="bs-stepper-circle">2</span>
                                            <span class="bs-stepper-label">{{ __('backend.message.actions.resume') }}</span>
                                        </button>
                                    </div>
                                </div>
                                <div class="bs-stepper-content">
                                    <!-- your steps content here -->
                                    <div id="logins-part" class="content" role="tabpanel"
                                        aria-labelledby="logins-part-trigger">
                                        @include('backend.includes.partials.messagesearch')
                                        <button type="button" class="btn btn-primary disabled" disabled="disabled" id="next">{{ __('backend.message.button.next') }}</button>
                                    </div>
                                    <div id="information-part" class="content" role="tabpanel"
                                        aria-labelledby="information-part-trigger">
                                        <div class="form-group">
                                            <label for="message" class="col-sm-2 col-form-label">{{ __('backend.message.form.message')}}</label>
                                            <div class="col-sm-10">
                                                <textarea required type="text" maxlength="1000" name="message" class="form-control" autocomplete="off" id="message" placeholder="{{ __('backend.message.form.message')}}">@if (old('message')!=null)  @php echo old('message') @endphp @endif</textarea>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label for="color" class="col-sm-2 col-form-label">{{ __('backend.message.form.color')}}</label>
                                            <div class="col-sm-1">
                                                <input type="color" class="form-control" id="color">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label for="range" class="col-sm-2 col-form-label">{{ __('backend.message.form.range')}}</label>
                                            <div class="col-sm-6">
                                                <input type="range" class="form-control-range" min="0" max="10" step="1" id="range" name="range" value="">
                                                <span class="d-block">
                                                    <span id="value" class="badge badge-pill badge-success"></span>
                                                </span>
                                            </div>
                                        </div>
                                        <button type="button" class="btn btn-primary"
                                            onclick="stepper.previous()">{{ __('backend.message.button.previous') }}</button>
                                        <button type="button" class="btn btn-primary disabled" disabled="disabled"
                                            id="send">{{ __('backend.message.button.send') }}</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content -->
@endsection
@push('after-scripts')
@include('auth.includes.lang')
<script>
let slider = document.getElementById("range");
let output = document.getElementById("value");
output.innerHTML = slider.value;

slider.oninput = function() {
  output.innerHTML = this.value;
}
</script>
@endpush
