@extends('backend.includes.partials.wrapper')

@section('title', __('backend.team.name'))

@push('after-styles')
<link rel="stylesheet" href="{{ asset('plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css') }}">
@endpush

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{ ucfirst(__('backend.team.plural')) }}</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="card-title">{{ ucfirst(__('backend.team.plural')) }}</h3>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <a href="{{ route ('admin.auth.team.team.create') }}"><i class="fas fa-plus"></i> {{__('backend.team.button.create') }}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered table-hover dt-responsive" id="entity" data-delete="{{ __('backend.team.message.delete')}}" data-cancel="{{ __('backend.button.cancel')}}" data-continue="{{ __('backend.button.continue')}}">
                            <thead>
                                <tr>
                                    <th>{{ __('backend.team.form.name')  }}</th>
                                    <th>{{ __('backend.team.form.slug') }}</th>
                                    <th>{{ __('backend.office.name') }}</th>
                                    <th>{{ __('backend.active') }}</th>
                                    <th>{{ __('backend.button.diff') }}</th>
                                    <th>{{ __('backend.button.action') }}</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    <!-- /.card-body -->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
        <!-- Small boxes (Stat box) -->
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">{{ ucfirst( __('backend.team.actions.assign') ) }}</h3>
                            </div>
                            <!-- /.card-header -->
                            <form id="create-form-entity" send-action="{{ route('admin.auth.team.team.saveuser') }}"
                                search-action="{{ route('admin.auth.team.team.search') }}">
                                @csrf
                                <input type="hidden" id="status" value="1">
                                <input type="hidden" id="type" value="user">
                                <div class="card-body">
                                    <div id="selectarea">
                                        <div class="form-group row">
                                            <label id="label-selection" for="selection"
                                                class="col-sm-3 col-form-label">{{ __('backend.team.actions.select_entity', ['entity' =>  __('backend.team.name') ])}}</label>
                                            <div class="col-sm-2">
                                                <select name="selection" id="selection" class="form-control" required autocomplete="off">
                                                    <option value=''>{{ __('backend.team.actions.select_entity', ['entity' =>  __('backend.team.name') ])}}</option>
                                                    @isset($teams) @foreach ($teams as $team)
                                                    <option value="{{ $team->id }}">{{ $team->name }}</option>
                                                    @endforeach
                                                    @endisset
                                                </select>
                                            </div>
                                            @error('selection')
                                            <span class="invalid-feedback d-block" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div id="usersarea" class="hide">
                                        <div class="form-group row">
                                            <label for="list"
                                                class="col-sm-3 col-form-label">{{ __('backend.team.actions.user')}}</label>
                                            <div class="col-sm-6">
                                                <select name="list" id="list" class="duallistbox" multiple="multiple">

                                                </select>
                                            </div>
                                            @error('list')
                                            <span class="invalid-feedback d-block" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div id="search">
                                        <div class="form-group row">
                                            <label for="name" class="col-sm-3 col-form-label"></label>
                                            <div class="col-sm-2">
                                                <div class="overlay-wrapper hide">
                                                    <div class="overlay"><i class="fas fa-3x fa-sync-alt fa-spin"></i>
                                                        <div class="text-bold pt-2"></div>
                                                    </div>
                                                </div>
                                                <button type="submit" id="button-search" name="search"
                                                    class="btn btn-block btn-outline-primary">{{ __('backend.team.button.find') }}</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="result" class="hide">
                                        <div class="form-group row">
                                            <label for="name" class="col-sm-3 col-form-label"></label>
                                            <div class="col-sm-2">
                                                <div class="overlay-wrapper hide">
                                                    <div class="overlay"><i class="fas fa-3x fa-sync-alt fa-spin"></i>
                                                        <div class="text-bold pt-2"></div>
                                                    </div>
                                                </div>
                                                <button type="submit" id="button-process" name="create"
                                                    class="btn btn-block btn-outline-primary">{{ __('backend.team.actions.user') }}</button>
                                            </div>
                                            <div id="div-cancel" class="col-sm-2">
                                                <button type="button" id="button-cancel-user"
                                                    class="btn btn-block btn-outline-secondary">{{ __('backend.team.button.cancel') }}</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">

                                </div>
                            </form>
                        </div>
                        <!-- /.card -->
                    </div>
                </div>
                <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
@php $dataTableLang = null;
    if (htmlLang() == 'es')  {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Spanish.json";
    } elseif (htmlLang() == 'ca') {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Catalan.json";
    }
@endphp
@include('auth.includes.lang')
<script>
    $(function () {
        $('#entity').DataTable(
        {
        order:[[0,"desc"]],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ],
        @php
        if (isset($dataTableLang)) {
            @endphp
            "language": {
                "url": "{{ $dataTableLang }}"
            },
            @php
        }
        @endphp
        processing: true,
        serverSide: true,
        ajax: "{{ route('admin.auth.team.team.jsonlist') }}",
        columns: [
            {data: 'name', name: 'name'},
            {data: 'slug', name: 'slug'},
            {data: 'office-icon', name: 'office'},
            {data: 'active-icon', name: 'active-icon'},
            {data: 'diff', name: 'diff'},
            {data: 'action', name: 'action', orderable: false, searchable: false },
        ]
        }
        );
    });
  </script>
@include('auth.includes.select')
<script src="{{ asset('js/backend/entity.js') }}"></script>
<script src="{{ asset('js/backend/master.js') }}"></script>
@endpush
