@extends('backend.includes.partials.wrapper')

@section('title', __('backend.team.name'))

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{ ucfirst( $team->name ) }}</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                      <h3 class="card-title">{{ __('backend.team.name')}}</h3>

                      <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                          <div class="input-group-append">
                            <a href="{{ url()->previous() }}"><i class="fas fa-arrow-left"> {{ __('backend.team.actions.back') }}</i></a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body table-responsive p-0">
                      <table class="table table-hover">
                        <tr>
                            <th>{{ __('backend.team.form.name')}}</th>
                            <td>{{ ucfirst( $team->name ) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.team.form.avatar')}}</th>
                            <td>
                                @if (isset($team) && isset($team->image_location))
                                <div class="zoom float-left image-area">
                                    <img attr-delete-img="{{ route('admin.auth.team.team.delete.avatar', [ $team->id ]) }}" attr-id="{{ $team->id }}" src="{{ asset('storage/tavatar/'.$team->id.'/'.$team->image_location) }}" width="150px" class="img-thumbnail" alt="{{ $team->name }}" title="{{ $team->name }}">
                                    <a class="remove-image" href="#" style="display: inline;">&#215;</a>
                                </div>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.office.name')}}</th>
                            <td>@isset($team->myOffice->myDelegation) {{ $team->myOffice->myDelegation->myCompany->name }} -> {{ $team->myOffice->myDelegation->name }} -> @endisset @isset($team->myOffice) {{ $team->myOffice->name }} @endisset</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.team.form.active')}}</th>
                            <td>@if ($team->active) <span class="badge badge-success">{{ __('backend.icon.yes')}}</span> @else <span class="badge badge-danger">{{ __('backend.icon.no')}}</span> @endif</td>
                        </tr>
                      </table>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <div class="row">
                            <div class="col">
                                <small class="float-right text-muted">
                                    <strong>{{ __('backend.team.form.created_at')}}:</strong> {{ \Carbon\Carbon::parse($team->created_at)->format('d/m/Y H:i') }} ({{ $team->created_at->diffForHumans() }}),
                                    <strong>{{ __('backend.team.form.updated_at')}}</strong> {{ \Carbon\Carbon::parse($team->updated_at)->format('d/m/Y H:i') }} ({{ $team->updated_at->diffForHumans() }}),
                                    @if($team->trashed())
                                        <strong>{{ __('backend.team.form.deleted_at')}}:</strong> {{ \Carbon\Carbon::parse($team->deleted_at)->format('d/m/Y H:i') }} ({{ $team->deleted_at->diffForHumans() }})
                                    @endif
                                </small>
                            </div><!--col-->
                        </div><!--row-->
                    </div><!--card-footer-->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
<script src="{{ asset('js/backend/entity.js') }}"></script>
@endpush
