@extends('backend.includes.partials.wrapper')

@section('title', __('backend.user.name'))

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{ ucfirst( $user->username ) }}</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                      <h3 class="card-title">{{ __('backend.user.name')}}</h3>

                      <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                          <div class="input-group-append">
                            <a href="{{ url()->previous() }}"><i class="fas fa-arrow-left"> {{ __('backend.user.actions.back') }}</i></a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body table-responsive p-0">
                      <table class="table table-hover">
                        <tr>
                            <th>{{ __('backend.user.form.username')}}</th>
                            <td>{{ ucfirst( $user->username ) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.name')}}</th>
                            <td>{{ ucfirst( $user->name ) }} {{ ucfirst( $user->last_name ) }} {{ ucfirst( $user->last_name2 ) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.avatar')}}</th>
                            <td>
                                @if (isset($user) && isset($user->image_location))
                                <div class="zoom float-left image-area">
                                    <img attr-delete-img="{{ route('admin.auth.user.user.delete.avatar', [ $user->id ]) }}" attr-id="{{ $user->id }}" src="{{ asset('storage/uavatar/'.$user->id.'/'.$user->image_location) }}" width="150px" class="img-thumbnail" alt="{{ $user->name }}" title="{{ $user->name }}">
                                    <a class="remove-image" href="#" style="display: inline;">&#215;</a>
                                </div>
                                @endif
                            </td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.user.form.type')}}</th>
                            <td>{{ $user->type }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('Nif')}}</th>
                            <td>{{  $user->code  }} {{  $user->nif  }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.user.form.locale')}}</th>
                            <td>@if ($user->locale) {{ __(getLocaleName($user->locale)) }}@endif</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.email')}}</th>
                            <td>{{  $user->email  }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.mobile')}}</th>
                            <td>{{  $user->mobile  }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.phone')}}</th>
                            <td>{{  $user->phone  }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.account')}}</th>
                            <td>{!! Str::of($user->account)->limit(15); !!}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.company.name')}}</th>
                            <td>@isset($user->myCompany)  {{ $user->myCompany->name }}  @endisset</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.team.name')}}</th>
                            <td>@isset($user->myTeam) {{ $user->myTeam->name }} @endisset</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.user.form.contract')}}</th>
                            <td>{{ $user->contract }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.user.form.contract_hours')}}</th>
                            <td>{{ $user->contract_hours }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('backend.entity.form.active')}}</th>
                            <td>@if ($user->active) <span class="badge badge-success">{{ __('backend.icon.yes')}}</span> @else <span class="badge badge-danger">{{ __('backend.icon.no')}}</span> @endif</td>
                        </tr>
                      </table>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <div class="row">
                            <div class="col">
                                <small class="float-right text-muted">
                                    <strong>{{ __('backend.entity.form.created_at')}}:</strong> {{ \Carbon\Carbon::parse($user->created_at)->format('d/m/Y H:i') }} ({{ $user->created_at->diffForHumans() }}),
                                    <strong>{{ __('backend.entity.form.updated_at')}}</strong> {{ \Carbon\Carbon::parse($user->updated_at)->format('d/m/Y H:i') }} ({{ $user->updated_at->diffForHumans() }})
                                    @if($user->trashed())
                                        <strong>{{ __('backend.entity.form.deleted_at')}}:</strong> {{ \Carbon\Carbon::parse($user->deleted_at)->format('d/m/Y H:i') }}  ({{ $user->deleted_at->diffForHumans() }})
                                    @endif
                                </small>
                            </div><!--col-->
                        </div><!--row-->
                    </div><!--card-footer-->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
@endsection
@push('after-scripts')
<script src="{{ asset('js/backend/user.js') }}"></script>
@endpush
