@extends('front.layouts.main')

@section('title', __('front.campaign.plural'))


@push('after-styles')

@endpush

@section('content')
<main>
    <div class="container py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">{{ __('front.campaign.plural') }}</h3>

                        <div class="card-tools">
                            <div class="input-group input-group-sm" style="width: 150px;">
                                <input type="text" name="table-search" id="table-search" class="form-control float-right"
                                    placeholder="{{ __('front.campaign.button.find') }}">

                                <div class="input-group-append">
                                    <button type="submit" class="btn btn-default">
                                        <i class="fas fa-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-hover text-nowrap" id="campaign"  dt-action="{{ route('front.campaign.campaign.change') }}">
                            <thead>
                                <tr>
                                    <th>{{ __('front.campaign.form.name') }}</th>
                                    <th>{{ __('front.campaign.form.slug') }}</th>
                                    <th>{{ __('front.campaign.form.active') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @isset($campaigns)
                                @foreach ($campaigns as $campaign)
                                <tr>
                                    <td>
                                        {{ $campaign->name }}
                                    </td>
                                    <td>
                                        {{ $campaign->slug }}
                                    </td>
                                    <td>
                                        <div class="custom-control custom-switch custom-switch-xl">
                                        <input type="checkbox" class="custom-control-input checkbox" name="checkbox-active-{{$campaign->id}}" id="checkbox-active-{{$campaign->id}}" value="1"
                                        @if($selectedCampaign == $campaign->id) checked @endif>
                                        <label class="custom-control-label" for="checkbox-active-{{$campaign->id}}"></label>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                                @endisset
                            </tbody>
                        </table>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        {{ $campaigns->links('pagination::bootstrap-4') }}
                    </div>
                </div>
                <!-- /.card -->

            </div>
        </div>
    </div>
</main>
@endsection
@push('after-scripts')
@include('auth.includes.lang')
<script src="{{ asset('js/front/campaign.js') }}"></script>
@endpush
