@extends('front.layouts.main')

@section('title', __('front.hour.plural'))


@push('after-styles')
<link rel="stylesheet" href="{{ asset('plugins/summernote/summernote-bs4.min.css') }}">
<link rel="stylesheet" href="{{ asset('plugins/daterangepicker/daterangepicker.css') }}">
@endpush

@section('content')
<main>
    <div class="container py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card text-center">
                    <div class="card-header">{{ __('front.hour.plural') }}</div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <ul class="nav nav-tabs" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="nav-hour-tab" data-toggle="tab" href="#nav-hour"
                                            role="tab" aria-controls="nav-hour" aria-selected="true">{{ __('front.hour.name') }}</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="nav-holidays-tab" data-toggle="tab" href="#nav-holidays"
                                        role="tab" aria-controls="nav-holidays">{{ __('front.hour.form.holidays') }}</a>
                                    </li>
                                </ul>
                                <div class="tab-content">
                                    <div class="tab-pane active" id="nav-hour" role="tabpanel" aria-labelledby="nav-hour-tab">
                                        @include('front.hour.tabs.hour')
                                    </div><!--tab-->
                                    <div class="tab-pane fade" id="nav-holidays" role="tabpanel" aria-labelledby="nav-holidays-tab">
                                        @include('front.hour.tabs.holidays')
                                    </div>
                                </div><!--tab-content-->
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <!-- /.row -->
                                <div class="row mt-4 mb-2">
                                    <div class="col-12">
                                        <span class="badge badge-light">{{ __('front.hour.form.comments') }}</span>
                                        <textarea maxlength="1000" id="summernote"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
@endsection
@push('after-scripts')
@include('auth.includes.lang')
<script src="{{ asset('plugins/summernote/summernote-bs4.min.js') }}"></script>
<script src="{{ asset('plugins/daterangepicker/daterangepicker.js') }}"></script>
<script src="{{ asset('js/front/hour.js') }}"></script>
<script>
    $(function () {
      // Summernote
      $('#summernote').summernote('justifyLeft');
      $('#summernote').summernote('fontName', 'Arial');
      $('#summernote').summernote('fontSize', 18);

      $('#holidays-date').daterangepicker({
        locale: {
            format: 'DD/MM/YYYY',
            "separator": " - ",
            "applyLabel": "OK",
            "cancelLabel": "Cancel",
            "fromLabel": "De",
            "toLabel": "A",
            "customRangeLabel": "Custom",
        }
      });
    })
</script>
@endpush
