<nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
    <div class="container">
        <a class="navbar-brand" href="{{ url('/') }}">
        <img src="{{ asset('images/front/logo.png')}}" height="30" class="d-inline-block align-top" alt="logo"> {{ config('app.name', 'Intracommerce') }}
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- Left Side Of Navbar -->
            <ul class="navbar-nav mr-auto">

            </ul>

            <!-- Right Side Of Navbar -->
            <ul class="navbar-nav ml-auto">
                 <!-- Dropdown -->
                 <li class="nav-item dropdown">
                    <a id="navbarOptionDropdownHour" class="nav-link dropdown-toggle" href="#" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        <i class="fas fa-lightbulb"></i>
                        {{ __('front.hour.plural') }}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarOptionDropdownHour">
                        <a class="dropdown-item" href="{{ route('front.hour.index') }}"><i class="far fa-bell"></i> {{ __('front.hour.name') }}</a>
                        <a class="dropdown-item" href="{{ route('front.hour.manual') }}"><i class="fas fa-pen"></i> {{ __('front.hour.link.manual') }}</a>
                        <a class="dropdown-item" href="{{ route('front.hour.search') }}"><i class="fa fa-search"></i> {{ __('front.hour.link.search') }}</a>
                    </div>
                </li>
                <li class="nav-item dropdown">
                    <a id="navbarOptionDropdownLead" class="nav-link dropdown-toggle" href="#" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        <i class="far fa-gem"></i>
                        {{ __('front.lead.plural') }}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarOptionDropdownLead">
                        <a class="dropdown-item" href="{{ route('front.campaign.campaign.index') }}"><i class="fas fa-industry"></i> {{ __('front.campaign.name') }}</a>
                        <a class="dropdown-item" href="{{ route('front.lead.lead.index') }}"><i class="far fa-handshake"></i> {{ __('front.lead.name') }}</a>
                        <a class="dropdown-item" href="{{ route('front.lead.lead.list') }}"><i class="fas fa-table"></i> {{ __('front.lead.link.list') }}</a>
                    </div>
                </li>
                @if ($logged_in_user->isUserAdmin() || $logged_in_user->isAdmin())
                <li class="nav-item dropdown">
                    <a id="navbarOptionDropdownDelega" class="nav-link dropdown-toggle" href="#" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        <i class="fas fa-users"></i>
                        {{ __('front.lead.link.delega') }}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarOptionDropdownDelega">
                        <a class="dropdown-item" href="{{ route('front.lead.lead.delega') }}"><i class="far fa-file"></i> {{ __('front.lead.link.delega') }}</a>
                    </div>
                </li>
                @endif
                <!-- Notifications -->
                @include('includes.partials.messages')
                <!-- Language selector -->
                @if(config('boilerplate.locale.status') && count(config('boilerplate.locale.languages')) > 1)
                    <li class="nav-item dropdown">
                        <a
                            class="nav-link dropdown-toggle"
                            id="navbarDropdownLanguageLink"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false">{{ __(getLocaleName(app()->getLocale())) }}</a>
                            @include('includes.partials.lang')
                    </li>
                @endif
                <!-- Dropdown -->
                <li class="nav-item dropdown">
                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        {!! $logged_in_user->getAvatar(1) !!}
                        {{ $logged_in_user->username }}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="{{ route('front.user.profile') }}">{{ __('front.profile') }}</a>
                        @if ($logged_in_user->isAdmin())
                        <a class="dropdown-item" href="{{ route('admin.dashboard') }}">{{ __('Dashboard') }}</a>
                        @endif
                        <hr>
                        <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault();
                            document.getElementById('logout-form').submit();">
                            {{ __('Logout') }}
                        </a>

                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                            @csrf
                        </form>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</nav>
