<!doctype html>
<html lang="{{ htmlLang() }}" @langrtl dir="rtl" @endlangrtl>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ appName() }} | @yield('title')</title>
    <meta name="description" content="@yield('meta_description', appName())">
    <meta name="author" content="@yield('meta_author', 'rgonzalezg')">
    <link rel="icon" href="{{ asset('favicon.ico') }}" type="image/x-icon" />

    <title>{{ config('app.name', 'IntraCommerce') }}</title>


    @stack('before-styles')
    <!-- Fonts -->
    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ asset('plugins/fontawesome-free/css/all.min.css') }}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{ asset('css/adminlte.min.css')}}">
    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">

    @stack('after-styles')

    @include('includes.partials.ga')
</head>
<body>
    @include('includes.partials.logged-in-as')
    <div id="app">
        @yield('main-content')
    </div>
    <!-- Scripts -->
    @stack('before-scripts')
    <script src="{{ mix('js/manifest.js') }}"></script>
    <script src="{{ mix('js/vendor.js') }}"></script>
    <script src="{{ mix('js/app.js') }}"></script>
    <script src="{{ mix('js/front/app.js') }}"></script>
    <script src="{{ asset('js/adminlte.min.js') }}"></script>
    <div id="loading-container" class="loading" style="display: none;">{{ __('loading')}}...</div>
    @stack('after-scripts')
</body>
</html>
