@extends('front.layouts.main')

@section('title', __('front.lead.plural'))


@push('after-styles')

@endpush

@section('content')
<main>
    <div class="container-fluid py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">{{ __('front.lead.plural') }}</h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <form method="POST" id="create-form-entity" name="create-form-entity" action="{{ route('front.lead.lead.store') }}">
                            <input type="hidden" name="campaign-id" value={{ $campaign->id }}>
                            <input type="hidden" name="user-id" value={{ $logged_in_user->id }}>
                            @csrf
                            <div class="bs-stepper">
                                <div class="ribbon-wrapper ribbon-xl">
                                    <div class="ribbon bg-success text-lg">
                                        @isset($campaign) {{ $campaign->name }} @endisset
                                    </div>
                                  </div>
                                <div class="bs-stepper-header" role="tablist">
                                <!-- your steps here -->
                                <div class="step" data-target="#logins-part">
                                    <button type="button" class="step-trigger" role="tab" aria-controls="logins-part" id="logins-part-trigger">
                                    <span class="bs-stepper-circle">1</span>
                                    <span class="bs-stepper-label">{{ __('front.lead.actions.personal') }}</span>
                                    </button>
                                </div>
                                <div class="line"></div>
                                <div class="step" data-target="#information-part">
                                    <button type="button" class="step-trigger" role="tab" aria-controls="information-part" id="information-part-trigger">
                                    <span class="bs-stepper-circle">2</span>
                                    <span class="bs-stepper-label">{{ __('front.lead.actions.address') }}</span>
                                    </button>
                                </div>
                                <div class="line"></div>
                                <div class="step" data-target="#payment-part">
                                    <button type="button" class="step-trigger" role="tab" aria-controls="payment-part" id="payment-part-trigger">
                                    <span class="bs-stepper-circle">3</span>
                                    <span class="bs-stepper-label">{{ __('front.lead.actions.payment') }}</span>
                                    </button>
                                </div>
                                </div>
                                <div class="bs-stepper-content">
                                <!-- your steps content here -->
                                <div id="logins-part" class="content" role="tabpanel" aria-labelledby="logins-part-trigger">
                                    @include('auth.includes.name', ['entity' => $client])
                                    @include('auth.includes.entity', ['entity' => $client, 'hide', $hide = true])
                                    <button type="button" class="btn btn-primary" id="next">{{ __('front.lead.button.next') }}</button>
                                </div>
                                <div id="information-part" class="content" role="tabpanel" aria-labelledby="information-part-trigger">
                                    @include('auth.includes.address', ['entity' => $address, 'vias' => $vias,  'provinces' => $provinces, 'countries' => $countries])
                                    <button type="button" class="btn btn-primary"
                                        onclick="stepper.previous()">{{ __('backend.message.button.previous') }}</button>
                                    <button type="button" class="btn btn-primary disabled" disabled="disabled"
                                        id="continue">{{ __('front.lead.button.next') }}</button>
                                </div>
                                <div id="payment-part" class="content" role="tabpanel" aria-labelledby="payment-part-trigger">
                                    @include('auth.includes.variant', ['variant' => $variant,
                                    'variants' => $variants,'periodicities' => $periodicities, 'periodicity' => $periodicity])
                                    @include('auth.includes.payment', ['entity' => $client])
                                    <button type="button" class="btn btn-primary"
                                        onclick="stepper.previous()">{{ __('backend.message.button.previous') }}</button>
                                    <button type="button" class="btn btn-primary disabled" disabled="disabled"
                                        id="send">{{ __('front.lead.button.send') }}</button>
                                </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">

                    </div>
                </div>
                <!-- /.card -->
            </div>
        </div>
    </div>
</main>
@endsection
@push('after-scripts')
@include('auth.includes.lang')
<script src="{{ asset('js/front/lead.js') }}"></script>
<script>
    let stepper = new Stepper($('.bs-stepper')[0]);
</script>
@endpush
