@extends('front.layouts.main')

@section('title', __('front.lead.link.list'))


@push('after-styles')
@endpush

@section('content')
<main>
    <div class="container py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card text-center">
                    <div class="card-header">{{ __('front.lead.link.list') }}</div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <form method="POST" id="create-form-entity" action="{{ route('front.lead.lead.list') }}">
                                    @csrf
                                    @include('front.lead.includes.form')
                                </form>
                            </div>
                        </div>
                        @isset($leads)
                        <div class="row mt-5">
                            <div class="col-md-12">
                                <table class="table table-bordered table-hover dt-responsive" width="100%">
                                    <thead>
                                        <th>{{ __('backend.bo.form.identificator') }}</th>
                                        <th>{{ __('backend.bo.form.user') }}</th>
                                        <th>{{ __('backend.bo.form.team') }}</th>
                                        <th>{{ __('backend.bo.form.status') }}</th>
                                        <th>{{ __('backend.button.diff') }}</th>
                                    </thead>
                                    <tbody>
                                        @foreach ($leads as $lead)
                                        <tr>
                                            <td>{{ $lead->identificator }}</td>
                                            <td>{{ $lead->myUser->username }}</td>
                                            <td>{{ $lead->myTeam->name }}</td>
                                            <td>{{ $lead->status }}</td>
                                            <td>@if($lead->updated_at) {{ $lead->updated_at->diffForHumans() }} @endif</td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                                {{ $leads->links('pagination::bootstrap-4') }}
                            </div>
                        </div>
                        @endisset
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
@endsection
@push('after-scripts')
@include('auth.includes.lang')
<script src="{{ asset('plugins/inputmask/jquery.inputmask.min.js') }}"></script>
<script>
    $(function () {

        $('[data-mask]').inputmask('dd/mm/yyyy HH:ss', {
            'placeholder': 'dd/mm/yyyy HH:SS'
        })
        if ($("#start").val() == '') {
            $("#start").val(new moment().startOf('month').format("01/MM/YYYY HH:mm"));
        }

        if ($("#finish").val() == '') {
            $("#finish").val(new moment().endOf('month').format("DD/MM/YYYY HH:mm"));
        }
    })
</script>
@endpush
