@extends('front.layouts.main')

@section('title', __('backend.message.plural'))


@push('after-styles')

@endpush

@section('content')
<main>
    <div class="container py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">{{ __('backend.message.plural') }}</h3>

                        <div class="card-tools">
                            <div class="input-group input-group-sm" style="width: 150px;">
                                <input type="text" name="table-search" id="table-search" class="form-control float-right"
                                    placeholder="{{ __('backend.message.button.find') }}">

                                <div class="input-group-append">
                                    <button type="submit" class="btn btn-default">
                                        <i class="fas fa-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-hover text-nowrap" id="messages" dt-delete="{{ route('front.message.message.delete') }}">
                            <thead>
                                <tr>
                                    <th>{{ __('backend.message.form.username') }}</th>
                                    <th style="width: 30%">{{ __('backend.message.form.message') }}</th>
                                    <th>{{ __('backend.message.form.range') }}</th>
                                    <th></th>
                                    <th>{{ __('backend.button.action') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @isset($messages)
                                @foreach ($messages as $message)
                                <tr>
                                    <td>
                                        @if (isset($message->mySender))
                                        {!! $message->mySender->getAvatar() !!}
                                        @endif
                                        <small>
                                            {{ $message->mySender->username }}
                                        </small>
                                    </td>
                                    <td>{!! Str::of($message->text)->limit(15); !!}</td>
                                    <td>
                                        <div class="progress progress-xs">
                                            <div class="progress-bar" style="width: @isset($message->priority ){{ $message->priority *10 }}% @endisset;
                                            @isset($message->color ) background-color:{{ $message->color }} @endisset">
                                            </div>
                                        </div>
                                    </td>
                                    <td><span class="badge bg-warning">@isset($message->priority ){{ $message->priority *10 }}% @endisset</span></td>
                                    <td>
                                        <a href="{{ route('front.message.message.show', ['message' => $message->id]) }}" class="btn btn-primary btn-sm">
                                            <i class="fas fa-folder"></i>
                                            {{ __('backend.button.view') }}
                                        </a>
                                        <button dt-delete="{{ $message->id }}" class="btn btn-danger btn-sm delete">
                                            <i class="fas fa-trash"></i>
                                            {{ __('backend.button.delete') }}
                                        </button>
                                    </td>
                                </tr>
                                @endforeach
                                @endisset
                            </tbody>
                        </table>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        {{ $messages->links('pagination::bootstrap-4') }}
                    </div>
                </div>
                <!-- /.card -->

            </div>
        </div>
    </div>
</main>
@endsection
@push('after-scripts')
@include('auth.includes.lang')
@endpush
