@extends('front.layouts.main')

@section('title', __('backend.message.name'))


@push('after-styles')

@endpush

@section('content')
<main>
    <div class="container py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">{{ __('backend.message.name') }}</h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        @isset($message)
                        <div class="post clearfix">
                            <div class="user-block">
                            @if (isset($message->mySender))
                                {!! $message->mySender->getAvatar() !!}
                            @endif
                            </div>
                            <!-- /.user-block -->
                            <small class="username">{{ $message->mySender->username }}</small>
                            <small class="description">{{ $message->mySender->myCompany->name }}</small>
                            <p>
                                {!! Str::of($message->text)->limit(15); !!}
                            </p>
                            <a href="{{ url()->previous() }}" class="btn btn-secondary">{{ __('backend.message.button.cancel') }}</a>
                        </div>
                        @endisset
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <div class="row">
                            <div class="col">
                                <small class="float-right text-muted">
                                    <strong>{{ __('backend.message.form.created_at')}}:</strong> {{ \Carbon\Carbon::parse($message->created_at)->format('d/m/Y H:i') }} ({{ $message->created_at->diffForHumans() }}),
                                    <strong>{{ __('backend.message.form.updated_at')}}</strong>{{ \Carbon\Carbon::parse($message->updated_at)->format('d/m/Y H:i') }} ({{ $message->updated_at->diffForHumans() }})
                                    @if($message->trashed())
                                        <strong>{{ __('backend.message.form.deleted_at')}}:</strong> {{ \Carbon\Carbon::parse($message->deleted_at)->format('d/m/Y H:i') }} ({{ $message->deleted_at->diffForHumans() }})
                                    @endif
                                </small>
                            </div><!--col-->
                        </div><!--row-->
                    </div>
                </div>
                <!-- /.card -->

            </div>
        </div>
    </div>
</main>
@endsection
@push('after-scripts')
@include('auth.includes.lang')
@endpush
