@extends('front.layouts.main')

@section('title', __('Profile'))

@section('content')
<main>
    <div class="container py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card text-center">
                    <div class="card-header">{{ __('Profile') }}</div>
                    <div class="card-body">
                        @if(session('status') == 'two-factor-authentication-enabled' || session('status') ==
                        'recovery-codes-generated')
                        @include('front.profile.tabs.two-factor-authentication-form')
                        @else
                        <nav>
                            <div class="nav nav-tabs" id="nav-tab" role="tablist">
                                <a class="nav-link active" id="nav-profile-tab" data-toggle="tab" href="#nav-profile"
                                    role="tab" aria-controls="nav-profile" aria-selected="true">{{ __('Profile') }}</a>
                                @if (Laravel\Fortify\Features::enabled(Laravel\Fortify\Features::updateProfileInformation()))
                                <a class="nav-link" id="nav-update-profile-tab" data-toggle="tab"
                                    href="#nav-update-profile" role="tab" aria-controls="nav-update-profile"
                                    aria-selected="true">{{__('Profile Information')}}</a>
                                @endif
                                @if (Laravel\Fortify\Features::enabled(Laravel\Fortify\Features::updatePasswords()))
                                <a class="nav-link" id="nav-password-tab" data-toggle="tab" href="#nav-password"
                                    role="tab" aria-controls="nav-password"
                                    aria-selected="false">{{ __('Update Password') }}</a>
                                @endif
                                @if (Laravel\Fortify\Features::enabled(Laravel\Fortify\Features::twoFactorAuthentication()))
                                <a class="nav-link" id="nav-two-factor-tab" data-toggle="tab" href="#nav-two-factor"
                                    role="tab" aria-controls="nav-two-factor"
                                    aria-selected="false">{{ __('Two Factor Authentication') }}</a>
                                @endif
                            </div>
                        </nav>
                        <div class="tab-content py-4" id="nav-tabContent">
                            <div class="tab-pane fade show active" id="nav-profile" role="tabpanel"
                                aria-labelledby="nav-profile-tab">
                                @include('front.profile.tabs.profile')
                            </div>
                            @if (Laravel\Fortify\Features::enabled(Laravel\Fortify\Features::updateProfileInformation()))
                            <div class="tab-pane fade show" id="nav-update-profile" role="tabpanel"
                                aria-labelledby="nav-update-profile-tab">
                                @include('front.profile.tabs.update-profile-information-form')
                            </div>
                            @endif
                            @if (Laravel\Fortify\Features::enabled(Laravel\Fortify\Features::updatePasswords()))
                            <div class="tab-pane fade" id="nav-password" role="tabpanel" aria-labelledby="nav-password-tab">
                                @include('front.profile.tabs.update-password-form')
                            </div>
                            @endif
                            @if (Laravel\Fortify\Features::enabled(Laravel\Fortify\Features::twoFactorAuthentication()))
                            <div class="tab-pane fade" id="nav-two-factor" role="tabpanel"
                                aria-labelledby="nav-two-factor-tab">
                                @include('front.profile.tabs.two-factor-authentication-form')
                            </div>
                            @endif
                        </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
@endsection
