<div class="container py-4">
    <div class="row">
        <div class="col-md-12">
            @if(! auth()->user()->two_factor_secret)
                {{-- Enable 2FA --}}
                <div class="alert alert-primary" role="alert">
                    <i class="fas fa-info-circle"></i> {{ __('Add additional security to your account using two factor authentication.') }}
                </div>
                <div class="alert alert-primary" role="alert">
                    <i class="fas fa-info-circle"></i> {{ __('You have not enabled two factor authentication.') }}
                </div>
            @else
                <div class="alert alert-primary" role="alert">
                    <i class="fas fa-info-circle"></i> {{ __('You have enabled two factor authentication.') }}
                </div>
            @endif
            @if(!auth()->user()->two_factor_secret)
                {{-- Enable 2FA --}}
                <form method="POST" action="{{ url('user/two-factor-authentication') }}">
                  @csrf

                  <button type="submit" class="btn btn-success btn-sm btn-block">
                    {{ __('Enable') }}
                  </button>
                </form>
            @else
                {{-- Regenerate 2FA Recovery Codes --}}
                <form method="POST" action="{{ url('user/two-factor-recovery-codes') }}">
                  @csrf
                  <button type="submit" class="btn btn-primary btn-sm btn-block">
                    {{ __('Regenerate Recovery Codes') }}
                  </button>
                </form>

                @if(session('status') == 'two-factor-authentication-enabled' || session('status') == 'recovery-codes-generated')
                <div class="container py-4">
                    <div class="row">
                        <div class="col-xl-4 text-left">
                        {{-- Show SVG QR Code, After Enabling 2FA --}}
                            {{ __('Two factor authentication is now enabled. Scan the following QR code using your phone\'s authenticator application.') }}
                        </div>

                        <div class="col-xl-8">
                            {!! auth()->user()->twoFactorQrCodeSvg() !!}
                            <p><i class="fas fa-key"></i></p>
                        </div>
                    </div>
                  </div>
                @endif

                {{-- Show 2FA Recovery Codes --}}
                <div class="container py-4" class="hidden-recovery-codes" @unless(session('status') == 'two-factor-authentication-enabled' || session('status') == 'recovery-codes-generated')hidden @endunless>
                    <div class="row">
                        <div class="col-xl-4 text-left">
                            {{ __('Store these recovery codes in a secure password manager. They can be used to recover access to your account if your two factor authentication device is lost.') }}
                        </div>
                        <div class="col-xl-8">
                            <pre>@foreach (json_decode(decrypt(auth()->user()->two_factor_recovery_codes), true) as $code){{ trim($code) }}<br>@endforeach</pre>
                        </div>
                </div>
                {{-- Disable 2FA --}}
                <form method="POST" action="{{ url('user/two-factor-authentication') }}">
                    @csrf
                    @method('DELETE')
                    <button type="submit" class="btn btn-secondary btn-sm btn-block">
                        {{ __('Disable') }}
                    </button>
                </form>

            @endif
        </div>
    </div>
</div>
