<div class="row">
    <div class="col-md-12">
        <form id="auth-form" method="POST" action="{{ route('user-password.update') }}">
            @csrf
            @method('PUT')
            <div class="form-group row">
                <div class="col-md-12">
                    <div class="alert alert-primary" role="alert">
                        <i class="fas fa-info-circle"></i> {{ __('Ensure your account is using a long, random password to stay secure.') }}
                    </div>
                </div>
            </div>
            <div class="form-group row">
                <label for="current_password" class="col-md-3 col-form-label text-md-right">{{ __('Current Password') }}</label>
                <div class="col-md-9">
                    <input type="password" name="current_password" class="form-control" placeholder="{{ __('Current Password') }}" required autofocus autocomplete="current-password" />
                    @error('current_password')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
            </div><!--form-group-->
            <div class="form-group row">
                <label for="password" class="col-md-3 col-form-label text-md-right">{{ __('Password') }}</label>
                <div class="col-md-9">
                    <input type="password" name="password" class="form-control" placeholder="{{ __('Password') }}" required autofocus autocomplete="new-password" />
                    @error('password')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
            </div><!--form-group-->
            <div class="form-group row">
                <label for="password_confirmation" class="col-md-3 col-form-label text-md-right">{{ __('Confirm Password') }}</label>
                <div class="col-md-9">
                    <input type="password" name="password_confirmation" class="form-control" placeholder="{{ __('Confirm Password') }}" required autofocus autocomplete="new-password" />
                    @error('password_confirmation')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
            </div><!--form-group-->
            <div class="form-group row mb-0">
                <div class="col-md-12 text-right">
                    <button class="btn btn-sm btn-primary float-right" type="submit">{{ __('Save') }}</button>
                </div>
            </div><!--form-group-->
        </form>
    </div>
</div>
@push('after-scripts')
    @include('auth.includes.lang')
    <script src="{{ asset('js/front/login.js') }}"></script>
@endpush
