<div class="row">
    <div class="col-md-12">
        <form id="auth-form" method="POST" action="{{ route('user-profile-information.update') }}">
            @csrf
            @method('PUT')
            <div class="form-group row">
                <div class="col-md-12">
                    <div class="alert alert-primary" role="alert">
                        <i class="fas fa-info-circle"></i> {{ __('Update your account\'s profile information and email address.') }}
                    </div>
                </div>
            </div>
            <div class="form-group row">
                <label for="name" class="col-md-3 col-form-label text-md-right">{{ __('Name') }}</label>
                <div class="col-md-9">
                    <input type="text" name="name" class="form-control" placeholder="{{ __('Name') }}" value="{{ old('name') ?? $logged_in_user->name }}" required autofocus autocomplete="name" />
                    @error('name')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
            </div><!--form-group-->
            <div class="form-group row">
                <label for="last_name" class="col-md-3 col-form-label text-md-right">{{ __('front.last_name') }}</label>
                <div class="col-md-9">
                    <input type="text" name="last_name" class="form-control" placeholder="{{ __('front.last_name') }}" value="{{ old('last_name') ?? $logged_in_user->last_name }}" required autofocus autocomplete="last_name" />
                    @error('last_name')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
            </div><!--form-group-->
            <div class="form-group row">
                <label for="last_name_2" class="col-md-3 col-form-label text-md-right">{{ __('front.last_name') }}</label>
                <div class="col-md-9">
                    <input type="text" name="last_name_2" class="form-control" placeholder="{{ __('front.last_name') }}" value="{{ old('last_name_2') ?? $logged_in_user->last_name_2 }}" required autofocus autocomplete="last_name_2" />
                    @error('last_name_2')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
            </div><!--form-group-->
            <div class="form-group row">
                <label for="email" class="col-md-3 col-form-label text-md-right">{{ __('Email') }}</label>
                <div class="col-md-9">
                    <input type="text" name="email" class="form-control" placeholder="{{ __('Email') }}" value="{{ old('email') ?? $logged_in_user->email }}" required autofocus autocomplete="email" />
                    @error('email')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
                </div>
            </div><!--form-group-->
            <div class="form-group row mb-0">
                <div class="col-md-12 text-right">
                    <button class="btn btn-sm btn-primary float-right" type="submit">{{ __('Save') }}</button>
                </div>
            </div><!--form-group-->
        </form>
    </div>
</div>
@push('after-scripts')
    @include('auth.includes.lang')
    <script src="{{ asset('js/front/login.js') }}"></script>
@endpush
