@if(isset($errors) && $errors->any())
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        @foreach($errors->all() as $error)
            {{ $error }}<br/>
        @endforeach
        <button type="button" class="close" onclick="$(this).parent().hide();" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
@endif

@if(session()->get('flash_success'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ session()->get('flash_success') }}
        <button type="button" class="close" onclick="$(this).parent().hide();" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
@endif

@if(session()->get('flash_warning'))
    <div class="alert alert-warning alert-dismissible fade show" role="alert">
        {{ session()->get('flash_warning') }}
        <button type="button" class="close" onclick="$(this).parent().hide();" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
@endif

@if(session()->get('flash_info') || session()->get('flash_message'))
    <div class="alert alert-info alert-dismissible fade show" role="alert">
        {{ session()->get('flash_info') }} {{ session()->get('flash_message') }}
        <button type="button" class="close" onclick="$(this).parent().hide();" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
@endif

@if(session()->get('flash_danger'))
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        {{ session()->get('flash_danger') }}
        <button type="button" class="close" onclick="$(this).parent().hide();" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
@endif

@if(session()->get('status'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ __('front.success') }}
        <button type="button" class="close" onclick="$(this).parent().hide();" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
@endif

@if(session()->get('resent'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ __('A fresh verification link has been sent to your email address.') }}
        <button type="button" class="close" onclick="$(this).parent().hide();" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
@endif

@if(session()->get('verified'))
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{ __('Hello!') }}
        <button type="button" class="close" onclick="$(this).parent().hide();" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
@endif

<div class="alert alert-danger fade show" style="display: none" id="error" role="alert">
    <strong>{{ __('backend.alert.error')}}</strong> <span id="error-result"></span>
    <button type="button" class="close" onclick="$(this).parent().hide();" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="alert alert-success alert-dismissible fade show" style="display: none" id="success" role="alert">
    <strong>{{ __('backend.alert.success')}}</strong> <span id="correct-result"></span>
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
    <span aria-hidden="true">&times;</span>
    </button>
</div>
