<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Backend\DashboardController;
use App\Http\Controllers\Backend\UserController;
use App\Http\Controllers\Backend\BackOfficeController;

Route::redirect('/', '/admin/dashboard', 301);

Route::group(['middleware' =>  ['super_admin']], function () {
    Route::get('dashboard', [DashboardController::class, 'index'])->name('dashboard');
    Route::group(['prefix' => 'filemanager'], function () {
        \UniSharp\LaravelFilemanager\Lfm::routes();
    });
});

Route::group([
    'prefix' => 'bo',
    'as' => 'bo.',
], function () {
    Route::group([
        'middleware' => ['admin'],
    ], function () {
        Route::get('/', [BackOfficeController::class, 'index'])->name('bo.index');

        Route::get('create', [BackOfficeController::class, 'create'])->name('bo.create');
        Route::post('store', [BackOfficeController::class, 'store'])->name('bo.store');
        Route::post('/', [BackOfficeController::class, 'update'])->name('bo.update');

        Route::group(['prefix' => '{bo}'], function () {
            Route::get('edit', [BackOfficeController::class, 'edit'])->name('bo.edit');
            Route::delete('/', [BackOfficeController::class, 'delete'])->name('bo.delete');
        });
    });
});

