<?php

use Illuminate\Support\Facades\Route;
use App\Models\Lopd;

Route::group(['middleware' => 'guest'], function () {
    Route::get('/', function () {
        return view('auth.login');
    })->name('login');

    Route::get('/privacy', function () {
        $lopd = Lopd::where([['active', '1'], ['type', LOPD::PRIVACY]])->first();
        return view('auth.privacy')->with('lopd', $lopd)->with('text', __('front.privacy'));
    })->name('privacy');

    Route::get('/cookies', function () {
        $lopd = Lopd::where([['active', '1'], ['type', LOPD::COOKIES]])->first();
        return view('auth.privacy')->with('lopd', $lopd)->with('text', __('front.cookies'));
    })->name('cookies');

    Route::get('/legal', function () {
        $lopd = Lopd::where([['active', '1'], ['type', LOPD::LEGAL]])->first();
        return view('auth.privacy')->with('lopd', $lopd)->with('text', __('front.legal'));
    })->name('legal');
});
