<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\LocaleController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// Language
Route::get('lang/{lang}', [LocaleController::class, 'change'])->name('locale.change');

Route::group(['middleware' => config('fortify.middleware')], function () {
    /*
    * Frontend Routes
    */
    Route::group(['as' => 'front.'], function () {
        includeRouteFiles(__DIR__.'/front/');
    });

    Route::group(['prefix' => 'admin', 'as' => 'admin.', 'middleware' => ['admin', 'web']], function () {
        includeRouteFiles(__DIR__.'/backend/');
    });
});
