<?php $__env->startSection('title', __('front.hour.plural')); ?>


<?php $__env->startPush('after-styles'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<main>
    <div class="container py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card text-center">
                    <div class="card-header"><?php echo e(__('front.hour.link.search')); ?></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <form id="create-form-entity" dt-action="<?php echo e(route('front.hour.find')); ?>" name="search">
                                    <meta name="_token" content="<?php echo e(csrf_token()); ?>">
                                    <div class="row mt-4 mb-2">
                                        <div class="col-12">
                                            <span class="badge badge-light"><?php echo e(__('front.hour.form.date_start')); ?></span>
                                            <input required type="text" name="date-initial" id="date-initial" class="form-control"
                                                data-inputmask-alias="datetime"
                                                data-inputmask-inputformat="dd/mm/yyyy HH:ss" data-mask
                                                autocomplete="off" required <?php if(old('date-initial')
                                                !=null): ?> value="<?php echo e(old('date-initial')); ?>" <?php endif; ?>>
                                            <?php $__errorArgs = ['date-initial'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback d-block" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="row mt-4 mb-2">
                                        <div class="col-12">
                                            <span class="badge badge-light"><?php echo e(__('front.hour.form.date_end')); ?></span>
                                            <input required type="text" name="date-end" id="date-end" class="form-control"
                                                data-inputmask-alias="datetime"
                                                data-inputmask-inputformat="dd/mm/yyyy HH:ss" data-mask
                                                autocomplete="off" required <?php if(old('date-end')
                                                !=null): ?> value="<?php echo e(old('date-end')); ?>" <?php endif; ?>>
                                            <?php $__errorArgs = ['date-end'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback d-block" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <!-- /.row -->
                                    <div class="row pt-5">
                                        <div class="col-md-3 mx-auto">
                                            <a name="search-manual" name="search-manual" class="btn btn-app bg-success">
                                                <?php echo e(__('front.hour.button.search')); ?> <?php echo e(__('front.hour.plural')); ?>

                                            </a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="row mt-5">
                            <div class="col-md-12">
                                <table class="table table-bordered table-hover dt-responsive" width="100%" id="register-search">
                                    <thead>
                                        <tr>
                                            <th><?php echo e(__('front.hour.form.date')); ?></th>
                                            <th><?php echo e(__('front.hour.form.start')); ?></th>
                                            <th><?php echo e(__('front.hour.form.stop')); ?></th>
                                            <th><?php echo e(__('front.hour.form.return')); ?></th>
                                            <th><?php echo e(__('front.hour.form.finish')); ?></th>
                                            <th><?php echo e(__('front.hour.form.status')); ?></th>
                                            <th><?php echo e(__('front.hour.form.type')); ?></th>
                                            <th><?php echo e(__('front.hour.form.company')); ?></th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<?php $dataTableLang = null;
    if (htmlLang() == 'es')  {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Spanish.json";
    } elseif (htmlLang() == 'ca') {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Catalan.json";
    }
?>
<?php echo $__env->make('auth.includes.lang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script src="<?php echo e(asset('plugins/inputmask/jquery.inputmask.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/front/hour.js')); ?>"></script>
<script>
    $(function () {
        $('#register-search').DataTable(
        {
        order:[[0,"desc"]],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ],
        <?php
        if (isset($dataTableLang)){
            ?>
            "language": {
                "url": "<?php echo e($dataTableLang); ?>"
            },
            <?php
        }
        ?>
        columns: [
            {data: 'date', name: 'date', defaultContent: ''},
            {data: 'start', name: 'start', defaultContent: ''},
            {data: 'stop', name: 'stop', defaultContent: ''},
            {data: 'return', name: 'return', defaultContent: ''},
            {data: 'finish', name: 'finish', defaultContent: ''},
            {data: 'status', name: 'status', defaultContent: ''},
            {data: 'type', name: 'type', defaultContent: ''},
            {data: 'company', name: 'company', defaultContent: ''},
            ]
        }
        );
    });
  </script>
<script>
    $(function () {

        $('[data-mask]').inputmask('dd/mm/yyyy HH:ss', {
            'placeholder': 'dd/mm/yyyy HH:SS'
        })
        if ($("#date-initial").val() == '') {
            $("#date-initial").val(new moment().startOf('month').format("01/MM/YYYY HH:mm"));
        }

        if ($("#date-end").val() == '') {
            $("#date-end").val(new moment().endOf('month').format("DD/MM/YYYY HH:mm"));
        }
    })
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('front.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/front/hour/search.blade.php ENDPATH**/ ?>