<?php $__env->startSection('title', __('backend.company.name')); ?>

<?php $__env->startSection('content-wrapper'); ?>
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e(ucfirst( $company->name )); ?></h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                      <h3 class="card-title"><?php echo e(__('backend.company.name')); ?></h3>

                      <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                          <div class="input-group-append">
                            <a href="<?php echo e(url()->previous()); ?>"><i class="fas fa-arrow-left"> <?php echo e(__('backend.company.actions.back')); ?></i></a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body table-responsive p-0">
                      <table class="table table-hover">
                        <tr>
                            <th><?php echo e(__('backend.entity.form.name')); ?></th>
                            <td><?php echo e(ucfirst( $company->name )); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.avatar')); ?></th>
                            <td>
                                <?php if(isset($company) && isset($company->image_location)): ?>
                                <div class="zoom float-left image-area">
                                    <img attr-delete-img="<?php echo e(route('admin.auth.company.company.delete.avatar', [ $company->id ])); ?>" attr-id="<?php echo e($company->id); ?>" src="<?php echo e(asset('storage/cavatar/'.$company->id.'/'.$company->image_location)); ?>" width="150px" class="img-thumbnail" alt="<?php echo e($company->name); ?>" title="<?php echo e($company->name); ?>">
                                    <a class="remove-image" href="#" style="display: inline;">&#215;</a>
                                </div>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.slug')); ?></th>
                            <td><?php echo e($company->slug); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('Cif')); ?></th>
                            <td><?php echo e($company->nif); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.email')); ?></th>
                            <td><?php echo e($company->email); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.via')); ?></th>
                            <td><?php if(isset($company->address->myVia->name)): ?> <?php echo e(($company->address->myVia->name)); ?> <?php endif; ?> <?php echo e(($company->address->name_via)); ?> <?php echo e(($company->address->num_via)); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.postcode')); ?></th>
                            <td><?php echo e(($company->address->postcode)); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.city')); ?></th>
                            <td><?php echo e(($company->address->city)); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.province')); ?></th>
                            <td><?php echo e(($company->address->province)); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.country')); ?></th>
                            <td><?php if(isset($company->address->myProvince->code)): ?> <?php echo e($company->address->myProvince->name); ?> <?php echo e($company->address->province); ?> <?php endif; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.account')); ?></th>
                            <td><?php echo Str::of($company->account)->limit(15);; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.company.form.url')); ?></th>
                            <td><?php echo e($company->url); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.active')); ?></th>
                            <td><?php if($company->active): ?> <span class="badge badge-success"><?php echo e(__('backend.icon.yes')); ?></span> <?php else: ?> <span class="badge badge-danger"><?php echo e(__('backend.icon.no')); ?></span> <?php endif; ?></td>
                        </tr>
                      </table>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <div class="row">
                            <div class="col">
                                <small class="float-right text-muted">
                                    <strong><?php echo e(__('backend.entity.form.created_at')); ?>:</strong> <?php echo e(\Carbon\Carbon::parse($company->created_at)->format('d/m/Y H:i')); ?> (<?php echo e($company->created_at->diffForHumans()); ?>),
                                    <strong><?php echo e(__('backend.entity.form.updated_at')); ?></strong><?php echo e(\Carbon\Carbon::parse($company->updated_at)->format('d/m/Y H:i')); ?> (<?php echo e($company->updated_at->diffForHumans()); ?>)
                                    <?php if($company->trashed()): ?>
                                        <strong><?php echo e(__('backend.entity.form.deleted_at')); ?>:</strong> <?php echo e(\Carbon\Carbon::parse($company->deleted_at)->format('d/m/Y H:i')); ?> (<?php echo e($company->deleted_at->diffForHumans()); ?>)
                                    <?php endif; ?>
                                </small>
                            </div><!--col-->
                        </div><!--row-->
                    </div><!--card-footer-->
                  </div>
                  <!-- /.card -->
            </div>
            <?php echo $__env->make('backend.pages.company.modal.company-link', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
        <!-- /.row -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h4 class="card-title"><?php echo e(__('backend.company_link.plural')); ?></h4>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <button class="btn btn-link" id="modal"><i class="fas fa-plus"></i> <?php echo e(__('backend.company_link.button.create')); ?></button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body table-responsive p-0" style="height: 300px;">
                    <table class="table table-head-fixed text-nowrap" id="company-links" data-delete="<?php echo e(__('backend.company_link.message.delete')); ?>"  data-create="<?php echo e(__('backend.company_link.message.create')); ?>"  data-edit="<?php echo e(__('backend.company_link.message.edit')); ?>" data-cancel="<?php echo e(__('backend.button.cancel')); ?>" data-continue="<?php echo e(__('backend.button.continue')); ?>">
                        <thead>
                            <tr>
                                <th><?php echo e(__('Name')); ?></th>
                                <th><?php echo e(__('Url')); ?></th>
                                <th><?php echo e(__('backend.active')); ?></th>
                                <th><?php echo e(__('backend.button.diff')); ?></th>
                                <th><?php echo e(__('backend.button.action')); ?></th>
                            </tr>
                        </thead>
                    </table>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<?php echo $__env->make('auth.includes.lang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $dataTableLang = null;
    if (htmlLang() == 'es')  {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Spanish.json";
    } elseif (htmlLang() == 'ca') {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Catalan.json";
    }
?>
<?php echo $__env->make('auth.includes.lang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script>
    $(function () {
        $('#company-links').DataTable(
        {
        order:[[0,"desc"]],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ],
        <?php
        if (isset($dataTableLang)) {
            ?>
            "language": {
                "url": "<?php echo e($dataTableLang); ?>"
            },
            <?php
        }
        ?>
        processing: true,
        serverSide: true,
        ajax: {
            "url": "<?php echo e(route('admin.auth.company-link.company-link.jsonlist')); ?>",
            "data": function ( d ) {
                d.companyId = "<?php echo e($company->id); ?>";
            }
        },
        columns: [
            {data: 'name', name: 'name'},
            {data: 'url', name: 'url'},
            {data: 'active-icon', name: 'active-icon'},
            {data: 'diff', name: 'diff'},
            {data: 'action', name: 'action', orderable: false, searchable: false },
        ]
        }
        );
    });
  </script>
<script src="<?php echo e(asset('js/backend/company.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.includes.partials.wrapper', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/backend/pages/company/show.blade.php ENDPATH**/ ?>