<div class="container py-4">
    <div class="row">
        <div class="col-md-12">
            <?php if(! auth()->user()->two_factor_secret): ?>
                
                <div class="alert alert-primary" role="alert">
                    <i class="fas fa-info-circle"></i> <?php echo e(__('Add additional security to your account using two factor authentication.')); ?>

                </div>
                <div class="alert alert-primary" role="alert">
                    <i class="fas fa-info-circle"></i> <?php echo e(__('You have not enabled two factor authentication.')); ?>

                </div>
            <?php else: ?>
                <div class="alert alert-primary" role="alert">
                    <i class="fas fa-info-circle"></i> <?php echo e(__('You have enabled two factor authentication.')); ?>

                </div>
            <?php endif; ?>
            <?php if(!auth()->user()->two_factor_secret): ?>
                
                <form method="POST" action="<?php echo e(url('user/two-factor-authentication')); ?>">
                  <?php echo csrf_field(); ?>

                  <button type="submit" class="btn btn-success btn-sm btn-block">
                    <?php echo e(__('Enable')); ?>

                  </button>
                </form>
            <?php else: ?>
                
                <form method="POST" action="<?php echo e(url('user/two-factor-recovery-codes')); ?>">
                  <?php echo csrf_field(); ?>
                  <button type="submit" class="btn btn-primary btn-sm btn-block">
                    <?php echo e(__('Regenerate Recovery Codes')); ?>

                  </button>
                </form>

                <?php if(session('status') == 'two-factor-authentication-enabled' || session('status') == 'recovery-codes-generated'): ?>
                <div class="container py-4">
                    <div class="row">
                        <div class="col-xl-4 text-left">
                        
                            <?php echo e(__('Two factor authentication is now enabled. Scan the following QR code using your phone\'s authenticator application.')); ?>

                        </div>

                        <div class="col-xl-8">
                            <?php echo auth()->user()->twoFactorQrCodeSvg(); ?>

                            <p><i class="fas fa-key"></i></p>
                        </div>
                    </div>
                  </div>
                <?php endif; ?>

                
                <div class="container py-4" class="hidden-recovery-codes" <?php if (! (session('status') == 'two-factor-authentication-enabled' || session('status') == 'recovery-codes-generated')): ?>hidden <?php endif; ?>>
                    <div class="row">
                        <div class="col-xl-4 text-left">
                            <?php echo e(__('Store these recovery codes in a secure password manager. They can be used to recover access to your account if your two factor authentication device is lost.')); ?>

                        </div>
                        <div class="col-xl-8">
                            <pre><?php $__currentLoopData = json_decode(decrypt(auth()->user()->two_factor_recovery_codes), true); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?><?php echo e(trim($code)); ?><br><?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?></pre>
                        </div>
                </div>
                
                <form method="POST" action="<?php echo e(url('user/two-factor-authentication')); ?>">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('DELETE'); ?>
                    <button type="submit" class="btn btn-secondary btn-sm btn-block">
                        <?php echo e(__('Disable')); ?>

                    </button>
                </form>

            <?php endif; ?>
        </div>
    </div>
</div>
<?php /**PATH C:\laragon\www\intracommerce\resources\views/front/profile/tabs/two-factor-authentication-form.blade.php ENDPATH**/ ?>