<nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
    <div class="container">
        <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
        <img src="<?php echo e(asset('images/front/logo.png')); ?>" height="30" class="d-inline-block align-top" alt="logo"> <?php echo e(config('app.name', 'Intracommerce')); ?>

        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- Left Side Of Navbar -->
            <ul class="navbar-nav mr-auto">

            </ul>

            <!-- Right Side Of Navbar -->
            <ul class="navbar-nav ml-auto">
                 <!-- Dropdown -->
                 <li class="nav-item dropdown">
                    <a id="navbarOptionDropdownHour" class="nav-link dropdown-toggle" href="#" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        <i class="fas fa-lightbulb"></i>
                        <?php echo e(__('front.hour.plural')); ?>

                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarOptionDropdownHour">
                        <a class="dropdown-item" href="<?php echo e(route('front.hour.index')); ?>"><i class="far fa-bell"></i> <?php echo e(__('front.hour.name')); ?></a>
                        <a class="dropdown-item" href="<?php echo e(route('front.hour.manual')); ?>"><i class="fas fa-pen"></i> <?php echo e(__('front.hour.link.manual')); ?></a>
                        <a class="dropdown-item" href="<?php echo e(route('front.hour.search')); ?>"><i class="fa fa-search"></i> <?php echo e(__('front.hour.link.search')); ?></a>
                    </div>
                </li>
                <li class="nav-item dropdown">
                    <a id="navbarOptionDropdownLead" class="nav-link dropdown-toggle" href="#" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        <i class="far fa-gem"></i>
                        <?php echo e(__('front.lead.plural')); ?>

                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarOptionDropdownLead">
                        <a class="dropdown-item" href="<?php echo e(route('front.campaign.campaign.index')); ?>"><i class="fas fa-industry"></i> <?php echo e(__('front.campaign.name')); ?></a>
                        <a class="dropdown-item" href="<?php echo e(route('front.lead.lead.index')); ?>"><i class="far fa-handshake"></i> <?php echo e(__('front.lead.name')); ?></a>
                        <a class="dropdown-item" href="<?php echo e(route('front.lead.lead.list')); ?>"><i class="fas fa-table"></i> <?php echo e(__('front.lead.link.list')); ?></a>
                    </div>
                </li>
                <?php if($logged_in_user->isUserAdmin() || $logged_in_user->isAdmin()): ?>
                <li class="nav-item dropdown">
                    <a id="navbarOptionDropdownDelega" class="nav-link dropdown-toggle" href="#" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        <i class="fas fa-users"></i>
                        <?php echo e(__('front.lead.link.delega')); ?>

                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarOptionDropdownDelega">
                        <a class="dropdown-item" href="<?php echo e(route('front.lead.lead.delega')); ?>"><i class="far fa-file"></i> <?php echo e(__('front.lead.link.delega')); ?></a>
                    </div>
                </li>
                <?php endif; ?>
                <!-- Notifications -->
                <?php echo $__env->make('includes.partials.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <!-- Language selector -->
                <?php if(config('boilerplate.locale.status') && count(config('boilerplate.locale.languages')) > 1): ?>
                    <li class="nav-item dropdown">
                        <a
                            class="nav-link dropdown-toggle"
                            id="navbarDropdownLanguageLink"
                            data-toggle="dropdown"
                            aria-haspopup="true"
                            aria-expanded="false"><?php echo e(__(getLocaleName(app()->getLocale()))); ?></a>
                            <?php echo $__env->make('includes.partials.lang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </li>
                <?php endif; ?>
                <!-- Dropdown -->
                <li class="nav-item dropdown">
                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        <?php echo $logged_in_user->getAvatar(1); ?>

                        <?php echo e($logged_in_user->username); ?>

                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="<?php echo e(route('front.user.profile')); ?>"><?php echo e(__('front.profile')); ?></a>
                        <?php if($logged_in_user->isAdmin()): ?>
                        <a class="dropdown-item" href="<?php echo e(route('admin.dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a>
                        <?php endif; ?>
                        <hr>
                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();
                            document.getElementById('logout-form').submit();">
                            <?php echo e(__('Logout')); ?>

                        </a>

                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                            <?php echo csrf_field(); ?>
                        </form>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</nav>
<?php /**PATH C:\laragon\www\intracommerce\resources\views/front/includes/partials/nav.blade.php ENDPATH**/ ?>