<?php $__env->startSection('title', __('backend.lopd.name')); ?>

<?php $__env->startSection('content-wrapper'); ?>
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e(ucfirst(__('backend.lopd.plural'))); ?></h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="card-title"><?php echo e(ucfirst(__('backend.lopd.plural'))); ?></h3>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <a href="<?php echo e(route ('admin.auth.lopd.lopd.create')); ?>"><i class="fas fa-plus"></i> <?php echo e(__('backend.lopd.button.create')); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered table-hover dt-responsive" id="lopd" data-delete="<?php echo e(__('backend.lopd.message.delete')); ?>" data-cancel="<?php echo e(__('backend.button.cancel')); ?>" data-continue="<?php echo e(__('backend.button.continue')); ?>">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('backend.lopd.form.name')); ?></th>
                                    <th><?php echo e(__('backend.lopd.form.type')); ?></th>
                                    <th><?php echo e(__('backend.active')); ?></th>
                                    <th><?php echo e(__('backend.button.diff')); ?></th>
                                    <th><?php echo e(__('backend.button.updated')); ?></th>
                                    <th><?php echo e(__('backend.button.action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $lopds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lopd): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($lopd->name); ?></td>
                                    <td><?php if($lopd->type): ?> <?php echo e($lopd->type); ?> <?php endif; ?></td>
                                    <td><?php if($lopd->active): ?> <span class="badge badge-success" data-toggle="tooltip" title="<?php echo e(__('backend.icon.yes')); ?>" data-original-title="<?php echo e(__('backend.icon.yes')); ?>"><?php echo e(__('backend.icon.yes')); ?></span>
                                        <?php else: ?>
                                        <span class="badge badge-danger" data-toggle="tooltip" title="<?php echo e(__('backend.icon.no')); ?>" data-original-title=<?php echo e(__('backend.icon.no')); ?>><?php echo e(__('backend.icon.no')); ?></span>
                                        <?php endif; ?></td>
                                    <td><?php if($lopd->created_at): ?> <?php echo e($lopd->created_at->diffForHumans()); ?> <?php endif; ?></td>
                                    <td><?php if($lopd->updated_at): ?> <?php echo e($lopd->updated_at->diffForHumans()); ?> <?php endif; ?></td>
                                    <td>
                                    <a class="btn btn-sm btn-primary" href="<?php echo e(route('admin.auth.lopd.lopd.edit', $lopd->id)); ?>" role="button"><i class="fas fa-pencil-alt"> <?php echo e(__('backend.button.edit')); ?></i></a>
                                    <button attr-delete="<?php echo e(route('admin.auth.lopd.lopd.delete', $lopd->id)); ?>" type="button" name="delete" attr-slug="<?php echo e($lopd->name); ?>" attr-id="<?php echo e($lopd->id); ?>"  class="btn btn-danger btn-sm delete"><i class="fas fa-trash"> <?php echo e(__('backend.button.delete')); ?></i></button>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <?php echo e($lopds->links('pagination::bootstrap-4')); ?>

                    </div>
                    <!-- /.card-body -->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
  <script src="<?php echo e(asset('js/backend/lopd.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.includes.partials.wrapper', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/backend/pages/noti/index.blade.php ENDPATH**/ ?>