<?php $__env->startSection('title', __('front.lead.plural')); ?>


<?php $__env->startPush('after-styles'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<main>
    <div class="container-fluid py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title"><?php echo e(__('front.lead.plural')); ?></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <form method="POST" id="create-form-entity" name="create-form-entity" action="<?php echo e(route('front.lead.lead.store')); ?>">
                            <input type="hidden" name="campaign-id" value=<?php echo e($campaign->id); ?>>
                            <input type="hidden" name="user-id" value=<?php echo e($logged_in_user->id); ?>>
                            <?php echo csrf_field(); ?>
                            <div class="bs-stepper">
                                <div class="ribbon-wrapper ribbon-xl">
                                    <div class="ribbon bg-success text-lg">
                                        <?php if(isset($campaign)): ?> <?php echo e($campaign->name); ?> <?php endif; ?>
                                    </div>
                                  </div>
                                <div class="bs-stepper-header" role="tablist">
                                <!-- your steps here -->
                                <div class="step" data-target="#logins-part">
                                    <button type="button" class="step-trigger" role="tab" aria-controls="logins-part" id="logins-part-trigger">
                                    <span class="bs-stepper-circle">1</span>
                                    <span class="bs-stepper-label"><?php echo e(__('front.lead.actions.personal')); ?></span>
                                    </button>
                                </div>
                                <div class="line"></div>
                                <div class="step" data-target="#information-part">
                                    <button type="button" class="step-trigger" role="tab" aria-controls="information-part" id="information-part-trigger">
                                    <span class="bs-stepper-circle">2</span>
                                    <span class="bs-stepper-label"><?php echo e(__('front.lead.actions.address')); ?></span>
                                    </button>
                                </div>
                                <div class="line"></div>
                                <div class="step" data-target="#payment-part">
                                    <button type="button" class="step-trigger" role="tab" aria-controls="payment-part" id="payment-part-trigger">
                                    <span class="bs-stepper-circle">3</span>
                                    <span class="bs-stepper-label"><?php echo e(__('front.lead.actions.payment')); ?></span>
                                    </button>
                                </div>
                                </div>
                                <div class="bs-stepper-content">
                                <!-- your steps content here -->
                                <div id="logins-part" class="content" role="tabpanel" aria-labelledby="logins-part-trigger">
                                    <?php echo $__env->make('auth.includes.name', ['entity' => $client], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <?php echo $__env->make('auth.includes.entity', ['entity' => $client, 'hide', $hide = true], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <button type="button" class="btn btn-primary" id="next"><?php echo e(__('front.lead.button.next')); ?></button>
                                </div>
                                <div id="information-part" class="content" role="tabpanel" aria-labelledby="information-part-trigger">
                                    <?php echo $__env->make('auth.includes.address', ['entity' => $address, 'vias' => $vias,  'provinces' => $provinces, 'countries' => $countries], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <button type="button" class="btn btn-primary"
                                        onclick="stepper.previous()"><?php echo e(__('backend.message.button.previous')); ?></button>
                                    <button type="button" class="btn btn-primary disabled" disabled="disabled"
                                        id="continue"><?php echo e(__('front.lead.button.next')); ?></button>
                                </div>
                                <div id="payment-part" class="content" role="tabpanel" aria-labelledby="payment-part-trigger">
                                    <?php echo $__env->make('auth.includes.variant', ['variant' => $variant,
                                    'variants' => $variants,'periodicities' => $periodicities, 'periodicity' => $periodicity], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <?php echo $__env->make('auth.includes.payment', ['entity' => $client], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <button type="button" class="btn btn-primary"
                                        onclick="stepper.previous()"><?php echo e(__('backend.message.button.previous')); ?></button>
                                    <button type="button" class="btn btn-primary disabled" disabled="disabled"
                                        id="send"><?php echo e(__('front.lead.button.send')); ?></button>
                                </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">

                    </div>
                </div>
                <!-- /.card -->
            </div>
        </div>
    </div>
</main>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<?php echo $__env->make('auth.includes.lang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script src="<?php echo e(asset('js/front/lead.js')); ?>"></script>
<script>
    let stepper = new Stepper($('.bs-stepper')[0]);
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('front.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/front/lead/index.blade.php ENDPATH**/ ?>