<?php if(isset($team)): ?>
<?php $__env->startSection('title', __('backend.team.actions.edit')); ?>
<?php else: ?>
<?php $__env->startSection('title', __('backend.team.actions.create')); ?>
<?php endif; ?>

<?php $__env->startSection('content-wrapper'); ?>
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php if(isset($team)): ?><?php echo e(ucfirst( __('backend.team.actions.edit') )); ?><?php else: ?> <?php $__env->startSection('title', __('backend.team.actions.create')); ?> <?php endif; ?></h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <div class="card card-primary">
                    <div class="card-header">
                      <h3 class="card-title"><?php if(isset($team)): ?><?php echo e(ucfirst( __('backend.team.actions.edit') )); ?><?php else: ?> <?php $__env->startSection('title', __('backend.team.actions.create')); ?> <?php endif; ?></h3>

                      <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                          <div class="input-group-append">
                            <a href="<?php echo e(url()->previous()); ?>"><i class="fas fa-arrow-left"> <?php echo e(__('backend.team.actions.back')); ?></i></a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- form start -->
                    <form id="create-form-entity" method="POST" <?php if(isset($team)): ?> action="<?php echo e(route('admin.auth.team.team.update')); ?>" <?php else: ?> action="<?php echo e(route('admin.auth.team.team.store')); ?>" <?php endif; ?> enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <?php if(isset($team)): ?>
                            <input type="hidden" name="team-id" value="<?php echo e($team->id); ?>">
                        <?php endif; ?>
                        <div class="card-body">
                            <div class="form-group row">
                                <label for="name" class="col-sm-2 col-form-label"><?php echo e(__('backend.team.form.name')); ?></label>
                                <div class="col-sm-4">
                                    <input type="text" name="name" required maxlength="50" class="form-control" id="name" <?php if(old('name') != null): ?> value="<?php echo e(old('name')); ?>" <?php else: ?> <?php if(isset($team)): ?>)  value="<?php echo e($team->name); ?>" <?php endif; ?> <?php endif; ?> onKeyDown="if(this.value.length>50 & event.keyCode!==8) return false;" placeholder="<?php echo e(__('backend.team.form.name')); ?>">
                                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="office" class="col-sm-2 col-form-label"><?php echo e(__('backend.office.name')); ?></label>
                                <div class="col-sm-2">
                                    <select name="office" class="form-control" required autocomplete="off">
                                        <option value=''><?php echo e(__('backend.office.name')); ?></option>
                                        <?php if(isset($offices)): ?> <?php $__currentLoopData = $offices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $office): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($office->id); ?>"
                                            <?php if($office->id == old('office')): ?>  selected="selected"
                                            <?php elseif(isset($team)): ?>
                                                <?php if($team->office_id == $office->id): ?> selected="selected"  <?php endif; ?>
                                            <?php else: ?>
                                            <?php endif; ?>><?php echo e($office->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                    <?php $__errorArgs = ['office'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <?php echo $__env->make('auth.includes.avatar', ['entity' => $team, 'avatarType' => 'tavatar'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                        <!-- /.card-body -->
                        <div class="card-footer">
                        <button type="submit" class="btn btn-primary"><?php if(isset($team)): ?> <?php echo e(__('backend.team.actions.edit')); ?> <?php else: ?> <?php echo e(__('backend.team.actions.create')); ?><?php endif; ?></button>
                        </div>
                    </form>
                </div>
                <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<?php echo $__env->make('auth.includes.lang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script src="<?php echo e(asset('js/backend/entity.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.includes.partials.wrapper', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/backend/pages/team/form.blade.php ENDPATH**/ ?>