<?php $__env->startSection('title', __('backend.announcement.name')); ?>

<?php $__env->startSection('content-wrapper'); ?>
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e(ucfirst(__('backend.announcement.plural'))); ?></h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="card-title"><?php echo e(ucfirst(__('backend.announcement.plural'))); ?></h3>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <a href="<?php echo e(route ('admin.auth.announcement.announcement.create')); ?>"><i class="fas fa-plus"></i> <?php echo e(__('backend.announcement.button.create')); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered table-hover dt-responsive" id="announcement" data-delete="<?php echo e(__('backend.announcement.message.delete')); ?>" data-cancel="<?php echo e(__('backend.button.cancel')); ?>" data-continue="<?php echo e(__('backend.button.continue')); ?>">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('backend.announcement.form.type')); ?></th>
                                    <th><?php echo e(__('backend.announcement.form.message')); ?></th>
                                    <th><?php echo e(__('backend.announcement.form.starts_at')); ?></th>
                                    <th><?php echo e(__('backend.announcement.form.ends_at')); ?></th>
                                    <th><?php echo e(__('backend.active')); ?></th>
                                    <th><?php echo e(__('backend.button.diff')); ?></th>
                                    <th><?php echo e(__('backend.button.action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $announcements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $announcement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php if($announcement->type): ?> <?php echo e($announcement->type); ?> <?php endif; ?></td>
                                    <td><?php if($announcement->message): ?> <?php echo Str::of($announcement->message)->limit(15);; ?> <?php endif; ?></td>
                                    <td><?php if($announcement->starts_at): ?> <?php echo e($announcement->starts_at); ?> <?php endif; ?></td>
                                    <td><?php if($announcement->ends_at): ?> <?php echo e($announcement->ends_at); ?> <?php endif; ?></td>
                                    <td><?php if($announcement->enabled): ?> <span class="badge badge-success" data-toggle="tooltip" title="<?php echo e(__('backend.icon.yes')); ?>" data-original-title="<?php echo e(__('backend.icon.yes')); ?>"><?php echo e(__('backend.icon.yes')); ?></span>
                                        <?php else: ?>
                                        <span class="badge badge-danger" data-toggle="tooltip" title="<?php echo e(__('backend.icon.no')); ?>" data-original-title=<?php echo e(__('backend.icon.no')); ?>><?php echo e(__('backend.icon.no')); ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <td><?php if($announcement->updated_at): ?> <?php echo e($announcement->updated_at->diffForHumans()); ?> <?php endif; ?></td>
                                    <td>
                                    <a class="btn btn-sm btn-primary" href="<?php echo e(route('admin.auth.announcement.announcement.edit', $announcement->id)); ?>" role="button"><i class="fas fa-pencil-alt"></i> <?php echo e(__('backend.button.edit')); ?></a>
                                    <button attr-delete="<?php echo e(route('admin.auth.announcement.announcement.delete', $announcement->id)); ?>" type="button" name="delete" attr-slug="<?php echo e($announcement->name); ?>" attr-id="<?php echo e($announcement->id); ?>"  class="btn btn-danger btn-sm delete"><i class="fas fa-trash"></i> <?php echo e(__('backend.button.delete')); ?></button>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <?php echo e($announcements->links('pagination::bootstrap-4')); ?>

                    </div>
                    <!-- /.card-body -->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
  <script src="<?php echo e(asset('js/backend/announcement.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.includes.partials.wrapper', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/backend/pages/announcement/index.blade.php ENDPATH**/ ?>