<?php $__env->startSection('title', __('front.hour.plural')); ?>


<?php $__env->startPush('after-styles'); ?>
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('plugins/daterangepicker/daterangepicker.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<main>
    <div class="container py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card text-center">
                    <div class="card-header"><?php echo e(__('front.hour.link.manual')); ?></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <form id="create-form-entity" action="<?php echo e(route('front.hour.create')); ?>" name="register">
                                    <meta name="_token" content="<?php echo e(csrf_token()); ?>">
                                    <div class="row mt-4 mb-2">
                                        <div class="col-12">
                                            <span class="badge badge-light"><?php echo e(__('front.hour.form.date')); ?></span>
                                            <input required type="text" name="manual-date" class="form-control"
                                                data-inputmask-alias="datetime"
                                                data-inputmask-inputformat="dd/mm/yyyy HH:ss" data-mask
                                                autocomplete="off" required id="manual-date" <?php if(old('manual-date')
                                                !=null): ?> value="<?php echo e(old('manual-date')); ?>" <?php endif; ?>>
                                            <?php $__errorArgs = ['manual-date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback d-block" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <?php echo $__env->make('front.includes.partials.hourtype', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <!-- /.row -->
                                    <div class="row pt-5">
                                        <div class="col-md-3 mx-auto">
                                            <a name="confirm-manual" id="confirm-manual" class="btn btn-app bg-warning"
                                            data="<?php echo e(__('front.hour.link.manual')); ?>">
                                            <i class="fas fa-play"></i>
                                            <span class="badge-pill bg-warning"><?php echo e(__('front.hour.name')); ?> <?php echo e(__('front.hour.link.manual')); ?> </span>
                                            </a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <!-- /.row -->
                                <div class="row mt-4 mb-2">
                                    <div class="col-12">
                                        <span class="badge badge-light"><?php echo e(__('front.hour.form.comments')); ?></span>
                                        <textarea maxlength="1000" id="summernote"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<?php echo $__env->make('auth.includes.lang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/inputmask/jquery.inputmask.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/front/hour.js')); ?>"></script>
<script>
    $(function () {
        // Summernote
        $('#summernote').summernote('justifyLeft');
        $('#summernote').summernote('fontName', 'Arial');
        $('#summernote').summernote('fontSize', 18);

        $('[data-mask]').inputmask('dd/mm/yyyy HH:ss', {
            'placeholder': 'dd/mm/yyyy HH:SS'
        })
        if ($("#manual-date").val() == '') {
            $("#manual-date").val(moment(new Date()).format("DD/MM/YYYY HH:mm"));
        }
    })

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('front.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/front/hour/manual.blade.php ENDPATH**/ ?>