<?php $__env->startSection('title', __('backend.user.name')); ?>

<?php $__env->startSection('content-wrapper'); ?>
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e(ucfirst( $user->username )); ?></h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                      <h3 class="card-title"><?php echo e(__('backend.user.name')); ?></h3>

                      <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                          <div class="input-group-append">
                            <a href="<?php echo e(url()->previous()); ?>"><i class="fas fa-arrow-left"> <?php echo e(__('backend.user.actions.back')); ?></i></a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body table-responsive p-0">
                      <table class="table table-hover">
                        <tr>
                            <th><?php echo e(__('backend.user.form.username')); ?></th>
                            <td><?php echo e(ucfirst( $user->username )); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.name')); ?></th>
                            <td><?php echo e(ucfirst( $user->name )); ?> <?php echo e(ucfirst( $user->last_name )); ?> <?php echo e(ucfirst( $user->last_name2 )); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.avatar')); ?></th>
                            <td>
                                <?php if(isset($user) && isset($user->image_location)): ?>
                                <div class="zoom float-left image-area">
                                    <img attr-delete-img="<?php echo e(route('admin.auth.user.user.delete.avatar', [ $user->id ])); ?>" attr-id="<?php echo e($user->id); ?>" src="<?php echo e(asset('storage/uavatar/'.$user->id.'/'.$user->image_location)); ?>" width="150px" class="img-thumbnail" alt="<?php echo e($user->name); ?>" title="<?php echo e($user->name); ?>">
                                    <a class="remove-image" href="#" style="display: inline;">&#215;</a>
                                </div>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.user.form.type')); ?></th>
                            <td><?php echo e($user->type); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('Nif')); ?></th>
                            <td><?php echo e($user->code); ?> <?php echo e($user->nif); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.user.form.locale')); ?></th>
                            <td><?php if($user->locale): ?> <?php echo e(__(getLocaleName($user->locale))); ?><?php endif; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.email')); ?></th>
                            <td><?php echo e($user->email); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.mobile')); ?></th>
                            <td><?php echo e($user->mobile); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.phone')); ?></th>
                            <td><?php echo e($user->phone); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.account')); ?></th>
                            <td><?php echo Str::of($user->account)->limit(15);; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.company.name')); ?></th>
                            <td><?php if(isset($user->myCompany)): ?>  <?php echo e($user->myCompany->name); ?>  <?php endif; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.team.name')); ?></th>
                            <td><?php if(isset($user->myTeam)): ?> <?php echo e($user->myTeam->name); ?> <?php endif; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.user.form.contract')); ?></th>
                            <td><?php echo e($user->contract); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.user.form.contract_hours')); ?></th>
                            <td><?php echo e($user->contract_hours); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.entity.form.active')); ?></th>
                            <td><?php if($user->active): ?> <span class="badge badge-success"><?php echo e(__('backend.icon.yes')); ?></span> <?php else: ?> <span class="badge badge-danger"><?php echo e(__('backend.icon.no')); ?></span> <?php endif; ?></td>
                        </tr>
                      </table>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <div class="row">
                            <div class="col">
                                <small class="float-right text-muted">
                                    <strong><?php echo e(__('backend.entity.form.created_at')); ?>:</strong> <?php echo e(\Carbon\Carbon::parse($user->created_at)->format('d/m/Y H:i')); ?> (<?php echo e($user->created_at->diffForHumans()); ?>),
                                    <strong><?php echo e(__('backend.entity.form.updated_at')); ?></strong> <?php echo e(\Carbon\Carbon::parse($user->updated_at)->format('d/m/Y H:i')); ?> (<?php echo e($user->updated_at->diffForHumans()); ?>)
                                    <?php if($user->trashed()): ?>
                                        <strong><?php echo e(__('backend.entity.form.deleted_at')); ?>:</strong> <?php echo e(\Carbon\Carbon::parse($user->deleted_at)->format('d/m/Y H:i')); ?>  (<?php echo e($user->deleted_at->diffForHumans()); ?>)
                                    <?php endif; ?>
                                </small>
                            </div><!--col-->
                        </div><!--row-->
                    </div><!--card-footer-->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<script src="<?php echo e(asset('js/backend/user.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.includes.partials.wrapper', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/backend/pages/user/show.blade.php ENDPATH**/ ?>