

<?php $__env->startSection('title', __('backend.office.name')); ?>

<?php $__env->startSection('content-wrapper'); ?>
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e(ucfirst(__('backend.office.plural'))); ?></h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="card-title"><?php echo e(ucfirst(__('backend.office.plural'))); ?></h3>
                            </div>
                            <div class="col-md-3">
                                <div class="float-right">
                                <a href="<?php echo e(route ('admin.auth.office.office.create')); ?>"><i class="fas fa-plus"></i> <?php echo e(__('backend.office.button.create')); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered table-hover dt-responsive" id="entity" data-delete="<?php echo e(__('backend.office.message.delete')); ?>" data-cancel="<?php echo e(__('backend.button.cancel')); ?>" data-continue="<?php echo e(__('backend.button.continue')); ?>">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('backend.office.form.name')); ?></th>
                                    <th><?php echo e(__('backend.office.form.slug')); ?></th>
                                    <th><?php echo e(__('backend.delegation.name')); ?></th>
                                    <th><?php echo e(__('backend.active')); ?></th>
                                    <th><?php echo e(__('backend.button.diff')); ?></th>
                                    <th><?php echo e(__('backend.button.action')); ?></th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    <!-- /.card-body -->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<?php $dataTableLang = null;
    if (htmlLang() == 'es')  {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Spanish.json";
    } elseif (htmlLang() == 'ca') {
        $dataTableLang = "//cdn.datatables.net/plug-ins/1.10.21/i18n/Catalan.json";
    }
?>
<?php echo $__env->make('auth.includes.lang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script>
    $(function () {
        $('#entity').DataTable(
        {
        order:[[0,"desc"]],
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ],
        <?php
        if (isset($dataTableLang)) {
            ?>
            "language": {
                "url": "<?php echo e($dataTableLang); ?>"
            },
            <?php
        }
        ?>
        processing: true,
        serverSide: true,
        ajax: "<?php echo e(route('admin.auth.office.office.jsonlist')); ?>",
        columns: [
            {data: 'name', name: 'name'},
            {data: 'slug', name: 'slug'},
            {data: 'delegation-icon', name: 'delegation'},
            {data: 'active-icon', name: 'active-icon'},
            {data: 'diff', name: 'diff'},
            {data: 'action', name: 'action', orderable: false, searchable: false },
        ]
        }
        );
    });
  </script>
<script src="<?php echo e(asset('js/backend/entity.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.includes.partials.wrapper', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/backend/pages/office/index.blade.php ENDPATH**/ ?>