<?php if($logged_in_user): ?>
  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="<?php echo e(route('admin.dashboard')); ?>" class="brand-link">
    <?php if($logged_in_user->company): ?>
      <img src="<?php echo e(asset('/images/front/logo.png')); ?>" alt="logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo e($logged_in_user->company->name); ?></span>
    <?php else: ?>
        <img src="<?php echo e(asset('/images/front/logo.png')); ?>" alt="logo" class="brand-image img-circle elevation-3" style="opacity: .8">
        <span class="brand-text font-weight-light"><?php echo e(config('app.name', 'Intracommerce')); ?></span>
    <?php endif; ?>
    </a>
    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <?php if($logged_in_user): ?>
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <?php if($logged_in_user && $logged_in_user->image_location): ?>
        <div class="image">
          <img src="<?php echo e(asset('storage/uavatar/'.$logged_in_user->id.'/'.$logged_in_user->image_location)); ?>" class="img-circle elevation-2" alt="User Image">
        </div>
        <?php endif; ?>
        <div class="info">
            <a href="#" class="d-block"><?php echo e($logged_in_user->username); ?></a>
        </div>
      </div>
      <?php endif; ?>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item <?php echo e(Route::is('admin.auth.user.*') || Route::is('admin.auth.company.*') || Route::is('admin.auth.team.*') || Route::is('admin.auth.campaign.*')|| Route::is('admin.auth.delegation.*') || Route::is('admin.auth.office.*') || Route::is('admin.auth.announcement.*')  || Route::is('admin.auth.lopd.*') ? 'menu-open' : ''); ?>">
            <a href="#" class="nav-link <?php echo e(Route::is('admin.auth.user.*') || Route::is('admin.auth.company.*') || Route::is('admin.auth.announcement.*') ||  Route::is('admin.auth.team.*') ||  Route::is('admin.auth.campaign.*') || Route::is('admin.auth.delegation.*') || Route::is('admin.auth.office.*') || Route::is('admin.auth.lopd.*') ? 'active' : ''); ?>">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                <?php echo e(__('Dashboard')); ?>

                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="<?php echo e(route('admin.auth.company.company.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.company.company.*') ? 'active' : ''); ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p><?php echo e(__('backend.company.plural')); ?></p>
                </a>
              </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.delegation.delegation.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.delegation.delegation.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.delegation.plural')); ?></p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.office.office.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.office.office.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.office.plural')); ?></p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.team.team.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.team.team.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.team.plural')); ?></p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.campaign.campaign.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.campaign.campaign.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.campaign.plural')); ?></p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.user.user.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.user.user.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.user.plural')); ?></p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.announcement.announcement.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.announcement.announcement.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.announcement.plural')); ?></p>
                  </a>
                </li>
            </ul>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.lopd.lopd.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.lopd.lopd.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.lopd.plural')); ?></p>
                  </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <li class="nav-item <?php echo e(Route::is('admin.auth.master.*') ? 'menu-open' : ''); ?>">
                <a href="#" class="nav-link <?php echo e(Route::is('admin.auth.master.*') ? 'active' : ''); ?>">
              <i class="nav-icon fas fa-key"></i>
              <p>
                <?php echo e(__('backend.master.plural')); ?>

                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.master.master.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.master.master.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.master.delegate')); ?></p>
                  </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <li class="nav-item <?php echo e(Route::is('admin.auth.hour.*') ? 'menu-open' : ''); ?>">
                <a href="#" class="nav-link <?php echo e(Route::is('admin.auth.hour.*') ? 'active' : ''); ?>">
              <i class="nav-icon far fa-calendar-alt"></i>
              <p>
                <?php echo e(__('backend.hour.plural')); ?>

                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.hour.hour.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.hour.hour.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.hour.actions.validate')); ?></p>
                  </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <li class="nav-item <?php echo e(Route::is('admin.auth.message.*') ? 'menu-open' : ''); ?>">
                <a href="#" class="nav-link <?php echo e(Route::is('admin.auth.message.*') ? 'active' : ''); ?>">
              <i class="nav-icon far fa-comments"></i>
              <p>
                <?php echo e(__('backend.message.plural')); ?>

                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.auth.message.message.index')); ?>" class="nav-link <?php echo e(Route::is('admin.auth.message.message.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.message.plural')); ?></p>
                  </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <li class="nav-item <?php echo e(Route::is('admin.bo.*') ? 'menu-open' : ''); ?>">
                <a href="#" class="nav-link <?php echo e(Route::is('admin.bo.*') ? 'active' : ''); ?>">
              <i class="nav-icon far fa-edit"></i>
              <p>
                <?php echo e(__('backend.bo.plural')); ?>

                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="<?php echo e(route('admin.bo.bo.index')); ?>" class="nav-link <?php echo e(Route::is('admin.bo.bo.*') ? 'active' : ''); ?>">
                    <i class="far fa-circle nav-icon"></i>
                    <p><?php echo e(__('backend.bo.plural')); ?></p>
                  </a>
                </li>
            </ul>
          </li>
          <?php if($logged_in_user->hasAllAccess()): ?>
          <li class="nav-header"><?php echo e(__('Administrator')); ?></li>
          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-book"></i>
              <p>
                <?php echo e(__('Logs')); ?>

                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="<?php echo e(route('log-viewer::dashboard')); ?>" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p><?php echo e(__('Dashboard')); ?></p>
                </a>
              </li>
              <li class="nav-item">
                <a href="<?php echo e(route('log-viewer::logs.list')); ?>" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p><?php echo e(__('Logs')); ?></p>
                </a>
              </li>
            </ul>
          </li>
          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-folder"></i>
              <p>
                <?php echo e(__('backend.files')); ?>

                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="<?php echo e(route('unisharp.lfm.show')); ?>" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p><?php echo e(__('backend.files')); ?></p>
                </a>
              </li>
            </ul>
          </li>
          <?php endif; ?>
          <?php if(isset($links)): ?>
          <li class="nav-header"><?php echo e(__('backend.links')); ?></li>
          <?php $__currentLoopData = $links; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <li class="nav-item">
            <a target="_blank" href="<?php echo e($link->url); ?>" class="nav-link">
              <i class="nav-icon fas fa-th"></i>
              <p>
                <?php echo e($link->name); ?>

                <?php if($link->updated_at >= now()->subMonth()): ?>
                <span class="right badge badge-danger">New</span>
                <?php endif; ?>
              </p>
            </a>
          </li>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>
<?php endif; ?>
<?php /**PATH C:\laragon\www\intracommerce\resources\views/backend/includes/partials/aside.blade.php ENDPATH**/ ?>