<?php $__env->startSection('title', __('backend.hour.actions.show')); ?>

<?php $__env->startPush('after-styles'); ?>
<style>
.googlemap {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 300px;
    border: 2px solid grey;
}
</style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content-wrapper'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0 text-dark"><?php echo e(__('backend.hour.actions.show')); ?></h1>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<section class="content">
    <div class="row">
        <input type="hidden" id="route" dt-action="<?php echo e(route('admin.auth.hour.hour.localize')); ?>">
        <div class="col-md-6">
            <div class="card card-primary">
                <div class="card-header">
                    <h3 class="card-title"><?php echo e(__('backend.hour.actions.show')); ?></h3>
                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                            <i class="fas fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="card-body">
                    <div class="form-group">
                        <div class="custom-control custom-switch">
                            <input type="checkbox" class="custom-control-input" disabled id="closed" name="closed"
                            value="1" <?php echo e(( $registerState->closed==1) ? "checked" : ""); ?>>
                            <label class="custom-control-label" for="closed"><?php echo e(__('backend.hour.form.closed')); ?></label>
                          </div>
                    </div>
                    <div class="form-group">
                        <label for="type"><?php echo e(__('backend.hour.form.state')); ?></label>
                        <input type="state" id="state" name="state" class="form-control" placeholder="<?php echo e(__('backend.hour.form.state')); ?>"
                        value="<?php echo e(__(getTranslation($registerState->state, RegisterState::class))); ?>">
                    </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    <div class="row">
                        <div class="col">
                            <small class="float-right text-muted">
                                <strong><?php echo e(__('backend.hour.form.created_at')); ?>:</strong>
                                <?php echo e(\Carbon\Carbon::parse($registerState->created_at)->format('d/m/Y H:i')); ?>,
                                <strong><?php echo e(__('backend.hour.form.updated_at')); ?></strong>
                                <?php echo e(\Carbon\Carbon::parse($registerState->updated_at)->format('d/m/Y H:i')); ?>,
                                (<?php echo e($registerState->updated_at->diffForHumans()); ?>)
                                <?php if($registerState->trashed()): ?>
                                <strong><?php echo e(__('backend.hour.form.deleted_at')); ?>:</strong>
                                <?php echo e(\Carbon\Carbon::parse($registerState->deleted_at)->format('d/m/Y H:i')); ?>

                                (<?php echo e($registerState->deleted_at->diffForHumans()); ?>)
                                <?php endif; ?>
                            </small>
                        </div>
                        <!--col-->
                    </div>
                    <!--row-->
                </div>
                <!--card-footer-->
            </div>
            <!-- /.card -->
        </div>
        <div class="col-md-6">
            <!-- /.card -->
            <div class="card card-info">
                <div class="card-header">
                    <h3 class="card-title"><?php echo e(__('backend.hour.form.map')); ?></h3>

                    <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                        <i class="fas fa-minus"></i>
                    </button>
                    </div>
                </div>
                <div class="card-body p-0">
                    <div id="mapa" class="googlemap"></div>
                </div>
            <!-- /.card-body -->
            </div>
            <!-- /.card -->
        </div>
        <?php $__currentLoopData = $registers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $register): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col-md-6">
            <div class="card card-secondary">
                <div class="card-header">
                    <h3 class="card-title"><?php echo e(__('backend.hour.single')); ?></h3>

                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                            <i class="fas fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="card-body">
                    <div class="form-group">
                        <label for="type"><?php echo e(__('backend.hour.form.type')); ?></label>
                        <input type="text" id="type" name="type" class="form-control" placeholder="<?php echo e(__('backend.hour.form.type')); ?>"
                        value="<?php echo e(__(getTranslation($register->type, Register::class))); ?>">
                    </div>
                    <div class="form-group">
                        <label for="hour"><?php echo e(__('backend.hour.form.date')); ?></label>
                        <input type="datetime" id="hour" name="hour" class="form-control" placeholder="<?php echo e(__('backend.hour.form.date')); ?>"
                        value="<?php echo e(\Carbon\Carbon::parse($register->hour)->format('d/m/Y H:i:s')); ?>">
                    </div>
                    <div class="form-group">
                        <label for="comments"><?php echo e(__('backend.hour.form.comments')); ?></label>
                        <textarea disabled id="comments" name="comments" class="form-control" placeholder="<?php echo e(__('backend.hour.form.date')); ?>">
                        <?php echo strip_tags($register->comments); ?></textarea>
                    </div>
                    <?php if(isset($register->myRegisterIP)): ?>
                    <div class="form-group">
                        <label for="ip"><?php echo e(__('backend.hour.form.ip')); ?></label>
                        <input type="text" name="ip" class="form-control" placeholder="<?php echo e(__('backend.hour.form.ip')); ?>"
                        value="<?php echo e($register->myRegisterIP->ip); ?>">
                    </div>
                    <div class="form-group">
                        <label for="lat"><?php echo e(__('backend.hour.form.lat')); ?></label>
                        <input type="text" name="lat" class="form-control" placeholder="<?php echo e(__('backend.hour.form.lat')); ?>"
                        value="<?php echo e($register->myRegisterIP->lat); ?>">
                    </div>
                    <div class="form-group">
                        <label for="long"><?php echo e(__('backend.hour.form.long')); ?></label>
                        <input type="text" name="long" class="form-control" placeholder="<?php echo e(__('backend.hour.form.long')); ?>"
                        value="<?php echo e($register->myRegisterIP->long); ?>">
                    </div>
                    <div class="form-group">
                        <label for="country"><?php echo e(__('backend.hour.form.country')); ?></label>
                        <input type="text" name="country" class="form-control" placeholder="<?php echo e(__('backend.hour.form.country')); ?>"
                        value="<?php echo e($register->myRegisterIP->country); ?>">
                    </div>
                    <div class="form-group">
                        <label for="browser"><?php echo e(__('backend.hour.form.browser')); ?></label>
                        <input type="text" name="browser" class="form-control" placeholder="<?php echo e(__('backend.hour.form.browser')); ?>"
                        value="<?php echo e($register->myRegisterIP->browser); ?>">
                    </div>
                    <?php if(env('GOOGLE_API_KEY')): ?>
                        <?php if(isset($register->myRegisterIP->lat)): ?>
                        <div class="form-group">
                            <button type="button" class="btn btn-primary float-right map" map-id="<?php echo e($register->id); ?>" dt-action="">
                                <i class="fas fa-map-marked-alt"></i> <?php echo e(__('backend.hour.form.map')); ?>

                            </button>
                        </div>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php endif; ?>
                </div>
                <!-- /.card-body -->
            </div>
            <!-- /.card -->
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
    <div class="row mb-4">
        <div class="col-12">
            <a href="<?php echo e(url()->previous()); ?>" class="btn btn-secondary"><?php echo e(__('backend.hour.button.cancel')); ?></a>
            <input type="submit" value="<?php echo e(__('backend.hour.button.edit')); ?>" class="btn btn-success float-right">
        </div>
    </div>
</section>
<!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<script src="<?php echo e(asset('js/backend/search.js')); ?>"></script>
<?php if(env('GOOGLE_API_KEY')): ?>
<script async src="https://maps.googleapis.com/maps/api/js?key=<?php echo e(env('GOOGLE_API_KEY')); ?>"></script>
<?php endif; ?>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.includes.partials.wrapper', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/backend/pages/hour/show.blade.php ENDPATH**/ ?>