<?php $__env->startSection('title', __('backend.message.plural')); ?>


<?php $__env->startPush('after-styles'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<main>
    <div class="container py-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title"><?php echo e(__('backend.message.plural')); ?></h3>

                        <div class="card-tools">
                            <div class="input-group input-group-sm" style="width: 150px;">
                                <input type="text" name="table-search" id="table-search" class="form-control float-right"
                                    placeholder="<?php echo e(__('backend.message.button.find')); ?>">

                                <div class="input-group-append">
                                    <button type="submit" class="btn btn-default">
                                        <i class="fas fa-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-hover text-nowrap" id="messages" dt-delete="<?php echo e(route('front.message.message.delete')); ?>">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('backend.message.form.username')); ?></th>
                                    <th style="width: 30%"><?php echo e(__('backend.message.form.message')); ?></th>
                                    <th><?php echo e(__('backend.message.form.range')); ?></th>
                                    <th></th>
                                    <th><?php echo e(__('backend.button.action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if(isset($messages)): ?>
                                <?php $__currentLoopData = $messages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <?php if(isset($message->mySender)): ?>
                                        <?php echo $message->mySender->getAvatar(); ?>

                                        <?php endif; ?>
                                        <small>
                                            <?php echo e($message->mySender->username); ?>

                                        </small>
                                    </td>
                                    <td><?php echo Str::of($message->text)->limit(15);; ?></td>
                                    <td>
                                        <div class="progress progress-xs">
                                            <div class="progress-bar" style="width: <?php if(isset($message->priority )): ?><?php echo e($message->priority *10); ?>% <?php endif; ?>;
                                            <?php if(isset($message->color )): ?> background-color:<?php echo e($message->color); ?> <?php endif; ?>">
                                            </div>
                                        </div>
                                    </td>
                                    <td><span class="badge bg-warning"><?php if(isset($message->priority )): ?><?php echo e($message->priority *10); ?>% <?php endif; ?></span></td>
                                    <td>
                                        <a href="<?php echo e(route('front.message.message.show', ['message' => $message->id])); ?>" class="btn btn-primary btn-sm">
                                            <i class="fas fa-folder"></i>
                                            <?php echo e(__('backend.button.view')); ?>

                                        </a>
                                        <button dt-delete="<?php echo e($message->id); ?>" class="btn btn-danger btn-sm delete">
                                            <i class="fas fa-trash"></i>
                                            <?php echo e(__('backend.button.delete')); ?>

                                        </button>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <?php echo e($messages->links('pagination::bootstrap-4')); ?>

                    </div>
                </div>
                <!-- /.card -->

            </div>
        </div>
    </div>
</main>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<?php echo $__env->make('auth.includes.lang', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('front.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/front/message/index.blade.php ENDPATH**/ ?>