<?php $__env->startSection('title', __('backend.team.name')); ?>

<?php $__env->startSection('content-wrapper'); ?>
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e(ucfirst( $team->name )); ?></h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                      <h3 class="card-title"><?php echo e(__('backend.team.name')); ?></h3>

                      <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                          <div class="input-group-append">
                            <a href="<?php echo e(url()->previous()); ?>"><i class="fas fa-arrow-left"> <?php echo e(__('backend.team.actions.back')); ?></i></a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body table-responsive p-0">
                      <table class="table table-hover">
                        <tr>
                            <th><?php echo e(__('backend.team.form.name')); ?></th>
                            <td><?php echo e(ucfirst( $team->name )); ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.team.form.avatar')); ?></th>
                            <td>
                                <?php if(isset($team) && isset($team->image_location)): ?>
                                <div class="zoom float-left image-area">
                                    <img attr-delete-img="<?php echo e(route('admin.auth.team.team.delete.avatar', [ $team->id ])); ?>" attr-id="<?php echo e($team->id); ?>" src="<?php echo e(asset('storage/tavatar/'.$team->id.'/'.$team->image_location)); ?>" width="150px" class="img-thumbnail" alt="<?php echo e($team->name); ?>" title="<?php echo e($team->name); ?>">
                                    <a class="remove-image" href="#" style="display: inline;">&#215;</a>
                                </div>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.office.name')); ?></th>
                            <td><?php if(isset($team->myOffice->myDelegation)): ?> <?php echo e($team->myOffice->myDelegation->myCompany->name); ?> -> <?php echo e($team->myOffice->myDelegation->name); ?> -> <?php endif; ?> <?php if(isset($team->myOffice)): ?> <?php echo e($team->myOffice->name); ?> <?php endif; ?></td>
                        </tr>
                        <tr>
                            <th><?php echo e(__('backend.team.form.active')); ?></th>
                            <td><?php if($team->active): ?> <span class="badge badge-success"><?php echo e(__('backend.icon.yes')); ?></span> <?php else: ?> <span class="badge badge-danger"><?php echo e(__('backend.icon.no')); ?></span> <?php endif; ?></td>
                        </tr>
                      </table>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <div class="row">
                            <div class="col">
                                <small class="float-right text-muted">
                                    <strong><?php echo e(__('backend.team.form.created_at')); ?>:</strong> <?php echo e(\Carbon\Carbon::parse($team->created_at)->format('d/m/Y H:i')); ?> (<?php echo e($team->created_at->diffForHumans()); ?>),
                                    <strong><?php echo e(__('backend.team.form.updated_at')); ?></strong> <?php echo e(\Carbon\Carbon::parse($team->updated_at)->format('d/m/Y H:i')); ?> (<?php echo e($team->updated_at->diffForHumans()); ?>),
                                    <?php if($team->trashed()): ?>
                                        <strong><?php echo e(__('backend.team.form.deleted_at')); ?>:</strong> <?php echo e(\Carbon\Carbon::parse($team->deleted_at)->format('d/m/Y H:i')); ?> (<?php echo e($team->deleted_at->diffForHumans()); ?>)
                                    <?php endif; ?>
                                </small>
                            </div><!--col-->
                        </div><!--row-->
                    </div><!--card-footer-->
                  </div>
                  <!-- /.card -->
            </div>
        </div>
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('after-scripts'); ?>
<script src="<?php echo e(asset('js/backend/entity.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.includes.partials.wrapper', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\intracommerce\resources\views/backend/pages/team/show.blade.php ENDPATH**/ ?>