<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Database\Seeders\Traits\DisableForeignKeys;
use App\Models\Lopd;

class LopdSeeder extends Seeder
{
    use DisableForeignKeys;

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->disableForeignKeys();

        Lopd::create( [
            'id'=>1,
            'name'=>'política privacidad',
            'type' => Lopd::PRIVACY,
            'text'=>'<p>En cumplimiento del REGLAMENTO (UE) 2016/679 DEL PARLAMENTO EUROPEO Y DEL CONSEJO de 27 de Abril de 2016, relativo a la protección de las personas físicas en lo que respecta al tratamiento de datos personales y a la libre circulación de estos datos y a Ley Orgánica 3/2018, de 5 de diciembre, de Protección de Datos Personales y garantía de los derechos digitales, se le informa que los datos personales proporcionados por usted a través del sitio web xidong.es (en adelante el sitio web), serán tratados en los siguientes términos:</p><p><b>Responsable del tratamiento</b></p><p>Los datos personales recabados a través de este sitio web serán tratados por XIDONG MARKETING, S.L., con domicilio para el ejercicio de derechos en C/General Palafox 8 bajos, 08860 Castelldefels, Barcelona. Email: <a href="mailto:info@xidong.es">info@xidong.es</a>.</p><p><b>Finalidades del tratamiento</b></p><ul><li>Informarle acerca de nuestros productos y servicios, cuando así lo solicite a través de los formularios del sitio web o por correo electrónico.</li><li>Dar contestación y gestionar sus consultas, comentarios y sugerencias, en su caso.</li><li>Gestionar su participación en presentes y futuros procesos de selección, cuando nos haga llegar sus datos (incluido su currículo) con dicha finalidad.</li><li>Gestionar su pedido, en caso de que realice algún pedido a través del sitio web.</li><li>Con la finalidad de obtener información del uso del sitio web, se analizan el número de páginas visitadas, el número de visitas, así como la actividad de los visitantes y su frecuencia de utilización. A estos efectos, el RESPONSABLE utiliza información estadística elaborada por el Proveedor de Servicios de Internet que no permite identificar al interesado en ningún momento.</li></ul><p><b>Legitimación</b></p><p>Consentimiento. Los datos personales obtenidos a través de los formularios del sitio web serán tratados únicamente en base al consentimiento otorgado por el interesado, a través de la aceptación de la casilla dispuesta para tal fin. Este consentimiento puede ser retirado en cualquier momento.</p><p>Interés legítimo del responsable. La información estadística obtenida del sitio web será tratada en base al interés legítimo del responsable. Esta información no permite identificar al usuario.</p><p>Ejecución de un contrato. El tratamiento realizado para la gestión de los pedidos solicitados a través de la tienda online está basado en la ejecución de un contrato en el que el interesado es parte o para la aplicación a petición de este de medidas precontractuales.</p><p><b>Destinatarios</b></p><p>Los datos personales obtenidos a través del sitio web podrán ser comunicados a la entidad financiera correspondiente cuando sea necesario para gestionar el pago de los pedidos realizados, así como a la empresa de mensajería, cuando sea preciso.</p><p><b>Conservación</b></p><p>Los datos personales facilitados por el usuario para recibir comunicaciones comerciales, serán conservados mientras el interesado no solicite su supresión o retire su consentimiento.</p><p>Cuando el usuario envíe sus datos personales para participar en procesos de selección del RESPONSABLE, los datos serán tratados para participar en presentes procesos de selección, y si no fuera seleccionado, se conservarán sus datos personales durante un periodo de dos años con el fin de poder contar con su participación en futuros procesos.</p><p>Cuando el usuario envíe sus datos para contactar con el RESPONSABLE, realizar consultas o sugerencias, los datos se conservarán mientras sea necesario para tal fin y puedan derivarse responsabilidades del tratamiento. Datos de tráfico, estadísticos y visitas web: los datos serán conservados durante el plazo de tres años.</p><p><b>Derechos</b></p><p>Puede ejercer sus derechos de acceso, rectificación, supresión y portabilidad de sus datos, de limitación y oposición a su tratamiento, mediante escrito acompañado de documento oficial que le identifique dirigido a CL. GENERAL PALAFOX, 8 BAJOS - 08860 CASTELLDEFELS (Barcelona). Email: <a href="mailto:info@xidong.es">info@xidong.es</a>.<span class="Apple-converted-space">  </span>En caso de disconformidad con el tratamiento, también tiene derecho a presentar una reclamación ante la Agencia Española de Protección de Datos (<a href="http://www.aepd.es">www.aepd.es</a>).</p><p><b>Política de protección de menores</b></p><p>Quien facilita los datos a través de los formularios de esta Web y acepta su tratamiento declara formalmente ser mayor de 18 años.</p><p>Queda prohibido el acceso y uso del portal a los menores de 18 años de edad.</p><p>El RESPONSABLE recuerda a las personas mayores de edad que tengan a su cargo menores, que será de su exclusiva responsabilidad si algún menor incorpora sus datos para solicitar algún producto.</p><p>También les informa que existen programas informáticos para acotar la navegación mediante el filtro o bloqueo a determinados contenidos.</p>',
            'active' => 1
            ] );

        Lopd::create( [
            'id'=>2,
            'name'=>'política de cookies',
            'type' => Lopd::COOKIES,
            'text'=>'<strong>Este sitio utiliza cookies</strong>En cumplimiento de la Ley 34/2002 de 11 de julio de Servicios de la Sociedad de la Información y de Comercio Electrónico (LSSICE), te informamos de que este sitio web Xidong Marketing utiliza cookies.La LSSICE se aplica a cualquier clase de archivo o dispositivo que se descargue en el equipo terminal de un usuario con el fin de almacenar datos que podrán ser actualizados y recuperados por la entidad responsable de su instalación. Una cookie es uno de esos archivos de uso generalizado a los que, denominaremos genéricamente como cookies.Las cookies (en castellano, galletas) son pequeños ficheros de texto enviados a un navegador desde un servidor web para registrar actividad del usuario en un sitio web de modo que se pueda recuperar esa información con posterioridad durante la navegación por las diferentes páginas que estén conectadas al servidor que se las instaló.Las <em>cookies</em> suelen almacenar información de carácter técnico, preferencias personales, personalización de contenidos, estadísticas de uso, enlaces a redes sociales, acceso a cuentas de usuario, etc.<strong>Tipos de cookies</strong>A continuación, se realiza una clasificación de las cookies en función de una serie de categorías. No obstante es necesario tener en cuenta que una misma cookie puede estar incluida en más de una categoría.Según la entidad que las gestiona<ul> <li>Cookies propias: Son aquellas que se envían al equipo terminal del usuario desde un equipo o dominio gestionado por el propio editor y desde el que se presta el servicio solicitado por el usuario.</li><li>Cookies de terceros: Son aquellas que se envían al equipo terminal del usuario desde un equipo o dominio que no es gestionado por el editor, sino por otra entidad que trata los datos obtenidos través de las cookies.</li></ul>En el caso de que las cookies sean instaladas desde un equipo o dominio gestionado por el propio editor pero la información que se recoja mediante estas sea gestionada por un tercero, no son consideradas cookies propias.Según el plazo de tiempo que permanecen activadasSegún el plazo de tiempo que permanecen activadas en el equipo terminal podemos distinguir:<ul> <li>Cookies de sesión: Son un tipo de cookies diseñadas para recabar y almacenar datos mientras el usuario accede a una página web. Se suelen emplear para almacenar información que solo interesa conservar para la prestación del servicio solicitado por el usuario en una sola ocasión (p.e. una lista de productos adquiridos).</li><li>Cookies persistentes: Son un tipo de cookies en el que los datos siguen almacenados en el terminal y pueden ser accedidos y tratados durante un periodo definido por el responsable de la cookie, y que puede ir de unos minutos a varios años.</li></ul>Según su finalidadSegún la finalidad para la que se traten los datos obtenidos a través de las cookies, podemos distinguir entre:<ul> <li>Cookies técnicas: Son aquellas que permiten al usuario la navegación a través de una página web, plataforma o aplicación y la utilización de las diferentes opciones o servicios que en ella existan como, por ejemplo, controlar el tráfico y la comunicación de datos, identificar la sesión, acceder a partes de acceso restringido, recordar los elementos que integran un pedido, realizar el proceso de compra de un pedido, realizar la solicitud de inscripción o participación en un evento, utilizar elementos de seguridad durante la navegación, almacenar contenidos para la difusión de videos o sonido o compartir contenidos a través de redes sociales.</li><li>Cookies de personalización: Son aquellas que permiten al usuario acceder al servicio con algunas características de carácter general predefinidas en función de una serie de criterios en el terminal del usuario como por ejemplo serian el idioma, el tipo de navegador a través del cual accede al servicio, la configuración regional desde donde accede al servicio, etc.</li><li>Cookies de análisis: Son aquellas que permiten al responsable de las mismas, el seguimiento y análisis del comportamiento de los usuarios de los sitios web a los que están vinculadas. La información recogida mediante este tipo de cookies se utiliza en la medición de la actividad de los sitios web, aplicación o plataforma y para la elaboración de perfiles de navegación de los usuarios de dichos sitios, aplicaciones y plataformas, con el fin de introducir mejoras en función del análisis de los datos de uso que hacen los usuarios del servicio.</li><li>Cookies publicitarias: Son aquellas que permiten la gestión, de la forma más eficaz posible, de los espacios publicitarios que, en su caso, el editor haya incluido en una página web, aplicación o plataforma desde la que presta el servicio solicitado en base a criterios como el contenido editado o la frecuencia en la que se muestran los anuncios.</li><li>Cookies de publicidad comportamental: Son aquellas que permiten la gestión, de la forma más eficaz posible, de los espacios publicitarios que, en su caso, el editor haya incluido en una página web, aplicación o plataforma desde la que presta el servicio solicitado. Estas cookies almacenan información del comportamiento de los usuarios obtenida a través de la observación continuada de sus hábitos de navegación, lo que permite desarrollar un perfil específico para mostrar publicidad en función del mismo.</li></ul><strong>Cómo desactivar las cookies en los principales navegadores web</strong>Para configurar el uso de cookies, sigue las instrucciones correspondientes a tu navegador o consulta su ayuda:<ul> <li><a href="https://support.apple.com/es-es/HT201265">Safari</a></li><li><a href="https://support.mozilla.org/es/kb/habilitar-y-deshabilitar-cookies-sitios-web-rastrear-preferencias?redirectlocale=es&amp;redirectslug=habilitar-y-deshabilitar-cookies-que-los-sitios-we">Firefox</a></li><li><a href="https://support.google.com/chrome/answer/95647?hl=es-es">Chrome</a></li><li><a href="https://www.opera.com/help/tutorials/security/privacy/">Ópera</a></li><li><a href="https://support.microsoft.com/es-es/help/17442/windows-internet-explorer-delete-manage-cookies">Internet Explorer</a></li><li><a href="https://privacy.microsoft.com/es-es/windows-10-microsoft-edge-and-privacy">Edge</a></li></ul><strong>Qué sucede si no se aceptan las cookies</strong>El rechazo de las cookies puede impedir el acceso a contenidos y servicios personalizados.<strong>Actualizaciones y modificaciones en la política de cookies.</strong>Xidong Marketing puede modificar esta política de cookies en función de las exigencias legislativas, reglamentarias, con la finalidad de adaptar dicha política a las instrucciones dictadas por la Agencia Española de Protección de Datos, por cuestiones técnicas o de reorganización de la web; por ello te aconsejamos que la visites periódicamente.<strong>Contacto</strong>Para resolver cualquier duda sobre cómo utilizamos las cookies, escríbenos a la dirección de correo electrónico: <a href="mailto:it@xidong.es">it@xidong.es</a>',
            'active' => 1
            ] );

        Lopd::create( [
            'id'=>3,
            'name'=>'política legal',
            'type' => Lopd::LEGAL,
            'text'=>'<b>Identificación</b>En cumplimiento con el deber de información recogido en artículo 10 de la Ley 34/2002, de 11 de julio, de Servicios de la Sociedad de la Información y del Comercio Electrónico, XIDONG MARKETING, S.L. (Xidong), le informa que los datos aquí consignados corresponden a la entidad titular del sitio web xidong.es.<b>Denominación</b>: XIDONG MARKETING, S.L.<b>Domicilio</b>: C/General Palafox 8 bajos, 08860 Castelldefels, Barcelona<b>Email</b>: <a href="mailto:info@xidong.es">info@xidong.es</a><span class="Apple-converted-space"> </span><b>CIF</b>: B67255794<b>Inscripción registral</b>: Registro Mercantil de Barcelona en el tomo 46498, folio 181, Hoja número B 522004.<b>Propiedad intelectual e industrial</b>Todos los derechos de Propiedad Industrial e Intelectual de la totalidad de elementos contenidos en este sitio web, incluidas las marcas comerciales, formatos, diseños gráficos, textos, imágenes y documentos, pertenecen a Xidong y se encuentran protegidos por las leyes españolas e internacionales sobre propiedad Intelectual e Industrial. Queda expresamente prohibida la reproducción total o parcial de este sitio Web y de cualquiera de sus contenidos sin el permiso expreso y por escrito de Xidong.El acceso al sitio web no implica ningún tipo de renuncia, transmisión, licencia o cesión de dichos derechos por parte de Xidong, salvo que se establezca expresamente lo contrario.<b>Condiciones de uso</b>El acceso a este sitio Web implica la aceptación de estas condiciones de uso sin reservas que regulan el acceso y la utilización del mismo con el fin de poner a disposición de los usuarios información sobre nuestros productos.Se prohíbe expresamente la utilización de los contenidos de este sitio Web para su utilización con fines comerciales o para su distribución, transformación o comunicación.Xidong, no responderá de ninguna consecuencia, daño o perjuicio que pudieran derivarse de dicha utilización o uso de la información.Tanto el acceso a esta Web como el uso que pueda hacerse de la información contenida en la misma es de la exclusiva responsabilidad de quien lo realiza.El usuario se obliga a no utilizar la información que se publica en esta Web con fines o efectos ilícitos o lesivos, a no dañar o inutilizar la información y a no realizar cualquier otra acción que puedan ser contraria al contenido de este Aviso Legal.Xidong no puede asegurar la inexistencia de interrupciones o errores en el acceso a este sitio Web, aunque pondrá sus mayores esfuerzos para evitarlos.<b>Enlaces a otras webs</b>Los enlaces (links) que puede encontrar en esta Web son un servicio a los usuarios. Estas páginas no son operadas ni controladas por Xidong, por ello, no se hace responsable de los contenidos de esos sitios Web ni están cubiertas por el presente Aviso Legal. Si accede a estas páginas Webs deberá tener en cuenta que sus políticas de privacidad pueden ser diferentes a la nuestra.<b>Legislación aplicable y competencia jurisdiccional</b>El presente Aviso Legal se rige por la normativa española vigente que le es de aplicación.Para la resolución de las controversias que pudieran derivarse como consecuencia de lo dispuesto en las presentes disposiciones y sobre su interpretación, aplicación y cumplimiento, el usuario, en virtud de la aceptación de las condiciones recogidas en este Aviso legal, renuncia expresamente a cualquier otro fuero que pudiera corresponderle.En cualquier caso, dentro de la jurisdicción española, si la legislación permitiese someterse a un fuero en concreto, el usuario renuncia expresamente al fuero que pudiera corresponderle y se somete voluntariamente a la jurisdicción de los Juzgados y Tribunales de CASTELLDEFELS.',
            'active' => 1
            ] );

        $this->enableForeignKeys();
    }
}
